<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Business Roy
 */
?>
</div><!-- #content -->

    <?php business_roy_footer_main_content(); ?>

    <div class="sub_footer">
        <div class="container">
            <div class="d-grid d-grid-column-1">
                <div class="copyright text-center">
                    <?php apply_filters( 'business_roy_copyright', 5 ); ?> <?php the_privacy_policy_link(); ?>
                </div>
            </div>
        </div>
    </div>
</div><!-- #page -->

<?php
    $enable_search = get_theme_mod('business_roy_enable_search', 'enable');

    if( $enable_search == 'enable' ): ?>

    <div class="full-search-wrapper" id="full-search-wrapper">
        <div class="search-close">
            <div class="close-icon">
                <i class="far fa-times-circle"></i>
            </div>
        </div>
        <div class="search-container">
            <?php get_search_form(); ?>
        </div>
    </div>

<?php endif; ?>

<?php if( get_theme_mod('business_roy_backtotop', 'enable') == 'enable'): ?>
    <a href="#" id="back-to-top" class="progress" data-tooltip="Back To Top">
        <div class="arrow-top"></div>
        <div class="arrow-top-line"></div>
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="0 0 100 100" preserveAspectRatio="xMinYMin meet"> <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98"/></svg> 
    </a>
<?php endif; ?>

<?php wp_footer(); ?>
</body>
</html>
