<?php 
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Business Roy
 */
get_header();
/**
 * Enable Front Page
 */
do_action( 'business_roy_enable_front_page' );
    $enable_front_page = get_theme_mod( 'business_roy_enable_frontpage' , 'disable' );
    if ($enable_front_page == 'enable' || $enable_front_page == 1):
        $business_roy_home_sections = business_roy_homepage_section();
        foreach ($business_roy_home_sections as $business_roy_homepage_section) {
            $business_roy_homepage_section = str_replace('business_roy_', '', $business_roy_homepage_section);
            $business_roy_homepage_section = str_replace('_section', '', $business_roy_homepage_section);
            get_template_part( 'section/section', $business_roy_homepage_section );
        }
    endif;
get_footer();