<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Business Roy
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php do_action('business_roy_before_page'); ?>
<div id="page" class="site">
<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'business-roy' ); ?></a>
<?php
    /**
     * Header Type
    */
    $headerlayout = get_theme_mod('business_roy_header_layout','layout_one');

    if($headerlayout == 'layout_one'){
        
        get_template_part('header/header', 'one');

    }else if($headerlayout == 'layout_two'){

        get_template_part('header/header', 'two');

    }else{ 

        get_template_part('header/header', 'one');
    }
    
	if( is_front_page() ){ 
        $bannerslider = get_theme_mod('business_roy_banner_slider_section', 'enable');
        if ($bannerslider == 'enable') {
    		/**
    	     * Hook -  business_roy_action_banner_slider
    	     *
    	     * @hooked business_roy_banner_slider - 25
    	     */
    	    do_action('business_roy_slider_type');
        }
	}
?>
<?php
    $breadcrumbs_enable = get_theme_mod('business_roy_enable_breadcrumbs', 'enable');
    $page_for_posts = get_option('page_for_posts');
    if ($breadcrumbs_enable == 'enable') {
        if ((!is_front_page() && !is_home()) || (!empty( $page_for_posts ) && !is_front_page() )  ) {
            /**
             * @hook business_roy_breadcrumbs.
             *
             * @hooked business_roy_breadcrumbs.
             *
             */
            do_action('business_roy_breadcrumbs');
        }
    }
?>
	<div id="content" class="site-content">