<?php
/**
 * Blog Template.
*/
$wp_customize->add_section('business_roy_blog_template', array(
    'title'		  => esc_html__('Blog Settings','business-roy'),
    'priority'	  => 65,
));

    $wp_customize->add_setting('business_roy_blog_nav', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'wp_kses_post',
        'priority' => -1,
    ));
    $wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_blog_nav', array(
        'type' => 'tab',
        'section' => 'business_roy_blog_template',
        'buttons' => array(
            array(
                'name' => esc_html__('List', 'business-roy'),
                'fields' => array(
                    'business_roy_blogtemplate_postcat',
                    'business_roy_blog_template_sidebar',
                    'business_roy_blogtemplate_layout',
                    'business_roy_blog_heading',
                    'business_roy_post_heading',
                    'business_roy_post_description_options',
                    'business_roy_post_column',
                    'business_roy_blogtemplate_btn',
                    'business_roy_post_excerpt_length',
                    'business_roy_post_date_options',
                    'business_roy_post_comments_options',
                    'business_roy_post_author_options',
                    'business_roy_post_reading_time',
                    'business_roy_blog_alignment'
                ),
                'active' => true,
            ),
            array(
                'name' => esc_html__('Single', 'business-roy'),
                'fields' => array(
                    'business_roy_blog_single_heading',
                    'business_roy_blog_single_template_sidebar',
                    'business_roy_blog_single_alignment',
                    'business_roy_single_blog_title',
                    'business_roy_single_post_top_elements',
                    'business_roy_single_post_bottom_elements'
                )
            )
        )
    )));

    $wp_customize->add_setting("business_roy_blog_heading", array(
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, "business_roy_blog_heading", array(
        'section' => "business_roy_blog_template",
        'label' => esc_html__('Sidebar', 'business-roy'),
    )));
	$wp_customize->add_setting('business_roy_blog_template_sidebar', array(
		'default' => 'right',
		'sanitize_callback' => 'business_roy_sanitize_options'
	));
	$wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_blog_template_sidebar', array(
		'section' => 'business_roy_blog_template',
		'options' => array(
			'left' => get_template_directory_uri() . '/inc/customizer/images/left-sidebar.png',
			'right' => get_template_directory_uri() . '/inc/customizer/images/right-sidebar.png',
			'no' => get_template_directory_uri() . '/inc/customizer/images/no-sidebar.png',
		)
	)));
    


    $wp_customize->add_setting("business_roy_post_heading", array(
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, "business_roy_post_heading", array(
        'section' => "business_roy_blog_template",
        'label' => esc_html__('Layout', 'business-roy'),
    )));

    $post_layout = array(
        'default'  => esc_html__( 'Normal', 'business-roy' ),
        'masonry'  => esc_html__( 'Masonry', 'business-roy' )
    );
    
    $wp_customize->add_setting('business_roy_blogtemplate_layout', array(
        'sanitize_callback' => 'sanitize_text_field',
        'default' => 'default'
    ));
    $wp_customize->add_control(new BusinessRoy_Image_Select($wp_customize, 'business_roy_blogtemplate_layout', array(
        'section' => 'business_roy_blog_template',
        'image_path' => get_template_directory_uri() . '/inc/customizer/images/blog/',
        'choices' => $post_layout
    )));


    $wp_customize->add_setting( 'business_roy_post_column', 
        array(
            'default'           => 2,
            'sanitize_callback' => 'business_roy_sanitize_select'
        ) 
    );
    $wp_customize->add_control( 'business_roy_post_column', 
        array(
            'type' => 'select',
            'label' => esc_html__( 'Number of Column(s)', 'business-roy' ),
            'section' => 'business_roy_blog_template',
            'choices' => array(
                '1' => __("One", 'business-roy'),
                '2' => __("Two", 'business-roy'),
                '3' => __("Three", 'business-roy'),
            )
        )
    );

    $wp_customize->add_setting(
        'business_roy_blog_alignment',
        array(
            'default'           => 'text-center',
            'sanitize_callback' => 'business_roy_sanitize_select',
        )
    );
    $wp_customize->add_control(new BusinessRoy_Custom_Control_Buttonset($wp_customize,'business_roy_blog_alignment',
        array(
            'choices'  => array(
                'text-left' => esc_html__('Left', 'business-roy'),
                'text-right' => esc_html__('Right', 'business-roy'),
                'text-center' => esc_html__('Center', 'business-roy'),
            ),
            'label'    => esc_html__( 'Alignment', 'business-roy' ),
            'section'  => 'business_roy_blog_template',
            'settings' => 'business_roy_blog_alignment',
        )
    ));


    // Blog Template Read More Button.
    $wp_customize->add_setting( 'business_roy_blogtemplate_btn', array(
        'default'           => esc_html__( 'Continue Reading','business-roy' ),
        'sanitize_callback' => 'sanitize_text_field',		//done
    ));
    $wp_customize->add_control('business_roy_blogtemplate_btn', array(
        'label'		  => esc_html__( 'Read More Text', 'business-roy' ),
        'section'	  => 'business_roy_blog_template',
        'type' 		  => 'text',
    ));
    /**
     * Number field for Excerpt Length section
     *
     * @since 1.0.0
     */
    $wp_customize->add_setting('business_roy_post_excerpt_length',array(
        'default' => 20,
        'sanitize_callback' => 'absint'
    ));

    $wp_customize->add_control(new BusinessRoy_Range_Control($wp_customize, 'business_roy_post_excerpt_length', array(
        'section' => 'business_roy_blog_template',
        'label' => esc_html__('Excerpt Length ( Number of Words )', 'business-roy'),
        'input_attrs' => array(
            'min' => 1,
            'max' => 250,
            'step' => 1
        )
    )));
    /**
     * Enable/Disable Option for Post Elements Date
     *
     * @since 1.0.0
    */
    $wp_customize->add_setting('business_roy_post_date_options', array(
        'default' => 'enable',
        'sanitize_callback' => 'business_roy_sanitize_switch',     //done
    ));
    $wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_post_date_options', array(
        'label' => esc_html__('Post Meta Date', 'business-roy'),
        'settings' => 'business_roy_post_date_options',
        'section' => 'business_roy_blog_template',
        'switch_label' => array(
            'enable' => esc_html__('Yes', 'business-roy'),
            'disable' => esc_html__('No', 'business-roy'),
        ),
    )));
    /**
     * Enable/Disable Option for Post Elements Comments
     *
     * @since 1.0.0
     */
    $wp_customize->add_setting('business_roy_post_comments_options', array(
        'default' => 'enable',
        'sanitize_callback' => 'business_roy_sanitize_switch',     //done
    ));
    $wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_post_comments_options', array(
        'label' => esc_html__('Post Meta Comments', 'business-roy'),
        'settings' => 'business_roy_post_comments_options',
        'section' => 'business_roy_blog_template',
        'switch_label' => array(
            'enable' => esc_html__('Yes', 'business-roy'),
            'disable' => esc_html__('No', 'business-roy'),
        ),
    )));
    /**
     * Enable/Disable Option for Post Elements Tags
     *
     * @since 1.0.0
     */
    $wp_customize->add_setting('business_roy_post_author_options', array(
        'default' => 'enable',
        'sanitize_callback' => 'business_roy_sanitize_switch',     //done
    ));
    $wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_post_author_options', array(
        'label' => esc_html__('Post Meta Author', 'business-roy'),
        'settings' => 'business_roy_post_author_options',
        'section' => 'business_roy_blog_template',
        'switch_label' => array(
            'enable' => esc_html__('Yes', 'business-roy'),
            'disable' => esc_html__('No', 'business-roy'),
        ),
    )));

    $wp_customize->add_setting('business_roy_post_reading_time', array(
        'default' => 'enable',
        'sanitize_callback' => 'business_roy_sanitize_switch',     //done
    ));
    $wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_post_reading_time', array(
        'label' => esc_html__('Reading Time', 'business-roy'),
        'settings' => 'business_roy_post_reading_time',
        'section' => 'business_roy_blog_template',
        'switch_label' => array(
            'enable' => esc_html__('Yes', 'business-roy'),
            'disable' => esc_html__('No', 'business-roy'),
        ),
    )));




    /** single page  */ 
    
    $wp_customize->add_setting("business_roy_blog_single_heading", array(
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, "business_roy_blog_single_heading", array(
        'section' => "business_roy_blog_template",
        'label' => esc_html__('Sidebar', 'business-roy'),
    )));
	$wp_customize->add_setting('business_roy_blog_single_template_sidebar', array(
		'default' => 'right',
		'sanitize_callback' => 'business_roy_sanitize_options'
	));
	$wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_blog_single_template_sidebar', array(
		'section' => 'business_roy_blog_template',
		//'label' => esc_html__('Single Post Sidebar', 'business-roy'),
		'options' => array(
			'left' => get_template_directory_uri() . '/inc/customizer/images/left-sidebar.png',
			'right' => get_template_directory_uri() . '/inc/customizer/images/right-sidebar.png',
			'no' => get_template_directory_uri() . '/inc/customizer/images/no-sidebar.png',
		)
	)));


    $wp_customize->add_setting('business_roy_blog_single_alignment',
        array(
            'default'           => 'text-left',
            'sanitize_callback' => 'business_roy_sanitize_select',
        )
    );
    $wp_customize->add_control(new BusinessRoy_Custom_Control_Buttonset($wp_customize,'business_roy_blog_single_alignment',
         array(
            'label'    => esc_html__( 'Alignment', 'business-roy' ),
            'section'  => 'business_roy_blog_template',
            'choices'  => array(
                'text-left' => esc_html__('Left', 'business-roy'),
                'text-right' => esc_html__('Right', 'business-roy'),
                'text-center' => esc_html__('Center', 'business-roy'),
            )
        )
    ));

    $wp_customize->add_setting('business_roy_single_post_top_elements', array(
        'default' => array('featured_image', 'title', 'post_meta', 'content'),
        'sanitize_callback' => 'business_roy_sanitize_multi_choices',
    ));
    
    $wp_customize->add_control(new BusinessRoy_Sortable_Control($wp_customize, 'business_roy_single_post_top_elements', array(
        'label' => esc_html__('Content Display Order', 'business-roy'),
        'section' => 'business_roy_blog_template',
        'settings' => 'business_roy_single_post_top_elements',
        'choices' => array(
            'featured_image' => esc_html__('Featured Image', 'business-roy'),
            'title' => esc_html__('Title', 'business-roy'),
            'post_meta' => esc_html__('Post Meta', 'business-roy'),
            'content' => esc_html__('Content', 'business-roy'),
        )
    )));
    

    $wp_customize->add_setting('business_roy_single_post_bottom_elements', array(
        'default' => array('author_box', 'pagination', 'comment', 'related_posts'),
        'sanitize_callback' => 'business_roy_sanitize_multi_choices',
    ));
    
    $wp_customize->add_control(new BusinessRoy_Sortable_Control($wp_customize, 'business_roy_single_post_bottom_elements', array(
        'label' => esc_html__('Content Display Order', 'business-roy'),
        'section' => 'business_roy_blog_template',
        'settings' => 'business_roy_single_post_bottom_elements',
        'choices' => array(
            'author_box' => esc_html__('Author Box', 'business-roy'),
            'pagination' => esc_html__('Prev/Next Navigation', 'business-roy'),
            'comment' => esc_html__('Comment', 'business-roy'),
            'related_posts' => esc_html__('Related Posts', 'business-roy')
        )
    )));