<?php
$wp_customize->get_section( 'colors' )->title = esc_html__('Theme Colors Settings', 'business-roy');
$wp_customize->get_section( 'colors' )->priority = 70;

/**
 * COLOR SETTINGS
*/

// Primary Color.
$wp_customize->add_setting('business_roy_primary_color', array(
    'default' => '#138f81',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control('business_roy_primary_color', array(
    'type' => 'color',
    'label' => esc_html__('Primary Color', 'business-roy'),
    'section' => 'colors',
));


$wp_customize->add_setting('content_widget_background', array(
    'sanitize_callback' => 'business_roy_sanitize_color_alpha',
    // 'transport' => 'postMessage'
));

$wp_customize->add_control(new BusinessRoy_Alpha_Color_Control($wp_customize, "content_widget_background", array(
    'section' => "colors",
    'label' => esc_html__('Sidebar Widget Background', 'business-roy')
)));


/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('color_section_seperator2', array(
    'sanitize_callback' => 'sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Separator_Control($wp_customize, 'color_section_seperator2', array(
    'section' => 'colors'
)));


$wp_customize->add_setting('business_roy_pro_advance_color_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_advance_color_upgrade_text', array(
    'section' => 'colors',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('Seperate Color ( H1/H2/H3/H4/H5/H6 )', 'business-roy'),
        esc_html__('Link Color', 'business-roy'),
        esc_html__('Link Hover Color', 'business-roy'),
        esc_html__('More Color Options', 'business-roy'),
    ),
    'priority' => 251
)));