<?php
/**
 * Footer Settings
*/
$wp_customize->add_section('business_roy_footer_section', array(
    'title'		  => esc_html__('Footer Settings','business-roy'),
    'priority'	  => 300,
));

$wp_customize->add_setting('business_roy_footer_nav', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'wp_kses_post',
    'priority' => -1,
));
$wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_footer_nav', array(
    'type' => 'tab',
    'section' => 'business_roy_footer_section',
    'buttons' => array(
        array(
            'name' => esc_html__('Settings', 'business-roy'),
            'fields' => array(
                'business_roy_footer_column',
            ),
            'active' => true,
        ),
        array(
            'name' => esc_html__('Style', 'business-roy'),
            'fields' => array(
                'business_roy_footer_bg_heading',
                'business_roy_footer_bg_type',
                'business_roy_footer_bg_color',
                'business_roy_footer_bg_gradient',
                'business_roy_footer_background_image',
                'business_roy_footer_bg_image',
                'business_roy_footer_overlay_color',
                'business_roy_footer_margin',
                'business_roy_footer_padding',

                'business_roy_footer_bottom_seperator',
                'business_roy_footer_seperator0',
                'business_roy_footer_section_seperator',
                'business_roy_footer_top_seperator',
                'business_roy_footer_ts_color',
                'business_roy_footer_ts_height',
                
            )
        )
    )
)));


$wp_customize->add_setting('business_roy_footer_column', array(
    'sanitize_callback' => 'business_roy_sanitize_text',
    'transport' => 'postMessage',
    'default' => 'd-grid-column-3'
));
$imagepath =  get_template_directory_uri() . '/inc/customizer/images/footer/';
$wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_footer_column', array(
    'section' => 'business_roy_footer_section',
    'label' => esc_html__('Select Layout', 'business-roy'),
    'class' => 'ht-one-third-width',
    'options' => array(
        'd-grid-column-2' => $imagepath . 'col-2-1-1.jpg',
        'd-grid-column-3' => $imagepath . 'col-3-1-1-1.jpg',
        'col-3-1-2' => $imagepath . 'col-3-1-2.jpg',
        'col-3-2-1' => $imagepath . 'col-3-2-1.jpg',
        'd-grid-column-4' => $imagepath . 'col-4-1-1-1-1.jpg',
        'col-4-1-1-2' => $imagepath . 'col-4-1-1-2.jpg',
    )
)));

$id = "footer";
$wp_customize->add_setting("business_roy_{$id}_bg_type", array(
    'default' => 'none',
    'sanitize_callback' => 'business_roy_sanitize_select',
    'transport' => 'postMessage'
));
$wp_customize->add_control("business_roy_{$id}_bg_type", array(
    'section' => "business_roy_{$id}_section",
    'type' => 'select',
    'label' => esc_html__('Background Type', 'business-roy'),
    'choices' => array(
        'none'      => esc_html__('Default', 'business-roy'),
        'color-bg'  => esc_html__('Color', 'business-roy'),
    )
));

$wp_customize->add_setting("business_roy_{$id}_bg_color", array(
    'default' => '#15171b',
    'sanitize_callback' => 'sanitize_hex_color',
    'transport' => 'postMessage'
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, "business_roy_{$id}_bg_color", array(
    'section' => "business_roy_{$id}_section",
    'label' => esc_html__('Background Color', 'business-roy'),
)));

$wp_customize->add_setting(
    "business_roy_{$id}_padding",
    array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_field_default_css_box'
    )
);
$wp_customize->add_control(
    new BusinessRoy_Custom_Control_Cssbox(
        $wp_customize,
        "business_roy_{$id}_padding",
        array(
            'label'    => esc_html__( 'Padding (px)', 'business-roy' ),
            'section' => "business_roy_{$id}_section",
            'settings' => "business_roy_{$id}_padding",
        ),
        array(),
        array()
    )
);

$wp_customize->add_setting(
    "business_roy_{$id}_margin",
    array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_field_default_css_box'
    )
);
$wp_customize->add_control(
    new BusinessRoy_Custom_Control_Cssbox(
        $wp_customize,
        "business_roy_{$id}_margin",
        array(
            'label'    => esc_html__( 'Margin (px)', 'business-roy' ),
            'section' => "business_roy_{$id}_section",
            'settings' => "business_roy_{$id}_margin",
        ),
        array(),
        array()
    )
);

/** seprator */
$wp_customize->add_setting("business_roy_{$id}_seperator0", array(
    'sanitize_callback' => 'sanitize_text_field',
));
$wp_customize->add_control(new BusinessRoy_Separator_Control($wp_customize, "business_roy_{$id}_seperator0", array(
    'section' => "business_roy_{$id}_section",
)));

$wp_customize->add_setting("business_roy_{$id}_section_seperator", array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => 'no',
    'transport' => 'postMessage'
));
$wp_customize->add_control("business_roy_{$id}_section_seperator", array(
    'section' => "business_roy_{$id}_section",
    'type' => 'select',
    'label' => esc_html__('Select Separator', 'business-roy'),
    'choices' => array(
        'no' => esc_html__('None', 'business-roy'),
        'top' => esc_html__('Top Separator', 'business-roy'),
    )
));

$wp_customize->add_setting("business_roy_{$id}_top_seperator", array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => 'big-triangle-center',
    'transport' => 'postMessage'
));
$wp_customize->add_control("business_roy_{$id}_top_seperator", array(
    'section' => "business_roy_{$id}_section",
    'type' => 'select',
    'label' => esc_html__('Top Separator', 'business-roy'),
    'choices' => business_roy_svg_seperator(),
));

/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_footer_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_footer_upgrade_text', array(
    'section' => 'business_roy_footer_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('Many Different Layout Options to Choose From', 'business-roy'),
		esc_html__('Enable/Disable Footer & Sub Footer', 'business-roy'),
        esc_html__('Sub Footer seats multiple advanced options', 'business-roy'),
        esc_html__('Enriched Footer Copyright Section with Customization fields & many more options', 'business-roy'),
        esc_html__('Option to Change Title & Sub Title Colors', 'business-roy'),
        esc_html__('4+ Different Background Type Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));

$wp_customize->selective_refresh->add_partial( 'business_roy_footer_settings', array (
    'settings' => array( 
        'business_roy_footer_column',
        'business_roy_footer_top_seperator'
     ),
     'selector' => '.footer-section-wrapper',
     'container_inclusive' => true,
     'render_callback' => function () {
        return business_roy_footer_main_content();
     }
));