<?php

/* GENERAL SETTINGS PANEL */
$wp_customize->add_panel('business_roy_general_settings_panel', array(
    'title' => esc_html__('General Settings', 'business-roy'),
    'priority' => 2
));

/* GENERAL SETTINGS SECTION */
$wp_customize->add_section('business_roy_container_section', array(
    'title' => esc_html__('Container', 'business-roy'),
    'panel' => 'business_roy_general_settings_panel'
));

//MOVE BACKGROUND AND COLOR SETTING INTO GENERAL SETTING PANEL
$wp_customize->get_control('background_color')->section = 'colors';
$wp_customize->get_control('background_image')->section = 'business_roy_container_section';
$wp_customize->get_control('background_preset')->section = 'business_roy_container_section';
$wp_customize->get_control('background_position')->section = 'business_roy_container_section';
$wp_customize->get_control('background_size')->section = 'business_roy_container_section';
$wp_customize->get_control('background_repeat')->section = 'business_roy_container_section';
$wp_customize->get_control('background_attachment')->section = 'business_roy_container_section';

$wp_customize->get_control('background_image')->priority = 20;
$wp_customize->get_control('background_preset')->priority = 20;
$wp_customize->get_control('background_position')->priority = 20;
$wp_customize->get_control('background_size')->priority = 20;
$wp_customize->get_control('background_repeat')->priority = 20;
$wp_customize->get_control('background_attachment')->priority = 20;


$wp_customize->add_setting('business_roy_container_width', array(
    'sanitize_callback' => 'absint',
    //'transport' => 'postMessage',
    'default' => 1220,
));

$wp_customize->add_control(new BusinessRoy_Range_Control($wp_customize, 'business_roy_container_width', array(
    'section' => 'business_roy_container_section',
    'label' => esc_html__('Container Width', 'business-roy'),
    'input_attrs' => array(
        'min' => 1024,
        'max' => 1420,
        'step' => 1
    )
)));

$wp_customize->add_setting('business_roy_sidebar_width', array(
    'sanitize_callback' => 'absint',
    //'transport' => 'postMessage',
    'default' => 330,
));

$wp_customize->add_control(new BusinessRoy_Range_Control($wp_customize, 'business_roy_sidebar_width', array(
    'section' => 'business_roy_container_section',
    'label' => esc_html__('Left Sidebar Width', 'business-roy'),
    'input_attrs' => array(
        'min' => 100,
        'max' => 330,
        'step' => 1
    )
)));

$wp_customize->add_setting('business_roy_background_heading', array(
    'sanitize_callback' => 'business_roy_sanitize_text',
));

$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_background_heading', array(
    'section' => 'business_roy_container_section',
    'label' => esc_html__('Background', 'business-roy'),
)));


/*********
 * Back To Top Button
*/
$wp_customize->add_section('business_roy_backtotop_section', array(
    'title' => esc_html__('Scroll to Top', 'business-roy'),
    'panel' => 'business_roy_general_settings_panel'
));

$wp_customize->add_setting('business_roy_backtotop', array(
    'sanitize_callback' => 'business_roy_sanitize_text',
    'default' => true,
    //'transport' => 'postMessage'
));

$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_backtotop', array(
    'section' => 'business_roy_backtotop_section',
    'label' => esc_html__('Back To Up (Enable/Disable)', 'business-roy'),
    'switch_label' => array(
        'enable' => esc_html__('Yes', 'business-roy'),
        'disable' => esc_html__('No', 'business-roy'),
    ),
)));


/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_upgrade_text', array(
    'section' => 'business_roy_backtotop_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('Change different icon', 'business-roy'),
        esc_html__('Adjust up arrow position ( left corner or right corner )', 'business-roy'),
        esc_html__('Change icon background & font color', 'business-roy')
    ),
    'priority' => 250
)));
