<?php
    $wp_customize->get_section( 'title_tagline' )->panel = 'business_roy_header_settings';
    $wp_customize->remove_control('header_image');
    /**
	 * Header Layout Settings
	*/
	$wp_customize->add_section('business_roy_header', array(
		'title'		=>	esc_html__('Header Settings','business-roy'),
		'panel'		=> 'business_roy_header_settings',
	));
   
    $wp_customize->add_setting('business_roy_header_nav', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'wp_kses_post',
        'priority' => -1,
    ));
    $wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_header_nav', array(
        'type' => 'tab',
        'section' => 'business_roy_header',
        'buttons' => array(
            array(
                'name' => esc_html__('Content', 'business-roy'),
                'fields' => array(
                    'business_roy_header_layout',
                    'business_roy_menu_absolute',
                    'business_roy_menu_sidebar',
                    'business_roy_enable_search',
                ),
                'active' => true,
            ),
            array(
                'name' => esc_html__('Style', 'business-roy'),
                'fields' => array(
                    'business_roy_header_bg_heading',
                    'business_roy_hamburger_color',
                    'business_roy_header_bg_type',
                    'business_roy_header_bg_color',
                    'business_roy_header_bg_gradient',
                    'business_roy_header_background_image',
                    'business_roy_header_bg_image',
                    'business_roy_header_margin_padding',
                ),
            ),
            array(
                'name' => esc_html__('Menu Style', 'business-roy'),
                'fields' => array(
                    'business_roy_menu',
                    'business_roy_header_nav_container_bg_color',
                    'business_roy_header_nav_hover_group',
                    'business_roy_header_item_group',
                    'business_roy_header_sub_item_group',
                    'business_roy_header_container_nav_radius',
                    'business_roy_header_nav_item_radius',
                    'business_roy_header_nav_color_heading',
                )
            )
        ),
    )));
		//  Header Left Side Options.
		$wp_customize->add_setting('business_roy_header_layout', array(
		    'default' => 'layout_one',
            'transport' => 'postMessage',
		    'sanitize_callback' => 'business_roy_sanitize_select'        //done
		));
		$wp_customize->add_control('business_roy_header_layout', array(
		    'label' => esc_html__('Header Layout', 'business-roy'),
		    'section' => 'business_roy_header',
		    'type' => 'select',
		    'choices' => array(
		    	'layout_one' => esc_html__('Layout One' , 'business-roy'),
				'layout_two' => esc_html__('Layout Two' ,'business-roy'),
		    )
		));

        $wp_customize->add_setting('business_roy_menu_sidebar', array(
		    'default' => 'disable',
			'transport' => 'postMessage',
		    'sanitize_callback' => 'business_roy_sanitize_switch',     //done
		));
		$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_menu_sidebar', array(
		    'label' => esc_html__('Sidebar', 'business-roy'),
		    'section' => 'business_roy_header',
		    'switch_label' => array(
		        'enable' => esc_html__('Yes', 'business-roy'),
		        'disable' => esc_html__('No', 'business-roy'),
		    ),
		)));

        $wp_customize->add_setting('business_roy_menu_absolute', array(
		    'default' => 'disable',
			'transport' => 'postMessage',
		    'sanitize_callback' => 'business_roy_sanitize_switch',     //done
		));

		$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_menu_absolute', array(
		    'label' => esc_html__('Over Nav', 'business-roy'),
		    'section' => 'business_roy_header',
		    'switch_label' => array(
		        'enable' => esc_html__('Yes', 'business-roy'),
		        'disable' => esc_html__('No', 'business-roy'),
		    ),
		)));

        $wp_customize->add_setting('business_roy_enable_search', array(
		    'default' => 'enable',
			'transport' => 'postMessage',
		    'sanitize_callback' => 'business_roy_sanitize_switch',     //done
		));
		$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_enable_search', array(
		    'label' => esc_html__('Enable Search', 'business-roy'),
		    'section' => 'business_roy_header',
		    'switch_label' => array(
		        'enable' => esc_html__('Yes', 'business-roy'),
		        'disable' => esc_html__('No', 'business-roy'),
		    ),
		)));

        //heading
        $wp_customize->add_setting('business_roy_header_bg_heading', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_header_bg_heading', array(
            'section' => 'business_roy_header',
            'label' => esc_html__('Header Background', 'business-roy')
        )));

        $wp_customize->add_setting("business_roy_hamburger_color", array(
            'default' => '#ffc107',
            'sanitize_callback' => 'business_roy_sanitize_color_alpha',
            'transport' => 'postMessage'
        ));
        
        $wp_customize->add_control(new BusinessRoy_Alpha_Color_Control($wp_customize, "business_roy_hamburger_color", array(
            'section' => 'business_roy_header',
            'label' => esc_html__('Hamburger Color(Mobile)', 'business-roy'),
        )));

        // background 
        $wp_customize->add_setting("business_roy_header_bg_type", array(
            'default' => 'none',
            'sanitize_callback' => 'business_roy_sanitize_select',
            'transport' => 'postMessage'
        ));
        $wp_customize->add_control("business_roy_header_bg_type", array(
            'section' => 'business_roy_header',
            'type' => 'select',
            'label' => esc_html__('Background Type', 'business-roy'),
            'choices' => array(
                'none'   => esc_html__('Default', 'business-roy'),
                'color-bg'  => esc_html__('Color Background', 'business-roy'),
                'gradient-bg' => esc_html__('Gradient', 'business-roy')
            ),
        ));

        $wp_customize->add_setting("business_roy_header_bg_color", array(
            'default' => '#f2f4f6',
            'sanitize_callback' => 'business_roy_sanitize_color_alpha',
            'transport' => 'postMessage'
        ));
        $wp_customize->add_control(new BusinessRoy_Alpha_Color_Control($wp_customize, "business_roy_header_bg_color", array(
            'section' => 'business_roy_header',
            'label' => esc_html__('Background Color', 'business-roy'),
        )));

        $wp_customize->add_setting("business_roy_header_bg_gradient", array(
            'sanitize_callback' => 'sanitize_text_field',
            'transport' => 'postMessage'
        ));
        $wp_customize->add_control(new BusinessRoy_Gradient_Control($wp_customize, "business_roy_header_bg_gradient", array(
            'section' => 'business_roy_header',
            'label' => esc_html__('Gradient Background', 'business-roy'),
        )));

        $wp_customize->add_setting( 'business_roy_header_margin_padding',
            array(
                'sanitize_callback' => 'business_roy_sanitize_field_background',
                'transport' => 'postMessage',
                'default'           => json_encode(array(
                    'padding'   => '',
                    'margin' => '',
                    'radius' => '',
                )),
            )
        );
        $wp_customize->add_control(new BusinessRoy_Custom_Control_Group($wp_customize,'business_roy_header_margin_padding',
                array(
                    'label'    => esc_html__( 'Margin/Padding/Radius', 'business-roy' ),
                    'section'  => 'business_roy_header',
                    'settings' => 'business_roy_header_margin_padding',
                ),
                array(
                    'margin'      => array(
                        'type'  => 'cssbox',
                        'label' => esc_html__( 'Margin(px)', 'business-roy' ),
                    ),
                    'padding' => array(
                        'type'  => 'cssbox',
                        'label' => esc_html__( 'Padding(px)', 'business-roy' ),
                    ),
                    'radius' => array(
                        'type'  => 'cssbox',
                        'label' => esc_html__( 'Radius(px)', 'business-roy' ),
                    )
                )
            )
        );

        /******
         *  Menu Style Settings 
        */
        $wp_customize->add_setting('business_roy_header_nav_color_heading', array(
            'sanitize_callback' => 'sanitize_text_field',
            'transport' => 'postMessage',
        ));
        $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_header_nav_color_heading', array(
            'section' => 'business_roy_header',
            'label' => esc_html__('Menu Color & Item Settings', 'business-roy')
        )));

        $wp_customize->add_setting( 'business_roy_header_item_group',
            array(
                'sanitize_callback' => 'business_roy_sanitize_field_background',
                'transport' => 'postMessage',
                'default'           => json_encode(array(
                    'bg_color'   => '',
                    'color' => '',
                    'radius' => '',
                    'margin' => '',
                    'padding' => ''
                )),
            )
        );
        $wp_customize->add_control( new BusinessRoy_Custom_Control_Group( $wp_customize, 'business_roy_header_item_group',
            array(
                'label'    => esc_html__( 'Menu Item', 'business-roy' ),
                'section'  => 'business_roy_header',
                'settings' => 'business_roy_header_item_group',
            ),
                array(
                    'bg_color'      => array(
                        'type'  => 'color',
                        'label' => esc_html__( 'Background', 'business-roy' ),
                    ),
                    'color' => array(
                        'type'  => 'color',
                        'label' => esc_html__( 'Color', 'business-roy' ),
                    ),
                    'padding' => array(
                        'type'  => 'cssbox',
                        'label' => esc_html__( 'Padding', 'business-roy' ),
                    ),
                    'margin' => array(
                        'type'  => 'cssbox',
                        'label' => esc_html__( 'Margin', 'business-roy' ),
                    ),
                    'radius' => array(
                        'type'  => 'cssbox',
                        'label' => esc_html__( 'Radius', 'business-roy' ),
                    )
                )
            )
        );

        $wp_customize->add_setting( 'business_roy_header_sub_item_group',
            array(
                'sanitize_callback' => 'business_roy_sanitize_field_background',
                'transport' => 'postMessage',
                'default'           => json_encode(array(
                    'bg_color'   => '',
                    'color' => '',
                    'padding' => '',
                    'margin' => '',
                    'radius' => '' 
                )),
            )
        );
        $wp_customize->add_control( new BusinessRoy_Custom_Control_Group( $wp_customize, 'business_roy_header_sub_item_group',
            array(
                'label'    => esc_html__( 'Sub Menu Item', 'business-roy' ),
                'section'  => 'business_roy_header',
                'settings' => 'business_roy_header_sub_item_group',
            ),
                array(
                    'bg_color'      => array(
                        'type'  => 'color',
                        'label' => esc_html__( 'Background', 'business-roy' ),
                    ),
                    'color' => array(
                        'type'  => 'color',
                        'label' => esc_html__( 'Color', 'business-roy' ),
                    ),
                    'padding' => array(
                        'type'  => 'cssbox',
                        'label' => esc_html__( 'Padding', 'business-roy' ),
                    ),
                    'margin' => array(
                        'type'  => 'cssbox',
                        'label' => esc_html__( 'Margin', 'business-roy' ),
                    ),
                    'radius' => array(
                        'type'  => 'cssbox',
                        'label' => esc_html__( 'Radius', 'business-roy' ),
                    )
                )
            )
        );

        $wp_customize->add_setting( 'business_roy_header_nav_hover_group',
            array(
                'sanitize_callback' => 'business_roy_sanitize_field_background',
                'transport' => 'postMessage',
                'default'           => json_encode(array(
                    'nav_bg_color'   => '',
                    'nav_color' => ''
                )),
            )
        );
        $wp_customize->add_control( new BusinessRoy_Custom_Control_Group( $wp_customize, 'business_roy_header_nav_hover_group',
                array(
                    'label'    => esc_html__( 'Menu Item - Hover / Active', 'business-roy' ),
                    'section'  => 'business_roy_header',
                    'settings' => 'business_roy_header_nav_hover_group',
                    'priority' => 100,
                ),
                array(
                    'nav_bg_color'      => array(
                        'type'  => 'color',
                        'label' => esc_html__( 'Background', 'business-roy' ),
                    ),
                    'nav_color' => array(
                        'type'  => 'color',
                        'label' => esc_html__( 'Color', 'business-roy' ),
                    )
                )
            )
        );

    $wp_customize->selective_refresh->add_partial( 'business_roy_enable_search', array (
        'settings' => array( 
            'business_roy_header_layout',
            'business_roy_menu_sidebar',
            'business_roy_menu_absolute',
        ),
        'selector' => '#masthead',
        'container_inclusive' => true,
        'render_callback' => function () {
            $layout = get_theme_mod('business_roy_header_layout','layout_one');
            return get_template_part('header/header', str_replace("layout_","", $layout));
        }
    ));


/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_header_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_header_upgrade_text', array(
    'section' => 'business_roy_header',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('Five different header layouts', 'business-roy'),
        esc_html__('Advanced user friendly customizer', 'business-roy'),
        esc_html__('Select background type ( colors / gradient / image )', 'business-roy'),
        esc_html__('Show/Hide Sticky Menu', 'business-roy'),
        esc_html__('Quick customization ( title, info & color )', 'business-roy'),
        esc_html__('Customize Menu background & Wrapper colors', 'business-roy'),
        esc_html__('Advanced Menu Items Settings with Sub Menu Items Options', 'business-roy'),
        esc_html__('Change Menu Item Hover/Active Color', 'business-roy'),
    ),
    'priority' => 250
)));