<?php
	/**
	 * About Us Section 
	*/
	$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_aboutus_section', array(
		'title'		=>	esc_html__('About Us','business-roy'),
		'panel'		=> 'business_roy_frontpage_settings',
		'priority'  => business_roy_get_section_position('business_roy_aboutus_section'),
		'hiding_control' => 'business_roy_aboutus_service_section'
	)));
	
    $wp_customize->add_setting('business_roy_about_nav', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'wp_kses_post',
    ));
    $wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_about_nav', array(
        'type' => 'tab',
        'section' => 'business_roy_aboutus_section',
        'priority' => 1,
        'buttons' => array(
            array(
                'name' => esc_html__('Content', 'business-roy'),
                'fields' => array(
					'business_roy_aboutus_service_section',
					'business_roy_aboutus_layout_design',
					'business_roy_aboutus_super_title',
                    'business_roy_about',
					'business_roy_about_image',
					'business_roy_aboutus_button_text',
                    'business_roy_progressbar',
					'business_roy_aboutus_progressbar_heading',
                    'business_roy_aboutus_progressbar',
					'business_roy_aboutus_profile_image',
                    'business_roy_aboutus_profile_name',
					'business_roy_aboutus_profile_role',
					'business_roy_aboutus_signature',
                ),
                'active' => true,
            ),
            array(
                'name' => esc_html__('Style', 'business-roy'),
                'fields' => array(
					'business_roy_aboutus_cs_heading',
                ),
            ),
            array(
                'name' => esc_html__('Advanced', 'business-roy'),
                'fields' => array(
					'business_roy_aboutus_bg_type',
                    'business_roy_aboutus_bg_color',
                    'business_roy_aboutus_bg_gradient',
					'business_roy_aboutus_padding',
					'business_roy_aboutus_margin',

					'business_roy_aboutus_cs_seperator',

                    'business_roy_aboutus_section_seperator',
                    'business_roy_aboutus_top_seperator',
                    'business_roy_aboutus_bottom_seperator',
                ),
            ),
        ),
    )));
    	/**
         * Enable/Disable Option
         *
         * @since 1.0.0
        */
        $wp_customize->add_setting('business_roy_aboutus_service_section', array(
		    'default' => 'enable',
			'transport' => 'postMessage',
		    'sanitize_callback' => 'business_roy_sanitize_switch',     //done
		));
		$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_aboutus_service_section', array(
		    'label' => esc_html__('Enable/Disable', 'business-roy'),
		    'section' => 'business_roy_aboutus_section',
		    'switch_label' => array(
		        'enable' => esc_html__('Yes', 'business-roy'),
		        'disable' => esc_html__('No', 'business-roy'),
		    ),
        )));

        $wp_customize->add_setting('business_roy_aboutus_layout_design', array(
            'default' => 'layouttwo',
			'transport' => 'postMessage',
            'sanitize_callback' => 'business_roy_sanitize_options'
        ));
        $wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_aboutus_layout_design', array(
            'section' => 'business_roy_aboutus_section',
            'label' => esc_html__('Layout', 'business-roy'),
            'options' => array(
                'layoutone' => get_template_directory_uri() . '/inc/customizer/images/cover-image-left.png',
                'layouttwo' => get_template_directory_uri() . '/inc/customizer/images/cover-image-right.png',
                'layoutthree' => get_template_directory_uri() . '/inc/customizer/images/cover-image-center.png',
            )
        )));

		$wp_customize->add_setting( 'business_roy_aboutus_super_title', array(
			'sanitize_callback' => 'sanitize_text_field', 	 //done	
			'transport' => 'postMessage'
		));

		$wp_customize->add_control('business_roy_aboutus_super_title', array(
			'label'		=> esc_html__( 'Super Title', 'business-roy' ),
			'section'	=> 'business_roy_aboutus_section',
			'type'      => 'text',
		));

		// About Us Page.
		$wp_customize->add_setting( 'business_roy_about', array(
			'transport' => 'postMessage',
			'sanitize_callback' => 'absint'			//done
		) );
		$wp_customize->add_control( 'business_roy_about', array(
			'label'    => esc_html__( 'Select Page ', 'business-roy' ),
			'section'  => 'business_roy_aboutus_section',
			'type'     => 'dropdown-pages'
		));
		
		// About Us Image.
		$wp_customize->add_setting('business_roy_about_image', array(
			'transport' => 'postMessage',
			'sanitize_callback'	=> 'esc_url_raw'		//done
		));
		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'business_roy_about_image', array(
			'label'	   => esc_html__('Upload Feature Image','business-roy'),
			'section'  => 'business_roy_aboutus_section',
		)));

		// About Us Button Text.
		$wp_customize->add_setting( 'business_roy_aboutus_button_text', array(
			'default'           => esc_html__( 'More About Us','business-roy' ),
			'transport' => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field'			//done
		) );
		$wp_customize->add_control( 'business_roy_aboutus_button_text', array(
			'label'    => esc_html__( 'Button Text', 'business-roy' ),
			'section'  => 'business_roy_aboutus_section',
			'type'     => 'text',
			'active_callback' => 'business_roy_active_about_button'
		));
		
		$wp_customize->add_setting('business_roy_aboutus_progressbar_heading', array(
			'sanitize_callback' => 'sanitize_text_field'
		));
		$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_aboutus_progressbar_heading', array(
			'section' => 'business_roy_aboutus_section',
			'label' => esc_html__('Achievement Awards', 'business-roy')
		)));

		$wp_customize->add_setting('business_roy_aboutus_progressbar', array(
		    'default' => 'enable',
			'transport' => 'postMessage',
		    'sanitize_callback' => 'business_roy_sanitize_switch',     //done
		));
		$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_aboutus_progressbar', array(
		    'label' => esc_html__('Achievement Items', 'business-roy'),
		    'section' => 'business_roy_aboutus_section',
		    'switch_label' => array(
		        'enable' => esc_html__('Show', 'business-roy'),
		        'disable' => esc_html__('Hide', 'business-roy'),
		    ),
        )));

		// About Us Progress Bar.
		$wp_customize->add_setting('business_roy_progressbar', array(
		    'sanitize_callback' => 'business_roy_sanitize_repeater',		//done
			'transport' => 'postMessage',
		    'default' => json_encode(array(
		        array(
					'icon' => '',
		            'progressbar_title'  =>'',
		            'progressbar_number'  =>''          
		        )
		    ))
		));

		$wp_customize->add_control(new BusinessRoy_Repeater_Control($wp_customize, 'business_roy_progressbar', 
			array(
			    'label' 	   => esc_html__('Achievement Awards Settings', 'business-roy'),
			    'section' 	   => 'business_roy_aboutus_section',
			    'settings' 	   => 'business_roy_progressbar',
			    'box_label' => esc_html__('Achievement Awards Settings', 'business-roy'),
			    'add_label' => esc_html__('Add Award', 'business-roy'),
				'limit' => 2,
			    'active_callback' => 'business_roy_active_progressbar'
			),
		    array(
				'icon' => array(
		            'type' => 'icon',
		            'label' => esc_html__('Icon', 'business-roy'),
		            'default' => ''
		        ),
		        'progressbar_title' => array(
		            'type' => 'text',
		            'label' => esc_html__('Title', 'business-roy'),
		            'default' => ''
		        ),
		        'progressbar_number' => array(
		            'type' => 'text',
		            'label' => esc_html__('Number', 'business-roy'),
		            'default' => ''
		        )
			)
		));
        

		$wp_customize->add_setting( 'business_roy_aboutus_profile_image', array(
			'sanitize_callback' => 'sanitize_text_field', 	 //done	
			'transport' => 'postMessage'
		));

		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'business_roy_aboutus_profile_image', array(
			'label'	   => esc_html__('Profile Image','business-roy'),
			'section'  => 'business_roy_aboutus_section',
		)));

		$wp_customize->add_setting( 'business_roy_aboutus_profile_name', array(
			'sanitize_callback' => 'sanitize_text_field', 	 //done	
			'transport' => 'postMessage'
		));

		$wp_customize->add_control('business_roy_aboutus_profile_name', array(
			'label'		=> esc_html__( 'Profile Name', 'business-roy' ),
			'section'	=> 'business_roy_aboutus_section',
			'type'      => 'text',
			'priority' => 10
		));
		
		$wp_customize->add_setting( 'business_roy_aboutus_profile_role', array(
			'sanitize_callback' => 'sanitize_text_field', 	 //done	
			'transport' => 'postMessage'
		));

		$wp_customize->add_control('business_roy_aboutus_profile_role', array(
			'label'		=> esc_html__( 'Designation', 'business-roy' ),
			'section'	=> 'business_roy_aboutus_section',
			'type'      => 'text',
			'priority' => 10
		));
		$wp_customize->add_setting('business_roy_aboutus_signature', array(
			'transport' => 'postMessage',
			'priority' => 10,
			'sanitize_callback'	=> 'esc_url_raw'		//done
		));

		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'business_roy_aboutus_signature', array(
			'label'	   => esc_html__('Signature Image','business-roy'),
			'section'  => 'business_roy_aboutus_section',
		)));

		$wp_customize->selective_refresh->add_partial( "business_roy_aboutus_settings", array (
			'settings' => array( 
				'business_roy_aboutus_service_section',
				'business_roy_about',
				'business_roy_progressbar',
				'business_roy_aboutus_button_text',
				'business_roy_aboutus_progressbar',
				'business_roy_aboutus_profile_image',
				'business_roy_aboutus_profile_name',
				'business_roy_aboutus_profile_role',
				'business_roy_aboutus_signature',
				'business_roy_aboutus_section_seperator',
				'business_roy_aboutus_top_seperator',
				'business_roy_aboutus_bottom_seperator'
			),
			'selector' => "#aboutus-section",
			'fallback_refresh' => true,
			'container_inclusive' => true,
			'render_callback' => function () {
				return get_template_part( 'section/section-aboutus' );
			}
		));
/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_about_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_about_upgrade_text', array(
    'section' => 'business_roy_aboutus_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('5+ Different Layouts', 'business-roy'),
        esc_html__('Availability of Text Alignment Options', 'business-roy'),
		esc_html__('Advanced Button Settings with Icon & Video Links', 'business-roy'),
        esc_html__('Change Title & Sub Title Colors and Layout', 'business-roy'),
        esc_html__('4+ Different Background Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));