<?php
/*************
 * Blog Section
*/
$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_blog_section', array(
    'title'		=> 	esc_html__('Blogs','business-roy'),
    'panel'		=> 'business_roy_frontpage_settings',
    'priority'  => business_roy_get_section_position('business_roy_blog_section'),
    'hiding_control' => 'business_roy_home_blog_section'
)));
    $wp_customize->add_setting('business_roy_blog_section_nav', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'wp_kses_post',
    ));
    $wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_blog_section_nav', array(
        'type' => 'tab',
        'section' => 'business_roy_blog_section',
        'priority' => 1,
        'buttons' => array(
            array(
                'name' => esc_html__('Content', 'business-roy'),
                'fields' => array(
                    'business_roy_home_blog_section',
                    'business_roy_blog_subtitle',
                    'business_roy_blog_title',
                    'business_roy_blog_title_align',
                    'business_roy_blog_categories',
                    'business_roy_posts_num',
                    'business_roy_blog_style'
                ),
                'active' => true,
            ),
            array(
                'name' => esc_html__('Style', 'business-roy'),
                'fields' => array(
                    'business_roy_blog_cs_heading',
                ),
            ),
            array(
                'name' => esc_html__('Advanced', 'business-roy'),
                'fields' => array(
                    'business_roy_blog_bg_type',
                    'business_roy_blog_bg_color',
                    'business_roy_blog_bg_gradient',
                    'business_roy_blog_padding',
                    'business_roy_blog_margin',
					'business_roy_blog_section_seperator',
					'business_roy_blog_top_seperator',
					'business_roy_blog_bottom_seperator',
                ),
            ),
        ),
    )));

    /**
     * Enable/Disable Option
     *
     * @since 1.0.0
    */
    $wp_customize->add_setting('business_roy_home_blog_section', array(
        'default' => 'enable',
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_switch',     //done
    ));
    $wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_home_blog_section', array(
        'label' => esc_html__('Enable', 'business-roy'),
        'section' => 'business_roy_blog_section',
        'switch_label' => array(
            'enable' => esc_html__('Yes', 'business-roy'),
            'disable' => esc_html__('No', 'business-roy'),
        ),
    )));

    
    // Blog Title.
    $wp_customize->add_setting('business_roy_blog_subtitle', array(
        'transport' => 'postMessage',
        'sanitize_callback'	=> 'sanitize_text_field'		//done
    ));
    $wp_customize->add_control('business_roy_blog_subtitle', array(
        'label'	   => esc_html__('Super Title','business-roy'),
        'section'  => 'business_roy_blog_section',
        'type'	   => 'text',
    ));

    // Blog Title.
    $wp_customize->add_setting('business_roy_blog_title', array(
        'transport' => 'postMessage',
        'sanitize_callback'	=> 'sanitize_text_field'		//done
    ));
    $wp_customize->add_control('business_roy_blog_title', array(
        'label'	   => esc_html__('Title','business-roy'),
        'section'  => 'business_roy_blog_section',
        'type'	   => 'text',
    ));
    
    $wp_customize->add_setting('business_roy_blog_title_align', array(
        'default' => 'text-center',
        'sanitize_callback' => 'business_roy_sanitize_select',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(
        new BusinessRoy_Custom_Control_Buttonset( $wp_customize, 'business_roy_blog_title_align',
            array(
                'choices'  => array(
                    'text-left' => esc_html__('Left', 'business-roy'),
                    'text-center' => esc_html__('Center', 'business-roy'),
                    'text-right' => esc_html__('Right', 'business-roy'),
                ),
                'label'    => esc_html__( 'Alignment', 'business-roy' ),
                'section'  => 'business_roy_blog_section',
                'settings' => 'business_roy_blog_title_align',
            )
        )
    );
    
    // Blog Posts.
    $wp_customize->add_setting('business_roy_blog_categories', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field',     //done
    ));
    $wp_customize->add_control(new BusinessRoy_Multiple_Check_Control($wp_customize, 'business_roy_blog_categories', array(
        'label'    => esc_html__('Choose from below categories', 'business-roy'),
        'settings' => 'business_roy_blog_categories',
        'section'  => 'business_roy_blog_section',
        'choices'  => $blog_cat,
    )));

    //print_r($blog_cat);
    
    // Select Blog Post Layout.
    $wp_customize->add_setting('business_roy_posts_num', array(
        'transport' => 'postMessage',
        'default'			 =>	'three',
        'sanitize_callback'	 =>	'business_roy_sanitize_select'		//done	
    ));
    $wp_customize->add_control( 'business_roy_posts_num', array(
        'label'	  =>	esc_html__('Number of Posts','business-roy'),
        'section' =>	'business_roy_blog_section',
        'type'	  =>	'select',
        'choices' => array(
            'three' => esc_html__('Three','business-roy'),
            'six'   => esc_html__( 'Six','business-roy' ),
        )
    ));

    $wp_customize->selective_refresh->add_partial( "business_roy_home_blog_section_refresh", array (
        'settings' => array( 
            'business_roy_home_blog_section',
            'business_roy_blog_subtitle',
            'business_roy_blog_title',
            'business_roy_posts_num',
            'business_roy_blog_categories',
            "business_roy_blog_section_seperator",
            "business_roy_blog_top_seperator",
            "business_roy_blog_bottom_seperator"		
        ),
        'selector' => "#blog-section",
        'fallback_refresh' => true,
        'container_inclusive' => true,
        'render_callback' => function () {
            return get_template_part( 'section/section-blog' );
        }
    ));

    
    $wp_customize->add_setting('business_roy_blog_style', array(
        'sanitize_callback' => 'business_roy_sanitize_options',
        'default' => 'layoutone',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_blog_style', array(
        'section' => 'business_roy_blog_section',
        'label' => esc_html__('Layout', 'business-roy'),
        'options' => array(
            'layoutone' => get_template_directory_uri() . '/inc/customizer/images/blog-image-layout-1.png'
        )
    )));

/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_blog_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_blog_upgrade_text', array(
    'section' => 'business_roy_blog_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('More Different Layout Options', 'business-roy'),
		esc_html__('Toggle Display Options for Post Meta', 'business-roy'),
        esc_html__('Text Aligment Options', 'business-roy'),
        esc_html__('Customize Title & Sub Title Colors with 5 different layout', 'business-roy'),
        esc_html__('4+ Different Background Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));