<?php
$wp_customize->add_section('business_roy_titlebar_section', array(
    'title' => esc_html__('Breadcrumb Settings', 'business-roy'),
    'priority' => 60,
    'description' => esc_html__('This setting will apply in all Posts, Pages, Archive and Search Page.', 'business-roy'),
    'hiding_control' => 'business_roy_enable_breadcrumbs'
));
$wp_customize->add_setting('business_roy_enable_breadcrumbs_nav', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'wp_kses_post',
));
$wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_enable_breadcrumbs_nav', array(
    'type' => 'tab',
    'section' => 'business_roy_titlebar_section',
    'buttons' => array(
        array(
            'name' => esc_html__('Content', 'business-roy'),
            'fields' => array(
                'business_roy_enable_breadcrumbs',
                'business_roy_show_title',
                'business_roy_breadcrumb',
                'business_roy_breadcrumb_alignment_heading',
                'business_roy_titlebar_title_align'
            ),
            'active' => true,
        ),
        array(
            'name' => esc_html__('Style', 'business-roy'),
            'fields' => array(
                'business_roy_titlebar_cs_heading',
                'business_roy_titlebar_title_color',
                'business_roy_titlebar_text_color'
            ),
        ),
        array(
            'name' => esc_html__('Advanced', 'business-roy'),
            'fields' => array(
                'business_roy_titlebar_bg_type',
                'business_roy_titlebar_bg_color',
                'business_roy_titlebar_bg_gradient',
                'business_roy_titlebar_padding',
                'business_roy_titlebar_margin',
                'business_roy_titlebar_section_seperator',
                'business_roy_titlebar_bottom_seperator',
               
            ),
        ),
        array(
            'name' => esc_html__('Hidden', 'business-roy'),
            'class' => 'customizer-hidden',
            'fields' => array(
                'business_roy_titlebar_cs_seperator',
                'business_roy_titlebar_top_seperator',
            ),
        ),
    ),
)));

// Enable or Disable Breadcrumb.
$wp_customize->add_setting('business_roy_enable_breadcrumbs', array(
    'sanitize_callback' => 'business_roy_sanitize_switch',
    'transport' => 'postMessage',
    'default' => 'enable'
));
$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_enable_breadcrumbs', array(
    'section' => 'business_roy_titlebar_section',
    'label' => esc_html__('Enable/Disable', 'business-roy'),
    'switch_label' => array(
        'enable' => esc_html__('Yes', 'business-roy'),
        'disable' => esc_html__('No', 'business-roy')
    )
)));


$wp_customize->add_setting('business_roy_show_title', array(
    'sanitize_callback' => 'business_roy_sanitize_checkbox',
    'transport' => 'postMessage',
    'default' => true
));
$wp_customize->add_control(new BusinessRoy_Checkbox_Control($wp_customize, 'business_roy_show_title', array(
    'section' => 'business_roy_titlebar_section',
    'label' => esc_html__('Post Title', 'business-roy')
)));


$wp_customize->add_setting('business_roy_breadcrumb', array(
    'sanitize_callback' => 'business_roy_sanitize_checkbox',
    'transport' => 'postMessage',
    'default' => true
));
$wp_customize->add_control(new BusinessRoy_Checkbox_Control($wp_customize, 'business_roy_breadcrumb', array(
    'section' => 'business_roy_titlebar_section',
    'label' => esc_html__('Menu', 'business-roy'),
)));


$wp_customize->add_setting('business_roy_breadcrumb_alignment_heading', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage',
));
$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_breadcrumb_alignment_heading', array(
    'section' => 'business_roy_titlebar_section',
    'label' => esc_html__('Alignment', 'business-roy')
)));

$wp_customize->add_setting('business_roy_titlebar_title_align', array(
    'default' => 'text-center',
    'sanitize_callback' => 'business_roy_sanitize_select',
    'transport' => 'postMessage'
));
$wp_customize->add_control( new BusinessRoy_Custom_Control_Buttonset( $wp_customize, 'business_roy_titlebar_title_align', array(
    'section'  => 'business_roy_titlebar_section',
    'settings' => 'business_roy_titlebar_title_align',
    'choices'  => array(
        'text-left' => esc_html__('Left', 'business-roy'),
        'text-center' => esc_html__('Center', 'business-roy'),
        'text-right' => esc_html__('Right', 'business-roy'),
    ),
)));


$wp_customize->selective_refresh->add_partial( 'business_roy_breadcrumbs_settings', array (
    'settings' => array( 
        'business_roy_enable_breadcrumbs', 
        'business_roy_show_title',
        'business_roy_breadcrumb',
        'business_roy_titlebar_section_seperator', 
        'business_roy_titlebar_bottom_seperator'
    ),
    'selector' => '#titlebar-section',
    'container_inclusive' => true,
    'render_callback' => function () {
        if( get_theme_mod( 'business_roy_enable_breadcrumbs', 'enable' ) == 'enable' ) {
            return do_action('business_roy_breadcrumbs');
        }
    }
));


/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_breadcrumb_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_breadcrumb_upgrade_text', array(
    'section' => 'business_roy_titlebar_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('Advanced Customizing', 'business-roy'),
        esc_html__('Text Alignment Options', 'business-roy'),
        esc_html__('Change Title & Menu Color Options', 'business-roy'),
        esc_html__('4+ Different Background Type Options( Color/ Video/ Gradient/ Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));