<?php
/**
 * Clients Section. 
*/
$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_client_section', array(
    'title'		=> 	esc_html__('Clients','business-roy'),
    'panel'		=> 'business_roy_frontpage_settings',
    'priority'  => business_roy_get_section_position('business_roy_client_section'),
    'hiding_control' => 'business_roy_client_logo_options'
)));
    /**
     * Enable/Disable Option
     *
     * @since 1.0.0
    */
    $wp_customize->add_setting('business_roy_client_logo_options', array(
        'default' => 'disable',
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_switch',     //done
    ));
    $wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_client_logo_options', array(
        'label' => esc_html__('Enable', 'business-roy'),
        'section' => 'business_roy_client_section',
        'switch_label' => array(
            'enable' => esc_html__('Yes', 'business-roy'),
            'disable' => esc_html__('No', 'business-roy'),
        ),
    )));
    $wp_customize->add_setting('business_roy_client_section_nav', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'wp_kses_post',
    ));
    $wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_client_section_nav', array(
        'type' => 'tab',
        'section' => 'business_roy_client_section',
        'priority' => 1,
        'buttons' => array(
            array(
                'name' => esc_html__('Content', 'business-roy'),
                'fields' => array(
                    'business_roy_client_logo_options',
                    'business_roy_client_title_heading',
                    'business_roy_client_super_title',
                    'business_roy_client_title',
                    'business_roy_client_align_heading',
                    'business_roy_client_title_align',
                    'business_roy_client',
                    'business_roy_logo_style'
                ),
                'active' => true,
            ),
            array(
                'name' => esc_html__('Style', 'business-roy'),
                'fields' => array(
                    'business_roy_client_cs_heading',
                ),
            ),
            array(
                'name' => esc_html__('Advanced', 'business-roy'),
                'fields' => array(
                    'business_roy_client_bg_type',
                    'business_roy_client_bg_color',
                    'business_roy_client_bg_gradient',
                    'business_roy_client_padding',
                    'business_roy_client_margin',
					'business_roy_client_section_seperator',
					'business_roy_client_top_seperator',
					'business_roy_client_bottom_seperator',
                ),
            ),
        ),
    )));


    $wp_customize->add_setting('business_roy_client_title_heading', array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage',
    ));
    $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_client_title_heading', array(
        'section' => 'business_roy_client_section',
        'label' => esc_html__('Section Title & Sub Title', 'business-roy')
    )));
    
    // Clients Section Title.
    $wp_customize->add_setting( 'business_roy_client_super_title', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field'			//done
    ) );
    $wp_customize->add_control( 'business_roy_client_super_title', array(
        'label'    => esc_html__( 'Super Title', 'business-roy' ),
        'section'  => 'business_roy_client_section',
        'type'     => 'text',
    ));

    // Clients Section Title.
    $wp_customize->add_setting( 'business_roy_client_title', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field'			//done
    ) );
    $wp_customize->add_control( 'business_roy_client_title', array(
        'label'    => esc_html__( 'Title', 'business-roy' ),
        'section'  => 'business_roy_client_section',
        'type'     => 'text',
    ));

    $wp_customize->add_setting('business_roy_client_align_heading', array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage',
    ));
    $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_client_align_heading', array(
        'section' => 'business_roy_client_section',
        'label' => esc_html__('Alignment', 'business-roy')
    )));

    $wp_customize->add_setting('business_roy_client_title_align', array(
        'default' => 'text-center',
        'sanitize_callback' => 'business_roy_sanitize_select',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(
        new BusinessRoy_Custom_Control_Buttonset(
            $wp_customize,
            'business_roy_client_title_align',
            array(
                'choices'  => array(
                    'text-left' => esc_html__('Left', 'business-roy'),
                    'text-center' => esc_html__('Center', 'business-roy'),
                    'text-right' => esc_html__('Right', 'business-roy'),
                ),
                'section'  => 'business_roy_client_section',
                'settings' => 'business_roy_client_title_align',
            )
        )
    );

    //  Clients Page.
    $wp_customize->add_setting('business_roy_client', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_repeater',		//done
        'default' => json_encode(array(
            array(
                'client_image' => '',
                'client_link'  => '',
            )
        ))
    ));
    $wp_customize->add_control(new BusinessRoy_Repeater_Control( $wp_customize, 
        'business_roy_client',
        array(
            'label' 	   => esc_html__('Client Logos', 'business-roy'),
            'section' 	   => 'business_roy_client_section',
            'settings' 	   => 'business_roy_client',
            'box_label' => esc_html__('Logo', 'business-roy'),
            'add_label' => esc_html__('Add New', 'business-roy'),
        ),
        array(
            'client_image' => array(
                'type' => 'upload',
                'label' => esc_html__('Logo', 'business-roy'),
            ),
            'client_link' => array(
                'type'      => 'text',
                'label'     => esc_html__( 'Link', 'business-roy' ),
                'default'   => ''
            ), 
        )
    ));
    $wp_customize->add_setting('business_roy_logo_style', array(
        'sanitize_callback' => 'business_roy_sanitize_options',
        'default' => 'style1',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_logo_style', array(
        'section' => 'business_roy_client_section',
        'label' => esc_html__('Choose Style', 'business-roy'),
        'class' => 'one-second-width',
        'options' => array(
            'style1' => get_template_directory_uri() . '/inc/customizer/images/logo-style1.png',
            'style2' => get_template_directory_uri() . '/inc/customizer/images/logo-style2.png',
        )
    )));

    $wp_customize->selective_refresh->add_partial( "business_roy_client_refresh", array (
        'settings' => array( 
            'business_roy_client_logo_options',
            'business_roy_client',
            'business_roy_logo_style',
            'business_roy_client_section_seperator',
            'business_roy_client_top_seperator',
            'business_roy_client_bottom_seperator',		
        ),
        'selector' => "#client-section",
        'fallback_refresh' => true,
        'container_inclusive' => true,
        'render_callback' => function () {
            return get_template_part( 'section/section-client' );
        }
    ));


/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_client_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_client_upgrade_text', array(
    'section' => 'business_roy_client_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('Different Advanced Layouts to Pick From', 'business-roy'),
        esc_html__('Customize Columns in Display', 'business-roy'),
		esc_html__('Exhibit Client Logo in Various Forms', 'business-roy'),
        esc_html__('Customize Title & Sub Title Colors with 5 different layout', 'business-roy'),
        esc_html__('4+ Different Background  Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));