<?php
$section_array = array('aboutus', 'service', 'video_calltoaction', 'calltoaction', 'counter', 'blog', 'testimonial', 'team', 'client', 'promoservice', 'contact', 'pricing', 'tab', 'producttype', 'productcat', 'recentwork', 'how_it_works','titlebar');

$super_title_exclude_array = [ 'calltoaction', 'aboutus' ];

$exculde_section_array = $section_array;

foreach ($section_array as $id) {

    $wp_customize->add_setting("business_roy_{$id}_bg_type", array(
        'default' => 'none',
        'sanitize_callback' => 'business_roy_sanitize_select',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control("business_roy_{$id}_bg_type", array(
        'section' => "business_roy_{$id}_section",
        'type' => 'select',
        'label' => esc_html__('Background Type', 'business-roy'),
        'choices' => array(
            'none' => esc_html__('Default', 'business-roy'),
            'color-bg' => esc_html__('Color', 'business-roy'),
            'gradient-bg' => esc_html__('Gradient', 'business-roy')
        ),
        'priority' => 15
    ));

    $wp_customize->add_setting("business_roy_{$id}_bg_color", array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, "business_roy_{$id}_bg_color", array(
        'section' => "business_roy_{$id}_section",
        'label' => esc_html__('Background Color', 'business-roy'),
        'priority' => 20
    )));

    $wp_customize->add_setting("business_roy_{$id}_bg_gradient", array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(new BusinessRoy_Gradient_Control($wp_customize, "business_roy_{$id}_bg_gradient", array(
        'section' => "business_roy_{$id}_section",
        'label' => esc_html__('Gradient Background', 'business-roy'),
        'priority' => 25
    )));

    if (!in_array($id, $exculde_section_array)) {

        $wp_customize->add_setting("business_roy_{$id}_mb_seperator", array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control(new BusinessRoy_Separator_Control($wp_customize, "business_roy_{$id}_mb_seperator", array(
            'section' => "business_roy_{$id}_section",
            'priority' => 60
        )));
        
        $wp_customize->add_setting("business_roy_{$id}_mb_bg_color", array(
            'sanitize_callback' => 'sanitize_hex_color',
            'transport' => 'postMessage'
        ));
        $wp_customize->add_setting("business_roy_{$id}_mb_text_color", array(
            'sanitize_callback' => 'sanitize_hex_color',
            'transport' => 'postMessage'
        ));
        $wp_customize->add_setting("business_roy_{$id}_mb_hov_bg_color", array(
            'sanitize_callback' => 'sanitize_hex_color',
            'transport' => 'postMessage'
        ));
        $wp_customize->add_setting("business_roy_{$id}_mb_hov_text_color", array(
            'sanitize_callback' => 'sanitize_hex_color',
            'transport' => 'postMessage'
        ));
        $wp_customize->add_control(new BusinessRoy_Color_Tab_Control($wp_customize, "business_roy_{$id}_mb_color_group", array(
            'label' => esc_html__('More Button Colors', 'business-roy'),
            'section' => "business_roy_{$id}_section",
            'show_opacity' => false,
            'priority' => 60,
            'settings' => array(
                "normal_business_roy_{$id}_mb_bg_color" => "business_roy_{$id}_mb_bg_color",
                "normal_business_roy_{$id}_mb_text_color" => "business_roy_{$id}_mb_text_color",
                "hover_business_roy_{$id}_mb_hov_bg_color" => "business_roy_{$id}_mb_hov_bg_color",
                "hover_business_roy_{$id}_mb_hov_text_color" => "business_roy_{$id}_mb_hov_text_color",
            ),
            'group' => array(
                "normal_business_roy_{$id}_mb_bg_color" => esc_html__('Button Background Color', 'business-roy'),
                "normal_business_roy_{$id}_mb_text_color" => esc_html__('Button Text Color', 'business-roy'),
                "hover_business_roy_{$id}_mb_hov_bg_color" => esc_html__('Button Background Color', 'business-roy'),
                "hover_business_roy_{$id}_mb_hov_text_color" => esc_html__('Button Text Color', 'business-roy')
            )
        )));
    }

    $wp_customize->add_setting("business_roy_{$id}_cs_seperator", array(
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new BusinessRoy_Separator_Control($wp_customize, "business_roy_{$id}_cs_seperator", array(
        'section' => "business_roy_{$id}_section",
        'priority' => 80
    )));

    /** padding */
    $wp_customize->add_setting(
        "business_roy_{$id}_padding",
        array(
            'transport' => 'postMessage',
            'sanitize_callback' => 'business_roy_sanitize_field_default_css_box'
        )
    );
    $wp_customize->add_control(
        new BusinessRoy_Custom_Control_Cssbox(
            $wp_customize,
            "business_roy_{$id}_padding",
            array(
                'label'    => esc_html__( 'Padding', 'business-roy' ),
                'section' => "business_roy_{$id}_section",
                'settings' => "business_roy_{$id}_padding",
                'priority' => 80
            ),
            array(),
            array()
        )
    );

    $wp_customize->add_setting(
        "business_roy_{$id}_margin",
        array(
            'transport' => 'postMessage',
            'sanitize_callback' => 'business_roy_sanitize_field_default_css_box'
        )
    );
    $wp_customize->add_control(
        new BusinessRoy_Custom_Control_Cssbox(
            $wp_customize,
            "business_roy_{$id}_margin",
            array(
                'label'    => esc_html__( 'Margin (px)', 'business-roy' ),
                'section' => "business_roy_{$id}_section",
                'settings' => "business_roy_{$id}_margin",
                'priority' => 80
            ),
            array(),
            array()
        )
    );

    $wp_customize->add_setting("business_roy_{$id}_section_seperator", array(
        'sanitize_callback' => 'sanitize_text_field',
        'default' => 'no',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control("business_roy_{$id}_section_seperator", array(
        'section' => "business_roy_{$id}_section",
        'type' => 'select',
        'label' => esc_html__('Choose Separator', 'business-roy'),
        'choices' => array(
            'no' => esc_html__('None', 'business-roy'),
            'top' => esc_html__('Top Separator', 'business-roy'),
            'bottom' => esc_html__('Bottom Separator', 'business-roy'),
            'top-bottom' => esc_html__('Top & Bottom Separator', 'business-roy')
        ),
        'priority' => 95
    ));

    $wp_customize->add_setting("business_roy_{$id}_top_seperator", array(
        'sanitize_callback' => 'sanitize_text_field',
        'default' => 'big-triangle-center',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control("business_roy_{$id}_top_seperator", array(
        'section' => "business_roy_{$id}_section",
        'type' => 'select',
        'label' => esc_html__('Top Separator', 'business-roy'),
        'choices' => business_roy_svg_seperator(),
        'priority' => 105
    ));

    $wp_customize->add_setting("business_roy_{$id}_bottom_seperator", array(
        'sanitize_callback' => 'sanitize_text_field',
        'default' => 'big-triangle-center',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control("business_roy_{$id}_bottom_seperator", array(
        'section' => "business_roy_{$id}_section",
        'type' => 'select',
        'label' => esc_html__('Bottom Separator', 'business-roy'),
        'choices' => business_roy_svg_seperator(),
        'priority' => 130
    ));
}