<?php
/************
 * Contact Us 
*/
$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_contact_section', array(
    'title' => esc_html__('Contact', 'business-roy'),
    'panel' => 'business_roy_frontpage_settings',
    'priority' => business_roy_get_section_position('business_roy_contact_section'),
    'hiding_control' => 'business_roy_contact_section_disable'
)));

$wp_customize->add_setting('business_roy_contact_section_disable', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage',
    'default' => 'disable'
));
$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_contact_section_disable', array(
    'section' => 'business_roy_contact_section',
    'label' => esc_html__('Enable', 'business-roy'),
    'switch_label' => array(
        'enable' => esc_html__('Yes', 'business-roy'),
        'disable' => esc_html__('No', 'business-roy'),
    ),
    'class' => 'switch-section',
)));


$wp_customize->add_setting('business_roy_contact_nav', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'wp_kses_post'
));
$wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_contact_nav', array(
    'type' => 'tab',
    'section' => 'business_roy_contact_section',
    'priority' => 1,
    'buttons' => array(
        array(
            'name' => esc_html__('Content', 'business-roy'),
            'fields' => array(
                'business_roy_contact_section_disable',
                'business_roy_contact_title_heading',
                'business_roy_google_map_heading',
                'business_roy_longitude',
                'business_roy_latitude',
                'business_roy_google_map_api',
                'business_roy_contact_title', 
                'business_roy_contact_descripton',
                'business_roy_contact_details_heading',
                'business_roy_contact_details_heading_right',
                'business_roy_contact_details_right_heading',
                'business_roy_contact_details',
                'business_roy_contact_shortcode',
                'business_roy_contact_detail',
                'business_roy_contact_social_icons',
                'business_roy_contact_social_link',
                'business_roy_show_contact_detail',
                'google_api_key',
                'business_roy_contact_layout'
            ),
            'active' => true,
        ),
        array(
            'name' => esc_html__('Style', 'business-roy'),
            'fields' => array(
                'business_roy_contact_cs_heading',
                'business_roy_contact_title_color',
                'business_roy_contact_text_color',
                'business_roy_contact_link_color',
                'business_roy_contact_link_hov_color',
                'business_roy_contact_block_seperator',
                'business_roy_contact_social_button_bg_color',
                'business_roy_contact_social_button_text_color',
                'business_roy_contact_info_bg_color',
            ),
        ),
        array(
            'name' => esc_html__('Advanced', 'business-roy'),
            'fields' => array(
                'business_roy_contact_bg_type',
                'business_roy_contact_bg_color',
                'business_roy_contact_bg_gradient',
                'business_roy_contact_padding',
                'business_roy_contact_margin',
                'business_roy_contact_section_seperator',
                'business_roy_contact_top_seperator',
                'business_roy_contact_bottom_seperator',
            ),
        ),
        array(
            'name' => esc_html__('Hidden', 'business-roy'),
            'class' => 'customizer-hidden',
            'fields' => array(
                'business_roy_contact_super_title_color',
                'business_roy_contact_text_color',
            ),
        ),
    ),
)));

$wp_customize->add_setting('business_roy_contact_title_heading', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage',
));
$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_contact_title_heading', array(
    'section' => 'business_roy_contact_section',
    'label' => esc_html__('Section Title & Sub Title', 'business-roy')
)));

$wp_customize->add_setting('business_roy_contact_title', array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => __('Quick Get In Touch', 'business-roy'),
    'transport' => 'postMessage'
));
$wp_customize->add_control('business_roy_contact_title', array(
    'section' => 'business_roy_contact_section',
    'type' => 'text',
    'label' => esc_html__('Title', 'business-roy')
));

$wp_customize->add_setting('business_roy_contact_descripton', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage'
));
$wp_customize->add_control('business_roy_contact_descripton', array(
    'section' => 'business_roy_contact_section',
    'type' => 'text',
    'label' => esc_html__('Sub Title', 'business-roy')
));

$wp_customize->add_setting('business_roy_google_map_heading', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage',
));
$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_google_map_heading', array(
    'section' => 'business_roy_contact_section',
    'label' => esc_html__('Google Map', 'business-roy'),
    'description' => sprintf(esc_html__('Get the Longitude and Latitude value of the location from %s', 'business-roy'), '<a target="_blank" href="https://www.latlong.net/">here</a>')
)));

$wp_customize->add_setting('business_roy_latitude', array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => '24.691943',
    'transport' => 'postMessage'
));
$wp_customize->add_control('business_roy_latitude', array(
    'section' => 'business_roy_contact_section',
    'type' => 'text',
    'label' => esc_html__('Latitude', 'business-roy')
));

$wp_customize->add_setting('business_roy_longitude', array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => '78.403931',
    'transport' => 'postMessage'
));
$wp_customize->add_control('business_roy_longitude', array(
    'section' => 'business_roy_contact_section',
    'type' => 'text',
    'label' => esc_html__('Longitude', 'business-roy')
));


$wp_customize->add_setting('google_api_key', array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => __('', 'business-roy'),
    'transport' => 'postMessage'
));
$wp_customize->add_control('google_api_key', array(
    'section' => 'business_roy_contact_section',
    'type' => 'text',
    'label' => esc_html__('Map API Key', 'business-roy')
));

$wp_customize->add_setting('business_roy_google_map_api', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage'
));
$wp_customize->add_control(new BusinessRoy_Info_Text($wp_customize, 'business_roy_google_map_api', array(
    'label' => esc_html__('Google Map API Key', 'business-roy'),
    'section' => 'business_roy_contact_section',
    'description' => sprintf(esc_html__('Google Map API key is required for a map to function. Enter API key', 'business-roy'))
)));


$wp_customize->add_setting('business_roy_contact_details_heading', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage',
));
$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_contact_details_heading', array(
    'section' => 'business_roy_contact_section',
    'label' => esc_html__('Contact Details', 'business-roy')
)));


$wp_customize->add_setting('business_roy_show_contact_detail', array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => 'enable',
    'transport' => 'postMessage'
));
$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_show_contact_detail', array(
    'section' => 'business_roy_contact_section',
    'label' => esc_html__('Show Details', 'business-roy'),
    'switch_label' => array(
        'enable' => esc_html__('Yes', 'business-roy'),
        'disable' => esc_html__('No', 'business-roy'),
    ),
)));
$wp_customize->add_setting('business_roy_contact_shortcode', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage'
));
$wp_customize->add_control('business_roy_contact_shortcode', array(
    'section' => 'business_roy_contact_section',
    'type' => 'text',
    'label' => esc_html__('Contact Form Shortcode', 'business-roy'),
    'description' => sprintf(esc_html__('Install %s plugin to get the shortcode', 'business-roy'), '<a target="_blank" href="https://wordpress.org/plugins/contact-form-7/">Contact Form 7</a>')
));

$wp_customize->add_setting('business_roy_contact_details_heading_right', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage',
));
$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_contact_details_heading_right', array(
    'section' => 'business_roy_contact_section',
    'label' => esc_html__('Contact Information Right Side', 'business-roy')
)));

$wp_customize->add_setting('business_roy_contact_details_right_heading', array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => __('Quick Contact Information', 'business-roy'),
    'transport' => 'postMessage'
));
$wp_customize->add_control('business_roy_contact_details_right_heading', array(
    'section' => 'business_roy_contact_section',
    'type' => 'text',
    'label' => esc_html__('Heading', 'business-roy')
));

$wp_customize->add_setting('business_roy_contact_details', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'business_roy_sanitize_repeater',
    'default' => json_encode(array(
        array(
            'icon' => '',
            'label' => '',
            'description' => '',
            'enable' => 'on'
        )
    ))
));
$wp_customize->add_control(new BusinessRoy_Repeater_Control($wp_customize, 'business_roy_contact_details', array(
        'label' => esc_html__('Contact Info', 'business-roy'),
        'section' => 'business_roy_contact_section',
        'box_label' => esc_html__('Info', 'business-roy'),
        'add_label' => esc_html__('Add New', 'business-roy'),
    ), 
    array(
        'icon' => array(
            'type' => 'icon',
            'label' => esc_html__('Select Icon', 'business-roy'),
            'default' => ''
        ),
        'label' => array(
            'type' => 'text',
            'label' => esc_html__('Label', 'business-roy'),
            'default' => ''
        ),
        'description' => array(
            'type' => 'text',
            'label' => esc_html__('Content', 'business-roy'),
            'default' => ''
        )
    )
));

$wp_customize->add_setting('business_roy_contact_social_icons', array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => 'enable',
    'transport' => 'postMessage'
));
$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_contact_social_icons', array(
    'section' => 'business_roy_contact_section',
    'label' => esc_html__('Show Social Icons', 'business-roy'),
    'switch_label' => array(
        'enable' => esc_html__('Yes', 'business-roy'),
        'disable' => esc_html__('No', 'business-roy'),
    ),
)));


$wp_customize->add_setting('business_roy_contact_social_link', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'business_roy_sanitize_repeater',
    'default' => json_encode(array(
        array(
            'icon' => 'fab fa-facebook',
            'link' => '#',
        ),
        array(
            'icon' => 'fab fa-twitter',
            'link' => '#',
        ),
        array(
            'icon' => 'fab fa-linkedin',
            'link' => '#',
        ),
        array(
            'icon' => 'fab fa-pinterest',
            'link' => '#',
        ),
        array(
            'icon' => 'fab fa-instagram',
            'link' => '#',
        ),
        array(
            'icon' => 'fab fa-youtube',
            'link' => '#',
        )
    ))
));
$wp_customize->add_control(new BusinessRoy_Repeater_Control($wp_customize, 'business_roy_contact_social_link', array(
        'label' => esc_html__('Social Links', 'business-roy'),
        'section' => 'business_roy_contact_section',
        'box_label' => esc_html__('Social Link', 'business-roy'),
        'add_label' => esc_html__('Add New', 'business-roy'),
    ), 
    array(
        'icon' => array(
            'type' => 'social-icon',
            'label' => esc_html__('Select Icon', 'business-roy'),
            'default' => ''
        ),
        'link' => array(
            'type' => 'text',
            'label' => esc_html__('Link', 'business-roy'),
            'default' => ''
        )
    )
));
$wp_customize->add_setting('business_roy_contact_social_button_bg_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color',
    'transport' => 'postMessage',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'business_roy_contact_social_button_bg_color', array(
    'section' => 'business_roy_contact_section',
    'priority' => 56,
    'label' => esc_html__('Social Icons Background', 'business-roy')
)));


$wp_customize->add_setting('business_roy_contact_social_button_text_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color',
    'transport' => 'postMessage',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'business_roy_contact_social_button_text_color', array(
    'section' => 'business_roy_contact_section',
    'priority' => 56,
    'label' => esc_html__('Social Icons Color', 'business-roy')
)));

$wp_customize->add_setting('business_roy_contact_info_bg_color', array(
    'default' => '#e42032',
    'sanitize_callback' => 'business_roy_sanitize_color_alpha',
    'transport' => 'postMessage',
));
$wp_customize->add_control(new BusinessRoy_Alpha_Color_Control($wp_customize, 'business_roy_contact_info_bg_color', array(
    'section' => 'business_roy_contact_section',
    'priority' => 56,
    'label' => esc_html__('Info Background Color', 'business-roy')
)));


$wp_customize->selective_refresh->add_partial( 'business_roy_contact_refresh', array (
    'settings' => array( 
        'business_roy_latitude',
        'business_roy_longitude',
        'google_api_key',
        'business_roy_google_map_api',
        'business_roy_contact_details',
        'business_roy_contact_details_heading',
        'business_roy_contact_title',
        'business_roy_contact_descripton',
        'business_roy_show_contact_detail',
        'business_roy_contact_shortcode',
        'business_roy_contact_social_icons',
        'business_roy_contact_social_link',
        'business_roy_contact_details_right_heading',
        'business_roy_contact_section_disable',
        'business_roy_contact_bottom_seperator',
        'business_roy_contact_top_seperator'
    ),
    'selector' => '#contact-section',
    'fallback_refresh' => true,
    'container_inclusive' => true,
    'render_callback' => function () {
        return get_template_part( 'section/section-contact' );
    }
));

$wp_customize->add_setting('business_roy_contact_layout', array(
    'sanitize_callback' => 'business_roy_sanitize_options',
    'default' => 'layoutone',
    'transport' => 'postMessage'
));
$wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_contact_layout', array(
    'section' => 'business_roy_contact_section',
    'label' => esc_html__('Layout', 'business-roy'),
    'options' => array(
        'layoutone' => get_template_directory_uri() . '/inc/customizer/images/contact-section-1.png'
    )
)));

/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_contact_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_contact_upgrade_text', array(
    'section' => 'business_roy_contact_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('4+ Different Layout Options', 'business-roy'),
		esc_html__('Options to Choose From Different Styles', 'business-roy'),
        esc_html__('Customize Title & Sub Title Colors with 5 different layout', 'business-roy'),
        esc_html__('4+ Different Background Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));