<?php
/******
 * Call To Action Section
*/
$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_calltoaction_section', array(
	'title'		=> 	esc_html__('Call To Action','business-roy'),
	'panel'		=> 'business_roy_frontpage_settings',
	'priority'  => business_roy_get_section_position('business_roy_calltoaction_section'),
	'hiding_control' => 'business_roy_cta_service_section'
)));
$wp_customize->add_setting('business_roy_calltoaction_section_nav', array(
	'transport' => 'postMessage',
	'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_calltoaction_section_nav', array(
	'type' => 'tab',
	'section' => 'business_roy_calltoaction_section',
	'priority' => 1,
	'buttons' => array(
		array(
			'name' => esc_html__('Content', 'business-roy'),
			'fields' => array(
				'business_roy_cta_service_section',
				'business_roy_call_to_action_title',
				'business_roy_call_to_action_subtitle',
				'business_roy_call_to_action_button',
				'business_roy_call_to_action_link',
				'business_roy_call_to_action_button_one',
				'business_roy_call_to_action_link_one',
				'business_roy_calltoaction_image',
				'business_roy_cta_alignment',
				"business_roy_cta_layout"
			),
			'active' => true,
		),
		array(
			'name' => esc_html__('Style', 'business-roy'),
			'fields' => array(
				'business_roy_calltoaction_cs_heading',
			),
		),
		array(
			'name' => esc_html__('Advanced', 'business-roy'),
			'fields' => array(
				'business_roy_calltoaction_bg_type',
				'business_roy_calltoaction_bg_color',
				'business_roy_calltoaction_bg_gradient',
				'business_roy_calltoaction_padding',
				'business_roy_calltoaction_margin',
				'business_roy_calltoaction_cs_seperator',
				'business_roy_calltoaction_section_seperator',
				'business_roy_calltoaction_top_seperator',
				'business_roy_calltoaction_seperator2',
				'business_roy_calltoaction_bottom_seperator',
			),
		),
	),
)));

	/**
	 * Enable/Disable Option
	 *
	 * @since 1.0.0
	*/
	$wp_customize->add_setting('business_roy_cta_service_section', array(
		'default' => 'enable',
		'transport' => 'postMessage',
		'sanitize_callback' => 'business_roy_sanitize_switch',     //done
	));
	$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_cta_service_section', array(
		'label' => esc_html__('Enable/Disable', 'business-roy'),
		'section' => 'business_roy_calltoaction_section',
		'switch_label' => array(
			'enable' => esc_html__('Yes', 'business-roy'),
			'disable' => esc_html__('No', 'business-roy'),
		),
	)));
	
	// title
	$wp_customize->add_setting('business_roy_call_to_action_title', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'sanitize_text_field'		//done
	));
	$wp_customize->add_control('business_roy_call_to_action_title', array(
		'label'	   => esc_html__('Title','business-roy'),
		'section'  => 'business_roy_calltoaction_section',
		'type'	   => 'text',
	));

	// title
	$wp_customize->add_setting('business_roy_call_to_action_subtitle', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'business_roy_sanitize_text'		//done
	));
	$wp_customize->add_control('business_roy_call_to_action_subtitle', array(
		'label'	   => esc_html__('Sub Title','business-roy'),
		'section'  => 'business_roy_calltoaction_section',
		'type'	   => 'text',
	));
	
	// Call To Action Button.
	$wp_customize->add_setting('business_roy_call_to_action_button', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'sanitize_text_field'		//done
	));
	$wp_customize->add_control('business_roy_call_to_action_button', array(
		'label'	   => esc_html__('Button One Text','business-roy'),
		'section'  => 'business_roy_calltoaction_section',
		'type'	   => 'text',
	));
	
	// Call To Action Button Link.
	$wp_customize->add_setting('business_roy_call_to_action_link', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'esc_url_raw'		//done
	));
	$wp_customize->add_control('business_roy_call_to_action_link', array(
		'label'	   => esc_html__('Button One Link','business-roy'),
		'section'  => 'business_roy_calltoaction_section',
		'type'	   => 'url',
	));

	// Call To Action Button.
	$wp_customize->add_setting('business_roy_call_to_action_button_one', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'sanitize_text_field'		//done
	));
	$wp_customize->add_control('business_roy_call_to_action_button_one', array(
		'label'	   => esc_html__('Button Two Text','business-roy'),
		'section'  => 'business_roy_calltoaction_section',
		'type'	   => 'text',
	));

	// Call To Action Button Link.
	$wp_customize->add_setting('business_roy_call_to_action_link_one', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'esc_url_raw'		//done
	));
	$wp_customize->add_control('business_roy_call_to_action_link_one', array(
		'label'	   => esc_html__('Button Two Link','business-roy'),
		'section'  => 'business_roy_calltoaction_section',
		'type'	   => 'url',
	));

	$wp_customize->add_setting('business_roy_calltoaction_image', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'esc_url_raw'		//done
	));
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'business_roy_calltoaction_image', array(
		'label'	   => esc_html__('Upload Feature Image','business-roy'),
		'section'  => 'business_roy_calltoaction_section'
	)));
	

	/** alignment */
	$wp_customize->add_setting(
		'business_roy_cta_alignment',
		array(
			'default'           => 'text-center',
			'sanitize_callback' => 'business_roy_sanitize_select',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(
		new BusinessRoy_Custom_Control_Buttonset(
			$wp_customize,
			'business_roy_cta_alignment',
			array(
				'choices'  => array(
					'text-left' => esc_html__('Left', 'business-roy'),
					'text-right' => esc_html__('Right', 'business-roy'),
					'text-center' => esc_html__('Center', 'business-roy'),
				),
				'label'    => esc_html__( 'Alignment', 'business-roy' ),
				'section'  => 'business_roy_calltoaction_section',
				'settings' => 'business_roy_cta_alignment',
			)
		)
	);
	
	$wp_customize->add_setting('business_roy_cta_layout', array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport' => 'postMessage',
		'default' => 'cta-left'
	));

	$wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_cta_layout', array(
		'section' => 'business_roy_calltoaction_section',
		'label' => esc_html__('Layout', 'business-roy'),
		'options' => array(
			'cta-left' => get_template_directory_uri() . '/inc/customizer/images/cover-image-left.png',
			'cta-right' => get_template_directory_uri() . '/inc/customizer/images/cover-image-right.png',
			'cta-center' => get_template_directory_uri() . '/inc/customizer/images/cover-image-center.png',
		)
	)));



	$wp_customize->selective_refresh->add_partial( "business_roy_calltoaction_refresh", array (
		'settings' => array(
			'business_roy_cta_service_section',
			'business_roy_call_to_action_button',
			'business_roy_call_to_action_button',
			'business_roy_call_to_action_button_one',
			'business_roy_call_to_action_link_one',
			'business_roy_calltoaction_image',
			'business_roy_calltoaction_section_seperator',
			'business_roy_calltoaction_top_seperator',
			'business_roy_calltoaction_bottom_seperator'
		),
		'selector' => "#calltoaction-section",
		'fallback_refresh' => true,
		'container_inclusive' => true,
		'render_callback' => function () {
			return get_template_part( 'section/section-calltoaction' );
		}
	));

/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_calltoaction_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_calltoaction_upgrade_text', array(
    'section' => 'business_roy_calltoaction_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('5+ Different Layouts', 'business-roy'),
        esc_html__('Text Alignment Options', 'business-roy'),
		esc_html__('Advanced Button Settings with Icon & Video Links', 'business-roy'),
        esc_html__('Change Title & Sub Title Colors', 'business-roy'),
        esc_html__('4+ Different Background Type Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));