<?php
/**
 * How It Works Section
*/
$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_how_it_works_section', array(
    'title' => esc_html__('How It Works', 'business-roy'),
    'panel' => 'business_roy_frontpage_settings',
    'priority' => business_roy_get_section_position('business_roy_how_it_works_section'),
    'hiding_control' => 'business_roy_how_it_works_section_disable'
)));

//Enable/Diable how_it_works Section
$wp_customize->add_setting('business_roy_how_it_works_section_disable', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'sanitize_text_field',
    'default' => 'disable'
));
$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_how_it_works_section_disable', array(
    'section' => 'business_roy_how_it_works_section',
    'label' => esc_html__('Enable', 'business-roy'),
    'switch_label' => array(
        'enable' => esc_html__('Yes', 'business-roy'),
        'disable' => esc_html__('No', 'business-roy'),
    ),
    'class' => 'switch-section',
    'priority' => 2
)));


$wp_customize->add_setting('business_roy_how_it_works_nav', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'wp_kses_post',
));
$wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_how_it_works_nav', array(
    'type' => 'tab',
    'section' => 'business_roy_how_it_works_section',
    'priority' => 1,
    'buttons' => array(
        array(
            'name' => esc_html__('Content', 'business-roy'),
            'fields' => array(
                'business_roy_how_it_works_section_disable',
                'business_roy_how_it_works_title_subtitle_heading',
                'business_roy_how_it_works_super_title',
                'business_roy_how_it_works_title',
                'business_roy_how_it_works_title_align_heading',
                'business_roy_how_it_works_title_align',
                'business_roy_how_it_works_type_heading',
                'business_roy_how_it_works_type',
                'business_roy_how_it_works_page',
                'business_roy_how_it_works_advance_settings',
                'business_roy_how_it_works_layout'
            ),
            'active' => true,
        ),
        array(
            'name' => esc_html__('Style', 'business-roy'),
            'fields' => array(
                'business_roy_how_it_works_cs_heading',
            ),
        ),
        array(
            'name' => esc_html__('Advanced', 'business-roy'),
            'fields' => array(
                'business_roy_how_it_works_bg_type',
                'business_roy_how_it_works_bg_color',
                'business_roy_how_it_works_bg_gradient',
                'business_roy_how_it_works_padding',
                'business_roy_how_it_works_margin',
                'business_roy_how_it_works_section_seperator',
                'business_roy_how_it_works_top_seperator',
                'business_roy_how_it_works_bottom_seperator',
            ),
        )
    ),
)));

$wp_customize->add_setting('business_roy_how_it_works_title_subtitle_heading', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_how_it_works_title_subtitle_heading', array(
    'section' => 'business_roy_how_it_works_section',
    'label' => esc_html__('Section Title & Sub Title', 'business-roy')
)));

$wp_customize->add_setting('business_roy_how_it_works_super_title', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage'
));
$wp_customize->add_control('business_roy_how_it_works_super_title', array(
    'section' => 'business_roy_how_it_works_section',
    'type' => 'text',
    'label' => esc_html__('Super Title', 'business-roy')
));
$wp_customize->add_setting('business_roy_how_it_works_title', array(
    'sanitize_callback' => 'sanitize_text_field',
    'transport' => 'postMessage'
));
$wp_customize->add_control('business_roy_how_it_works_title', array(
    'section' => 'business_roy_how_it_works_section',
    'type' => 'text',
    'label' => esc_html__('Title', 'business-roy')
));


$wp_customize->add_setting('business_roy_how_it_works_title_align_heading', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_how_it_works_title_align_heading', array(
    'section' => 'business_roy_how_it_works_section',
    'label' => esc_html__('Alignment', 'business-roy')
)));

$wp_customize->add_setting('business_roy_how_it_works_title_align', array(
    'default' => 'text-center',
    'sanitize_callback' => 'business_roy_sanitize_select',
    'transport' => 'postMessage'
));
$wp_customize->add_control(
    new BusinessRoy_Custom_Control_Buttonset( $wp_customize, 'business_roy_how_it_works_title_align',
        array(
            'choices'  => array(
                'text-left' => esc_html__('Left', 'business-roy'),
                'text-center' => esc_html__('Center', 'business-roy'),
                'text-right' => esc_html__('Right', 'business-roy'),
            ),
            'section'  => 'business_roy_how_it_works_section',
            'settings' => 'business_roy_how_it_works_title_align',
        )
    )
);

/*****
 * How It Wirks Type
 */
$wp_customize->add_setting('business_roy_how_it_works_type_heading', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_how_it_works_type_heading', array(
    'section' => 'business_roy_how_it_works_section',
    'label' => esc_html__('WORKS How It Works Type', 'business-roy')
)));

$wp_customize->add_setting('business_roy_how_it_works_type', array(
    'default' => 'default',
    'transport' => 'postMessage',
    'sanitize_callback' => 'business_roy_sanitize_select'
));
$wp_customize->add_control('business_roy_how_it_works_type', array(
    'section' => 'business_roy_how_it_works_section',
    'type' => 'radio',
    'choices' => array(
        'default' => esc_html__('Default', 'business-roy'),
        'advance' => esc_html__('Advance', 'business-roy')
    )
));

/****
 * Default How It Works Options
 */
$wp_customize->add_setting('business_roy_how_it_works_page', array(
    'sanitize_callback' => 'business_roy_sanitize_repeater',
    'transport' => 'postMessage',
    'default' => json_encode(array(
        array(
            'block_page'  => ''
        )
    )),
));
$wp_customize->add_control(new BusinessRoy_Repeater_Control($wp_customize, 'business_roy_how_it_works_page', array(
    'section'   => 'business_roy_how_it_works_section',
    'label'     => esc_html__('How it works items', 'business-roy'),
    'box_label' => esc_html__('Item', 'business-roy'),
    'add_label' => esc_html__('Add New', 'business-roy'),
    'limit'     => 3,
    ), 
    array(
        'block_page' => array(
            'type' => 'select',
            'label' => esc_html__('Select Page', 'business-roy'),
            'default' => '',
            'options' => $pages
        )
    )
));

/****
 * Advance How It Wroks Options
 */
$id = "how_it_works";
$wp_customize->add_setting("business_roy_{$id}_advance_settings", array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'business_roy_sanitize_repeater',		//done
    'default' => json_encode(array(
        array(
            'block_image'      => '',
            'block_title'      => '',
            'block_desc'       => '',
            'button_text'      => '',
            'button_url'       => '',
        )
    ))
));
$wp_customize->add_control(new BusinessRoy_Repeater_Control( $wp_customize, "business_roy_{$id}_advance_settings", 
    array(
        'label' 	   => esc_html__('How It Works Items', 'business-roy'),
        'section' 	   => "business_roy_{$id}_section",
        'settings' 	   => "business_roy_{$id}_advance_settings",
        'box_label'    => esc_html__('Item', 'business-roy'),
        'add_label'    => esc_html__('Add New', 'business-roy'),
        'limit'        => 3,
    ),
    array(
        'block_image' => array(
            'type' => 'upload',
            'label' => __("Upload Image", 'business-roy'),
        ),
        'block_title' => array(
            'type' => 'text',
            'label' => __("Title", 'business-roy'),
        ),
        'block_desc' => array(
            'type' => 'textarea',
            'label' => __("Short Description", 'business-roy'),
        ),
        'button_text' => array(
            'type' => 'text',
            'label' => esc_html__('First Button Text', 'business-roy'),
            'default' => ''
        ),
        'button_url' => array(
            'type' => 'url',
            'label' => esc_html__('First Button Url', 'business-roy'),
            'default' => ''
        ),
    )
));
$wp_customize->add_setting('business_roy_how_it_works_layout', array(
    'sanitize_callback' => 'business_roy_sanitize_options',
    'default' => 'layoutone',
    'transport' => 'postMessage'
));
$wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_how_it_works_layout', array(
    'section' => 'business_roy_how_it_works_section',
    'label' => esc_html__('Layout', 'business-roy'),
    'options' => array(
        'layoutone' => get_template_directory_uri() . '/inc/customizer/images/how-we-work-1.png'
    )
)));

$wp_customize->selective_refresh->add_partial( 'business_roy_how_it_works_settings', array (
    'settings' => array( 
        'business_roy_how_it_works_section_disable',
        'business_roy_how_it_works_super_title',
        'business_roy_how_it_works_title',
        'business_roy_how_it_works_page', 
        'business_roy_how_it_works_type',
        'business_roy_how_it_works_advance_settings',
        'business_roy_how_it_works_section_seperator', 
        'business_roy_how_it_works_top_seperator', 
        'business_roy_how_it_works_bottom_seperator'
    ),
    'selector' => '#how_it_works-section',
    'fallback_refresh' => true,
    'container_inclusive' => true,
    'render_callback' => function () {
        return get_template_part( 'section/section', 'how_it_works' );
    }
));

/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_how_it_works_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_how_it_works_upgrade_text', array(
    'section' => 'business_roy_how_it_works_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('4+ Different Layouts', 'business-roy'),
		esc_html__('Change Options for Timeline Style', 'business-roy'),
        esc_html__('Change Title & Sub Title Colors with 5 Different Layout', 'business-roy'),
        esc_html__('4+ Different Background Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));