<?php
    /**
	 * Portfolio Work Section. 
	*/
	$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_recentwork_section', array(
		'title'		=> 	esc_html__('Portfolio(Gallery)','business-roy'),
		'panel'		=> 'business_roy_frontpage_settings',
		'priority'  => business_roy_get_section_position('business_roy_recentwork_section'),
		'hiding_control' => 'business_roy_portfolio_section'
	)));
	
	/**
	 * Enable/Disable Option
	 *
	 * @since 1.0.0
	*/
	$wp_customize->add_setting('business_roy_portfolio_section', array(
		'default' => 'enable',
		'transport' => 'postMessage',
		'sanitize_callback' => 'business_roy_sanitize_switch',     //done
	));
	$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_portfolio_section', array(
		'label' => esc_html__('Enable', 'business-roy'),
		'section' => 'business_roy_recentwork_section',
		'switch_label' => array(
			'enable' => esc_html__('Yes', 'business-roy'),
			'disable' => esc_html__('No', 'business-roy'),
		),
	)));
	$wp_customize->add_setting('business_roy_recentwork_nav', array(
		'transport' => 'postMessage',
		'sanitize_callback' => 'wp_kses_post',
	));
	$wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_recentwork_nav', array(
		'type' => 'tab',
		'section' => 'business_roy_recentwork_section',
		'priority' => 1,
		'buttons' => array(
			array(
				'name' => esc_html__('Content', 'business-roy'),
				'fields' => array(
					'business_roy_portfolio_section',
					'business_roy_recentwork_heading',
					'business_roy_gallery_title',
					'business_roy_gallery_subtitle',
					'business_roy_recentwork_align_heading',
					'business_roy_recentwork_title_align',
					'business_roy_recentwork_type_heading',
					'business_roy_recentwork_type',
					'business_roy_image_gallery',
					'business_roy_recentwork_page',
					'business_roy_recentwork_layout_heading',
					'business_roy_recentwork_layout',
					
				),
				'active' => true,
			),
			array(
				'name' => esc_html__('Style', 'business-roy'),
				'fields' => array(
					'business_roy_recentwork_cs_heading',
				),
			),
			array(
				'name' => esc_html__('Advanced', 'business-roy'),
				'fields' => array(
					'business_roy_recentwork_bg_type',
					'business_roy_recentwork_bg_color',
					'business_roy_recentwork_bg_gradient',
					'business_roy_recentwork_padding',
					'business_roy_recentwork_margin',
					'business_roy_recentwork_section_seperator',
					'business_roy_recentwork_top_seperator',
					'business_roy_recentwork_bottom_seperator',
				),
			),
		),
	)));

	$wp_customize->add_setting('business_roy_recentwork_heading', array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_recentwork_heading', array(
		'section' => 'business_roy_recentwork_section',
		'label' => esc_html__('Section Title & Sub Title', 'business-roy')
	)));
	
	// Portfolio Work Section Title.
	$wp_customize->add_setting( 'business_roy_gallery_subtitle', array(
		'transport' => 'postMessage',
		'sanitize_callback' => 'sanitize_text_field', 	 //done	
	));
	$wp_customize->add_control('business_roy_gallery_subtitle', array(
		'label'		=> esc_html__( 'Super Title', 'business-roy' ),
		'section'	=> 'business_roy_recentwork_section',
		'type'      => 'text'
	));
	// Portfolio Work Section Title.
	$wp_customize->add_setting( 'business_roy_gallery_title', array(
		'transport' => 'postMessage',
		'sanitize_callback' => 'sanitize_text_field', 	 //done	
	));
	$wp_customize->add_control('business_roy_gallery_title', array(
		'label'		=> esc_html__( 'Title', 'business-roy' ),
		'section'	=> 'business_roy_recentwork_section',
		'type'      => 'text'
	));
	
	$wp_customize->add_setting('business_roy_recentwork_align_heading', array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_recentwork_align_heading', array(
		'section' => 'business_roy_recentwork_section',
		'label' => esc_html__('Alignment', 'business-roy')
	)));

	$wp_customize->add_setting('business_roy_recentwork_title_align', array(
		'default' => 'text-center',
		'sanitize_callback' => 'business_roy_sanitize_select',
		'transport' => 'postMessage'
	));
	$wp_customize->add_control(
		new BusinessRoy_Custom_Control_Buttonset(
			$wp_customize,
			'business_roy_recentwork_title_align',
			array(
				'choices'  => array(
					'text-left' => esc_html__('Left', 'business-roy'),
					'text-right' => esc_html__('Right', 'business-roy'),
					'text-center' => esc_html__('Center', 'business-roy'),
				),
				'section'  => 'business_roy_recentwork_section',
				'settings' => 'business_roy_recentwork_title_align',
			)
		)
	);
	

	$wp_customize->add_setting('business_roy_recentwork_type_heading', array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_recentwork_type_heading', array(
		'section' => 'business_roy_recentwork_section',
		'label' => esc_html__('Select Portfolio Type', 'business-roy')
	)));

	$wp_customize->add_setting('business_roy_recentwork_type', array(
		'default' => 'default',
		'transport' => 'postMessage',
		'sanitize_callback' => 'business_roy_sanitize_select'
	));
	$wp_customize->add_control('business_roy_recentwork_type', array(
		'section' => 'business_roy_recentwork_section',
		'type' => 'radio',
		'choices' => array(
			'default' => esc_html__('Default', 'business-roy'),
			'advance' => esc_html__('Advance', 'business-roy')
		)
	));


	$wp_customize->add_setting('business_roy_image_gallery', array(
		'sanitize_callback' => 'sanitize_text_field',         //done
		'transport' => 'postMessage',
	));

	$wp_customize->add_control(new BusinessRoy_Gallery_Control($wp_customize, 'business_roy_image_gallery', array(
		'label' => esc_html__('Upload Gallery Images', 'business-roy'),
		'settings' => 'business_roy_image_gallery',
		'section' => 'business_roy_recentwork_section',
	)));

	/**** Advance */
	$wp_customize->add_setting('business_roy_recentwork_page', array(
		'transport' => 'postMessage',
		'sanitize_callback' => 'business_roy_sanitize_repeater',		//done
		'default' => json_encode(array(
			array(
				'service_page' => '',
			)
		))
	));
	$wp_customize->add_control(new BusinessRoy_Repeater_Control( $wp_customize,'business_roy_recentwork_page', 
		array(
			'label' 	   => esc_html__('Portfolio Pages', 'business-roy'),
			'section' 	   => 'business_roy_recentwork_section',
			'settings' 	   => 'business_roy_recentwork_page',
			'box_label' => esc_html__('Portfolio Page', 'business-roy'),
			'add_label' => esc_html__('Add New', 'business-roy'),
		),
		array(
			'service_page' => array(
				'type' => 'select',
				'label' => esc_html__('Select Page', 'business-roy'),
				'options' => $pages
			),
		)
	));

	$wp_customize->add_setting("business_roy_recentwork_layout_heading", array(
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, "business_roy_recentwork_layout_heading", array(
		'section' => "business_roy_recentwork_section",
		'label' => esc_html__('Layout', 'business-roy'),
	)));
	$wp_customize->add_setting('business_roy_recentwork_layout', array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport' => 'postMessage',
		'default' => 'layout-two'
	));

	$wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_recentwork_layout', array(
		'section' => 'business_roy_recentwork_section',
		//'label' => esc_html__('Layout', 'business-roy'),
		'options' => array(
			'layout-one' => get_template_directory_uri() . '/inc/customizer/images/gallery-slider.png',
			'layout-two' => get_template_directory_uri() . '/inc/customizer/images/gallery-grid.png',
		)
	)));

	
	$wp_customize->selective_refresh->add_partial( "business_roy_portfolio_section_refresh", array (
		'settings' => array( 
			'business_roy_portfolio_section',
			'business_roy_recentwork_heading',
			'business_roy_gallery_subtitle',
			'business_roy_gallery_title',
			'business_roy_recentwork_type',
			'business_roy_image_gallery',
			'business_roy_recentwork_page',
			'business_roy_recentwork_layout',
			'business_roy_recentwork_section_seperator',
			'business_roy_recentwork_top_seperator',
			'business_roy_recentwork_bottom_seperator'		
		),
		'selector' => "#recentwork-section",
		'fallback_refresh' => true,
		'container_inclusive' => true,
		'render_callback' => function () {
			return get_template_part( 'section/section-recentwork' );
		}
	));

/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_gallery_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_gallery_upgrade_text', array(
    'section' => 'business_roy_recentwork_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('4+ Different Layouts ( Tabs Included )', 'business-roy'),
        esc_html__('Default & Advanced Portfolio(Gallery) Types', 'business-roy'),
		esc_html__('Change Title & Sub Title Colors with 5 different layout', 'business-roy'),
        esc_html__('Also able to specify Portfolio(Gallery) description', 'business-roy'),
		esc_html__('4+ Different Background Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));