<?php
/**
 * Team Section 
*/
$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_team_section', array(
    'title'		=> 	esc_html__('Our Team','business-roy'),
    'panel'		=> 'business_roy_frontpage_settings',
    'priority'  => business_roy_get_section_position('business_roy_team_section'),
    'hiding_control' => 'business_roy_team_options'
)));
    /**
     * Enable/Disable Option
     *
     * @since 1.0.0
    */
    $wp_customize->add_setting('business_roy_team_options', array(
        'default' => 'disable',
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_switch',     //done
    ));
    $wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_team_options', array(
        'label' => esc_html__('Enable', 'business-roy'),
        'section' => 'business_roy_team_section',
        'switch_label' => array(
            'enable' => esc_html__('Yes', 'business-roy'),
            'disable' => esc_html__('No', 'business-roy'),
        ),
    )));

    $wp_customize->add_setting('business_roy_team_section_nav', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'wp_kses_post',
    ));
    $wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_team_section_nav', array(
        'type' => 'tab',
        'section' => 'business_roy_team_section',
        'priority' => 1,
        'buttons' => array(
            array(
                'name' => esc_html__('Content', 'business-roy'),
                'fields' => array(
                    'business_roy_team_options',
                    'business_roy_team_super_title_heading',
                    'business_roy_team_super_title',
                    'business_roy_team_title',
                    'business_roy_team_super_align_heading',
                    'business_roy_team_title_align',
                    'business_roy_team',
                    'business_roy_team_style',
                    'business_roy_team_col',
                ),
                'active' => true,
            ),
            array(
                'name' => esc_html__('Style', 'business-roy'),
                'fields' => array(
                    'business_roy_team_image_style',
                    'business_roy_team_grid_style'
                ),
            ),
            array(
                'name' => esc_html__('Advanced', 'business-roy'),
                'fields' => array(
                    'business_roy_team_bg_type',
                    'business_roy_team_bg_color',
                    'business_roy_team_bg_gradient',
                    'business_roy_team_padding',
                    'business_roy_team_margin',
					'business_roy_team_section_seperator',
					'business_roy_team_top_seperator',
					'business_roy_team_bottom_seperator',
                ),
            ),
        ),
    )));
    

    $wp_customize->add_setting('business_roy_team_super_title_heading', array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage',
    ));
    $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_team_super_title_heading', array(
        'section' => 'business_roy_team_section',
        'label' => esc_html__('Section Title & Sub Title', 'business-roy')
    )));


    // Team Section Title.
    $wp_customize->add_setting( 'business_roy_team_super_title', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field'			//done
    ) );
    $wp_customize->add_control( 'business_roy_team_super_title', array(
        'label'    => esc_html__( 'Super Title', 'business-roy' ),
        'section'  => 'business_roy_team_section',
        'type'     => 'text',
    ));
    // Team Section Title.
    $wp_customize->add_setting( 'business_roy_team_title', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field'			//done
    ) );
    $wp_customize->add_control( 'business_roy_team_title', array(
        'label'    => esc_html__( 'Title', 'business-roy' ),
        'section'  => 'business_roy_team_section',
        'type'     => 'text',
    ));


    $wp_customize->add_setting('business_roy_team_super_align_heading', array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage',
    ));
    $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_team_super_align_heading', array(
        'section' => 'business_roy_team_section',
        'label' => esc_html__('Alignment', 'business-roy')
    )));

    $wp_customize->add_setting('business_roy_team_title_align', array(
        'default' => 'text-center',
        'sanitize_callback' => 'business_roy_sanitize_select',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(
        new BusinessRoy_Custom_Control_Buttonset( $wp_customize, 'business_roy_team_title_align',
            array(
                'choices'  => array(
                    'text-left' => esc_html__('Left', 'business-roy'),
                    'text-center' => esc_html__('Center', 'business-roy'),
                    'text-right' => esc_html__('Right', 'business-roy'),
                ),
                'section'  => 'business_roy_team_section',
            )
        )
    );
    
  
    // Our Team Page.
    $wp_customize->add_setting('business_roy_team', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_repeater',		//done
        'default' => json_encode(array(
            array(
                'team_page'   => '',
                'designation' =>'',
                'facebook'    =>'',
                'twitter'     =>'',
                'linkedin'      =>'',
                'instagram'   => '',
            )
        ))
    ));
    $wp_customize->add_control(new BusinessRoy_Repeater_Control( $wp_customize, 
        'business_roy_team', 
        array(
            'label' 	   => esc_html__('Team Items', 'business-roy'),
            'section' 	   => 'business_roy_team_section',
            'settings' 	   => 'business_roy_team',
            'box_label' => esc_html__('Team Item', 'business-roy'),
            'add_label' => esc_html__('Add New', 'business-roy'),
        ),
        array(
            'team_page' => array(
                'type'    => 'select',
                'label'   => esc_html__('Select Page', 'business-roy'),
                'options' => $pages
            ),
            'designation' => array(
                'type'    => 'text',
                'label'   => esc_html__('Designation', 'business-roy'),
                'default' => ''
            ),
            'facebook'  => array(
                'type'   => 'url',
                'label'  => esc_html__('Facebook Link', 'business-roy'),
                'default' => ''
            ),
            'twitter' 	=> array(
                'type'    => 'url',
                'label'   => esc_html__('Twitter Link', 'business-roy'),
                'default' => ''
            ),
            'linkedin'   => array(
                'type'    => 'url',
                'label'   => esc_html__('Linkedin Link', 'business-roy'),
                'default' => ''
            ),
            'instagram' => array(
                'type'    => 'url',
                'label'   => esc_html__('Instagram Link', 'business-roy'),
                'default' => ''
            )
        )
    ));
    
   
    $wp_customize->add_setting('business_roy_team_style', array(
        'sanitize_callback' => 'business_roy_sanitize_options',
        'default' => 'style1',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_team_style', array(
        'section' => 'business_roy_team_section',
        'label' => esc_html__('Choose Style', 'business-roy'),
        'options' => array(
            'style1' => get_template_directory_uri() . '/inc/customizer/images/team-style1.png',
            'style2' => get_template_directory_uri() . '/inc/customizer/images/team-style2.png',
        )
    )));
    $wp_customize->add_setting('business_roy_team_col', array(
        'sanitize_callback' => 'absint',
        'default' => 3,
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(new BusinessRoy_Range_Control($wp_customize, 'business_roy_team_col', array(
        'section' => 'business_roy_team_section',
        'label' => esc_html__('No of Columns', 'business-roy'),
        'input_attrs' => array(
            'min' => 2,
            'max' => 4,
            'step' => 1,
        )
    )));

    /** Team Section Grid */
    $wp_customize->add_setting( 'business_roy_team_grid_style',
        array(
            'sanitize_callback' => 'business_roy_sanitize_field_background',
            'transport'         => 'postMessage',
            'default'           => json_encode(array(
                
            )),
        )
    );
    $wp_customize->add_control( new BusinessRoy_Custom_Control_Group( $wp_customize, 'business_roy_team_grid_style',
        array(
            'label'    => esc_html__( 'Item Settings', 'business-roy' ),
            'section'  => 'business_roy_team_section',
            'settings' => 'business_roy_team_grid_style',
            'priority' => 100,
        ),
        array(
            'radius' => array(
                'type'  => 'cssbox',
                'label' => esc_html__( 'Radius', 'business-roy' ),
            ),
            'bg_color' => array(
                'type'  => 'color',
                'label' => esc_html__( 'Background', 'business-roy' ),
            ),
            'upgreate_pro' => array(
                'type'  => 'pro_info',
                'label' => esc_html__( 'For More Settings', 'business-roy' ),
            ),
        ))
    );


    /** Image Style */
    $wp_customize->add_setting( 'business_roy_team_image_style',
        array(
            'sanitize_callback' => 'business_roy_sanitize_field_background',
            'transport'         => 'postMessage',
            'default'           => json_encode(array(
                
            )),
        )
    );
    $wp_customize->add_control( new BusinessRoy_Custom_Control_Group( $wp_customize, 'business_roy_team_image_style',
        array(
            'label'    => esc_html__( 'Item Image Settings', 'business-roy' ),
            'section'  => 'business_roy_team_section',
            'settings' => 'business_roy_team_image_style',
            'priority' => 100,
        ),
        array(
            'height' => array(
                'type'  => 'number',
                'label' => esc_html__( 'Height', 'business-roy' ),
            ),
            'upgreate_pro' => array(
                'type'  => 'pro_info',
                'label' => esc_html__( 'For More Settings', 'business-roy' ),
            )
        ))
    );
    

    $wp_customize->selective_refresh->add_partial( "business_roy_team_options_refresh", array (
        'settings' => array(
            'business_roy_team_options',
            'business_roy_team',
            'business_roy_team_col',
            'business_roy_team_grid_style',
            'business_roy_team_section_seperator',
            'business_roy_team_top_seperator',
            'business_roy_team_bottom_seperator',
        ),
        'selector' => "#team-section",
        'fallback_refresh' => true,
        'container_inclusive' => true,
        'render_callback' => function () {
            return get_template_part( 'section/section-team' );
        }
    ));



/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_team_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_team_upgrade_text', array(
    'section' => 'business_roy_team_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('Multiple Advanced Section Layouts', 'business-roy'),
        esc_html__('Specify Number of Columns to Display', 'business-roy'),
		esc_html__('Various Team List Styles to Choose From', 'business-roy'),
        esc_html__('Change Title & Sub Title Colors with 5 different layout', 'business-roy'),
        esc_html__('4+ Different Background Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));