<?php
/**
 * Testimonial Section 
*/
$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_testimonial_section', array(
    'title'		=> 	esc_html__('Testimonials','business-roy'),
    'panel'		=> 'business_roy_frontpage_settings',
    'priority'  => business_roy_get_section_position('business_roy_testimonial_section'),
    'hiding_control' => 'business_roy_testimonial_options'
)));
    /**
     * Enable/Disable Option
     *
     * @since 1.0.0
    */
    $wp_customize->add_setting('business_roy_testimonial_options', array(
        'default' => 'enable',
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_switch',     //done
    ));
    $wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_testimonial_options', array(
        'label' => esc_html__('Enable', 'business-roy'),
        'section' => 'business_roy_testimonial_section',
        'switch_label' => array(
            'enable' => esc_html__('Yes', 'business-roy'),
            'disable' => esc_html__('No', 'business-roy'),
        ),
    )));

    
    $wp_customize->add_setting('business_roy_testimonial_section_nav', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'wp_kses_post',
    ));
    $wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_testimonial_section_nav', array(
        'type' => 'tab',
        'section' => 'business_roy_testimonial_section',
        'priority' => 1,
        'buttons' => array(
            array(
                'name' => esc_html__('Content', 'business-roy'),
                'fields' => array(
                    'business_roy_testimonial_options',
                    'business_roy_testimonials_title_headding',
                    'business_roy_testimonial_title',
                    'business_roy_testimonial_subtitle',
                    'business_roy_testimonials_align_headding',
                    'business_roy_testimonial_title_align',
                    'business_roy_testimonial_page',
                    'business_roy_testimonial_cover_image',
                    'business_roy_testimonial_layout'
                ),
                'active' => true,
            ),
            array(
                'name' => esc_html__('Style', 'business-roy'),
                'fields' => array(
                    'business_roy_testimonial_cs_heading',
                ),
            ),
            array(
                'name' => esc_html__('Advanced', 'business-roy'),
                'fields' => array(
                    'business_roy_testimonial_bg_type',
                    'business_roy_testimonial_bg_color',
                    'business_roy_testimonial_bg_gradient',
                    'business_roy_testimonial_padding',
                    'business_roy_testimonial_margin',
					'business_roy_testimonial_section_seperator',
					'business_roy_testimonial_top_seperator',
					'business_roy_testimonial_bottom_seperator'
                ),
            ),
        ),
    )));
    
    $wp_customize->add_setting('business_roy_testimonials_title_headding', array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage',
    ));
    $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_testimonials_title_headding', array(
        'section' => 'business_roy_testimonial_section',
        'label' => esc_html__('Section Title & Sub Title', 'business-roy')
    )));

    // Blog Title.
    $wp_customize->add_setting('business_roy_testimonial_subtitle', array(
        'transport' => 'postMessage',
        'sanitize_callback'	=> 'sanitize_text_field'		//done
    ));
    $wp_customize->add_control('business_roy_testimonial_subtitle', array(
        'label'	   => esc_html__('Super Title','business-roy'),
        'section'  => 'business_roy_testimonial_section',
        'type'	   => 'text',
    ));
    // Blog Title.
    $wp_customize->add_setting('business_roy_testimonial_title', array(
        'transport' => 'postMessage',
        'sanitize_callback'	=> 'sanitize_text_field'		//done
    ));
    $wp_customize->add_control('business_roy_testimonial_title', array(
        'label'	   => esc_html__('Title','business-roy'),
        'section'  => 'business_roy_testimonial_section',
        'type'	   => 'text',
    ));

    $wp_customize->add_setting('business_roy_testimonials_align_headding', array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport' => 'postMessage',
    ));
    $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_testimonials_align_headding', array(
        'section' => 'business_roy_testimonial_section',
        'label' => esc_html__('Alignment', 'business-roy')
    )));

    $wp_customize->add_setting('business_roy_testimonial_title_align', array(
        'default' => 'text-center',
        'sanitize_callback' => 'business_roy_sanitize_select',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(
        new BusinessRoy_Custom_Control_Buttonset( $wp_customize, 'business_roy_testimonial_title_align',
            array(
                'choices'  => array(
                    'text-left' => esc_html__('Left', 'business-roy'),
                    'text-center' => esc_html__('Center', 'business-roy'),
                    'text-right' => esc_html__('Right', 'business-roy'),
                ),
                'section'  => 'business_roy_testimonial_section',
            )
        )
    );

    //  Testimonial Page.
    $wp_customize->add_setting('business_roy_testimonial_page', array(
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_repeater',		//done
        'default' => json_encode(array(
            array(
                'testimonial_page' => '',
                'designation'=>'',
                'rating'    => '',
            )
        ))
    ));
    $wp_customize->add_control(new BusinessRoy_Repeater_Control( $wp_customize, 'business_roy_testimonial_page', 
        array(
            'label' 	   => esc_html__('Testimonials', 'business-roy'),
            'section' 	   => 'business_roy_testimonial_section',
            'box_label' => esc_html__('Testimonial Item', 'business-roy'),
            'add_label' => esc_html__('Add New', 'business-roy'),
        ),
        array(
            'testimonial_page' => array(
                'type' => 'select',
                'label' => esc_html__('Select Page', 'business-roy'),
                'options' => $pages
            ),
            'designation' => array(
                'type' => 'text',
                'label' => esc_html__('Designation', 'business-roy'),
                'default' => ''
            ),
            'rating' => array(
                'type' => 'number',
                'label' => esc_html__('Rating', 'business-roy'),
                'default' => '5'
            )
        )
    ));

    $wp_customize->add_setting('business_roy_testimonial_cover_image', array(
        'transport' => 'postMessage',
        'sanitize_callback'	=> 'esc_url_raw'		//done
    ));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'business_roy_testimonial_cover_image', 
        array(
            'label'	   => esc_html__('Cover Image','business-roy'),
            'section'  => 'business_roy_testimonial_section'
        )
    ));
    
    $wp_customize->selective_refresh->add_partial( "business_roy_testimonial_refresh", array (
        'settings' => array( 
            'business_roy_testimonial_options',
            'business_roy_testimonial_page',
            'business_roy_testimonial_cover_image',
            'business_roy_testimonial_section_seperator',
            'business_roy_testimonial_top_seperator',
            'business_roy_testimonial_bottom_seperator',
        ),
        'selector' => "#testimonial-section",
        'fallback_refresh' => true,
        'container_inclusive' => true,
        'render_callback' => function () {
            return get_template_part( 'section/section-testimonial' );
        }
    ));
    
    $wp_customize->add_setting('business_roy_testimonial_layout', array(
        'sanitize_callback' => 'business_roy_sanitize_options',
        'default' => 'layoutone',
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control(new BusinessRoy_Selector($wp_customize, 'business_roy_testimonial_layout', array(
        'section' => 'business_roy_testimonial_section',
        'label' => esc_html__('Layout', 'business-roy'),
        'options' => array(
            'layoutone' => get_template_directory_uri() . '/inc/customizer/images/testimonial-section-1.png'
        )
    )));

/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_testimonial_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_testimonial_upgrade_text', array(
    'section' => 'business_roy_testimonial_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('4+ Different Layouts ( Also Included List & Slide )', 'business-roy'),
		esc_html__('Customizable Button Component with Link', 'business-roy'),
        esc_html__('Change Title & Sub Title Colors with 5 different layout', 'business-roy'),
        esc_html__('4+ Different Background Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));