<?php
/**
 * Video Call To Action Section
*/
$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_video_calltoaction_section', array(
	'title'		=> 	esc_html__('Video Call To Action','business-roy'),
	'panel'		=> 'business_roy_frontpage_settings',
	'priority'  => business_roy_get_section_position('business_roy_video_calltoaction_section'),
	'hiding_control' => 'business_roy_video_cta_service_section'
)));
$wp_customize->add_setting('business_roy_video_calltoaction_section_nav', array(
	'transport' => 'postMessage',
	'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_video_calltoaction_section_nav', array(
	'type' => 'tab',
	'section' => 'business_roy_video_calltoaction_section',
	'priority' => 1,
	'buttons' => array(
		array(
			'name' => esc_html__('Content', 'business-roy'),
			'fields' => array(
				'business_roy_video_cta_service_section',
				'business_roy_video_button_url',
				'business_roy_appointment_title',
				'business_roy_appointment_subtitle',
				'business_roy_appointment_shortcode',
				'business_roy_video_calltoaction_alignment',
				'business_roy_video_calltoaction_video_bg'
			),
			'active' => true,
		),
		array(
			'name' => esc_html__('Style', 'business-roy'),
			'fields' => array(
				'business_roy_video_calltoaction_cs_heading',
			),
		),
		array(
			'name' => esc_html__('Advanced', 'business-roy'),
			'fields' => array(
				'business_roy_video_calltoaction_bg_type',
				'business_roy_video_calltoaction_bg_color',
				'business_roy_video_calltoaction_bg_gradient',
				'business_roy_video_calltoaction_padding',
				'business_roy_video_calltoaction_margin',
				'business_roy_video_calltoaction_section_seperator',
				'business_roy_video_calltoaction_top_seperator',
				'business_roy_video_calltoaction_bottom_seperator',
			),
		),
		array(
			'name' => esc_html__('Hidden', 'business-roy'),
			'class' => 'customizer-hidden',
			'fields' => array(
				'business_roy_video_calltoaction_super_title_color'
			),
		),
	),
)));

	/**
	 * Enable/Disable Option
	 *
	 * @since 1.0.0
	*/
	$wp_customize->add_setting('business_roy_video_cta_service_section', array(
		'default' => 'enable',
		'transport' => 'postMessage',
		'sanitize_callback' => 'business_roy_sanitize_switch',     //done
	));
	$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_video_cta_service_section', array(
		'label' => esc_html__('Enable/Disable', 'business-roy'),
		'section' => 'business_roy_video_calltoaction_section',
		'switch_label' => array(
			'enable' => esc_html__('Yes', 'business-roy'),
			'disable' => esc_html__('No', 'business-roy'),
		),
	)));

	// Call To Action Video Button URL.
	$wp_customize->add_setting('business_roy_video_button_url', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'esc_url_raw'		//done
	));
	$wp_customize->add_control('business_roy_video_button_url', array(
		'label'	   => esc_html__('Youtube Video URL','business-roy'),
		'section'  => 'business_roy_video_calltoaction_section',
		'type'	   => 'url'
	));
	
	// Video Call To Action Title.
	$wp_customize->add_setting('business_roy_appointment_title', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'sanitize_text_field'		//done
	));
	$wp_customize->add_control( 'business_roy_appointment_title', array(
		'label'	   => esc_html__('Title','business-roy'),
		'section'  => 'business_roy_video_calltoaction_section',
		'type'	   => 'text',
	));
	
	// Video Call To Action Subtitle.
	$wp_customize->add_setting('business_roy_appointment_subtitle', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'sanitize_text_field'		//done
	));
	$wp_customize->add_control('business_roy_appointment_subtitle', array(
		'label'	   => esc_html__('Sub Title','business-roy'),
		'section'  => 'business_roy_video_calltoaction_section',
		'type'	   => 'text',
	));

	/** alignment */
	$wp_customize->add_setting('business_roy_video_calltoaction_alignment',
		array(
			'default'           => 'text-center',
			'sanitize_callback' => 'business_roy_sanitize_select',
			'transport'         => 'postMessage',
		)
	);
	$wp_customize->add_control(new BusinessRoy_Custom_Control_Buttonset( $wp_customize, 'business_roy_video_calltoaction_alignment',
		array(
			'choices'  => array(
				'text-left' => esc_html__('Left', 'business-roy'),
				'text-right' => esc_html__('Right', 'business-roy'),
				'text-center' => esc_html__('Center', 'business-roy'),
			),
			'label'    => esc_html__( 'Alignment', 'business-roy' ),
			'section'  => 'business_roy_video_calltoaction_section',
			'settings' => 'business_roy_video_calltoaction_alignment',
		)
	));

	// Video Call To Action Subtitle.
	$wp_customize->add_setting('business_roy_appointment_shortcode', array(
		'transport' => 'postMessage',
		'sanitize_callback'	=> 'sanitize_text_field'		//done
	));
	$wp_customize->add_control('business_roy_appointment_shortcode', array(
		'label'	   => esc_html__('Shortcode','business-roy'),
		'description' => sprintf(esc_html__('Install %s plugin to get the shortcode or you can use any shortcode', 'business-roy'), '<a target="_blank" href="https://wordpress.org/plugins/contact-form-7/">Contact Form 7</a>'),
		'section'  => 'business_roy_video_calltoaction_section',
		'type'	   => 'text',
	));


	$wp_customize->add_setting( 'business_roy_video_calltoaction_video_bg', array(
		'sanitize_callback' => 'sanitize_text_field', 	 //done	
		'transport' => 'postMessage'
	));

	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'business_roy_video_calltoaction_video_bg', array(
		'label'	   => esc_html__('Video Background','business-roy'),
		'section'  => 'business_roy_video_calltoaction_section',
	)));
	

	$wp_customize->selective_refresh->add_partial( "business_roy_video_cta_refresh", array (
		'settings' => array(
			'business_roy_video_cta_service_section',
			'business_roy_video_button_url',
			'business_roy_video_calltoaction_video_bg',
			'business_roy_appointment_shortcode',
			'business_roy_video_calltoaction_section_seperator',
			'business_roy_video_calltoaction_top_seperator',
			'business_roy_video_calltoaction_bottom_seperator',
		),
		'selector' => "#video_calltoaction-section",
		'fallback_refresh' => true,
		'container_inclusive' => true,
		'render_callback' => function () {
			return get_template_part( 'section/section-video_calltoaction' );
		}
	));

/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_video_calltoaction_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_video_calltoaction_upgrade_text', array(
    'section' => 'business_roy_video_calltoaction_section',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('5+ Different Layouts', 'business-roy'),
        esc_html__('Text Alignment Options', 'business-roy'),
		esc_html__('Advanced Button Settings with Icon & Text Links', 'business-roy'),
        esc_html__('Change Title & Sub Title Colors with 5 different layout', 'business-roy'),
        esc_html__('4+ Different Background Options( Color/Video/Gradient/Image ) ', 'business-roy'),
        esc_html__('More Than 30+ Top & Bottom Separator Shape Illustrator with Color & Height Options', 'business-roy'),
    ),
    'priority' => 250
)));