<?php
/**
 * Theme Customizer
 *
 */
$wp_customize->add_section('business_roy_quick_info', array(
    'title' => esc_html__('Quick Information', 'business-roy'),
	'panel' => 'business_roy_header_settings',
	'priority' => 200
));

	$wp_customize->add_setting('business_roy_quick_nav', array(
		'transport' => 'postMessage',
		'sanitize_callback' => 'wp_kses_post',
		'priority' => -1,
	));
	$wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_quick_nav', array(
		'type' => 'tab',
		'section' => 'business_roy_quick_info',
		'buttons' => array(
			array(
				'name' => esc_html__('Settings', 'business-roy'),
				'fields' => array(
					'business_roy_quick_content',
				),
				'active' => true,
			),
			array(
				'name' => esc_html__('Style', 'business-roy'),
				'fields' => array(
					'business_roy_quick_info_icon_color',
					'business_roy_quick_info_color',
				)
			)
		)
	)));

	$wp_customize->add_setting('business_roy_quick_content', array(
		'transport' => 'postMessage',
		'sanitize_callback' => 'business_roy_sanitize_repeater',
		'default' => json_encode(array(
			array(
				'icon' => 'fas fa-phone-volume',
				'label' => esc_html('Call Anytime 24/7','business-roy'),
				'val' => '+01-559-236-8009',
				'link' => '',
			),
			array(
				'icon' => 'fas fa-map-marker-alt',
				'label' => esc_html('Office Address','business-roy'),
				'val' => '28 Street, New York City',
				'link' => '',
			),
			array(
				'icon' => 'far fa-envelope',
				'label' => esc_html('Mail Us For Support','business-roy'),
				'val' => 'info@ikreatethemes.com',
				'link' => '',
			)
		))
	));
	$wp_customize->add_control(new BusinessRoy_Repeater_Control($wp_customize, 'business_roy_quick_content', array(
			'label' => esc_html__('Information', 'business-roy'),
			'section' => 'business_roy_quick_info',
			'box_label' => esc_html__('Information Item', 'business-roy'),
			'add_label' => esc_html__('Add New', 'business-roy'),
			'limit' => 3,
		), 
		array(
			'icon' => array(
				'type' => 'icon',
				'label' => esc_html__('Icon', 'business-roy'),
				'default' => ''
			),
			'label' => array(
				'type' => 'disable',
				'label' => esc_html__('Label', 'business-roy'),
				'default' => esc_html('Call Anytime 24/7','business-roy'),
			),
			'val' => array(
				'type' => 'text',
				'label' => esc_html__('Value', 'business-roy'),
				'default' => ''
			),
			'link' => array(
				'type' => 'disable',
				'label' => esc_html__('Link', 'business-roy'),
				'default' => ''
			)
		)
	));

	$wp_customize->selective_refresh->add_partial( 'business_roy_quick_content', array (
		'settings' => array( 
			'business_roy_quick_content' 
		),
		'selector' => '.contact-info',
		'container_inclusive' => true,
		'render_callback' => function () {
			if( get_theme_mod('business_roy_header_layout', 'layout_one') == 'layout_one'){
				return do_action('business_roy_quick_contact_info_header');
			}	
		}
	));

/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_quick_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_quick_upgrade_text', array(
    'section' => 'business_roy_quick_info',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('Advanced Customization ( Icon, Label/Title & Link )', 'business-roy'),
        esc_html__('Change Title, Text & Icon Colors', 'business-roy'),
    ),
    'priority' => 250
)));