<?php
/**
 * Theme Customizer
 */
//SOCIAL SETTINGS
$wp_customize->add_section('business_roy_social_section', array(
    'title' => esc_html__('Social Links', 'business-roy'),
    'panel' => 'business_roy_header_settings',
    'priority' => 201,
));
$wp_customize->add_setting('business_roy_social_section_nav', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'wp_kses_post',
    
));
$wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_social_section_nav', array(
    'type' => 'tab',
    'section' => 'business_roy_social_section',
    'buttons' => array(
        array(
            'name' => esc_html__('Content', 'business-roy'),
            'fields' => array(
                'business_roy_topheader_social',
            ),
            'active' => true,
        ),
        array(
            'name' => esc_html__('Style', 'business-roy'),
            'fields' => array(
               'business_roy_social_icon_color',
               'business_roy_social_icon_bg_color',
               'business_roy_social_icon_hover_color',
               'business_roy_social_icon_hover_bg_color'
            ),
        ),
    ),
)));
$wp_customize->add_setting('business_roy_topheader_social', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'business_roy_sanitize_repeater',
    'default' => json_encode(array(
        array(
            'icon' => 'fab fa-facebook',
            'link' => '#',
            'enable' => 'on'
        ),
        array(
            'icon' => 'fab fa-twitter',
            'link' => '#',
            'enable' => 'on'
        ),
        array(
            'icon' => 'fab fa-linkedin',
            'link' => '#',
            'enable' => 'on'
        ),
        array(
            'icon' => 'fab fa-pinterest',
            'link' => '#',
            'enable' => 'on'
        ),
        array(
            'icon' => 'fab fa-instagram',
            'link' => '#',
            'enable' => 'on'
        ),
        array(
            'icon' => 'fab fa-youtube',
            'link' => '#',
            'enable' => 'on'
        )
    ))
));
$wp_customize->add_control(new BusinessRoy_Repeater_Control($wp_customize, 'business_roy_topheader_social', array(
        'label' => esc_html__('Social Links', 'business-roy'),
        'section' => 'business_roy_social_section',
        'box_label' => esc_html__('Social Link', 'business-roy'),
        'add_label' => esc_html__('Add New', 'business-roy'),
        'limit' => 6
    ), 
    array(
        'icon' => array(
            'type' => 'social-icon',
            'label' => esc_html__('Select Icon', 'business-roy'),
            'default' => 'icofont-facebook'
        ),
        'link' => array(
            'type' => 'url',
            'label' => esc_html__('Link', 'business-roy'),
            'default' => ''
        ),
        'enable' => array(
            'type' => 'switch',
            'label' => esc_html__('Enable', 'business-roy'),
            'switch' => array(
                'on' => 'Yes',
                'off' => 'No'
            ),
            'default' => 'on'
        )
    )
));

$wp_customize->selective_refresh->add_partial( 'business_roy_topheader_social', array (
    'settings' => array( 'business_roy_topheader_social' ),
    'selector' => '.sp_socialicon',
    'container_inclusive' => true,
    'render_callback' => function () {
        return business_roy_topheader_social();
    }
));

$wp_customize->add_setting('business_roy_social_icon_color', array(
    'sanitize_callback' => 'business_roy_sanitize_color_alpha',
    'default' => '',
));
$wp_customize->add_control(new BusinessRoy_Alpha_Color_Control($wp_customize, 'business_roy_social_icon_color', array(
    'section' => 'business_roy_social_section',
    'label' => esc_html__('Color', 'business-roy')
)));
$wp_customize->add_setting('business_roy_social_icon_bg_color', array(
    'sanitize_callback' => 'business_roy_sanitize_color_alpha',
    'default' => ''
));
$wp_customize->add_control(new BusinessRoy_Alpha_Color_Control($wp_customize, 'business_roy_social_icon_bg_color', array(
    'section' => 'business_roy_social_section',
    'label' => esc_html__('Background Color', 'business-roy')
)));
$wp_customize->add_setting('business_roy_social_icon_hover_color', array(
    'sanitize_callback' => 'business_roy_sanitize_color_alpha',
    'default' => '',
));
$wp_customize->add_control(new BusinessRoy_Alpha_Color_Control($wp_customize, 'business_roy_social_icon_hover_color', array(
    'section' => 'business_roy_social_section',
    'label' => esc_html__('Color: Hover', 'business-roy')
)));
$wp_customize->add_setting('business_roy_social_icon_hover_bg_color', array(
    'sanitize_callback' => 'business_roy_sanitize_color_alpha',
    'default' => ''
));
$wp_customize->add_control(new BusinessRoy_Alpha_Color_Control($wp_customize, 'business_roy_social_icon_hover_bg_color', array(
    'section' => 'business_roy_social_section',
    'label' => esc_html__('Background Color: Hover', 'business-roy')
)));