<?php
/**
 * Top Header 
*/
$wp_customize->add_section(new BusinessRoy_Toggle_Section($wp_customize, 'business_roy_top_header', array(
    'title' =>	esc_html__('Top Header Settings','business-roy'),
    'panel' => 'business_roy_header_settings',
    'hiding_control' => 'business_roy_top_header_enable'
)));
$wp_customize->add_setting('business_roy_top_header_nav', array(
    'transport' => 'postMessage',
    'sanitize_callback' => 'wp_kses_post',
));
$wp_customize->add_control(new BusinessRoy_Custom_Control_Tab($wp_customize, 'business_roy_top_header_nav', array(
    'type' => 'tab',
    'section' => 'business_roy_top_header',
    'buttons' => array(
        array(
            'name' => esc_html__('Content', 'business-roy'),
            'fields' => array(
                'business_roy_top_header_enable',
                'business_roy_topheader_left',
                'business_roy_topheader_right',
                'business_roy_topheader_heading',
                'business_roy_topheader_social_link',
                'business_roy_topheader_quick_link',
                'business_roy_topheader_free_hand',
            ),
            'active' => true,
        ),
        array(
            'name' => esc_html__('Style', 'business-roy'),
            'fields' => array(
                'business_roy_th_bg_color',
                'business_roy_th_text_color',
                'business_roy_th_anchor_color',
            ),
        ),
        array(
            'name' => esc_html__("Advance", 'business-roy'),
            'fields' => array(
                'business_roy_th_content_padding',
                'business_roy_th_content_margin',
                'business_roy_th_content_radius',
            )
        )
    ),
)));

/*****
 * Top Header Setting
*/
$wp_customize->add_setting('business_roy_top_header_enable', array(
    'sanitize_callback' => 'sanitize_text_field',
    'default' => 'enable',
    'transport' => 'postMessage',
));
$wp_customize->add_control(new BusinessRoy_Switch_Control($wp_customize, 'business_roy_top_header_enable', array(
    'section' => 'business_roy_top_header',
    'label' => esc_html__('Enable Top Header', 'business-roy'),
    'switch_label' => array(
        'enable' => esc_html__('Yes', 'business-roy'),
        'disable' => esc_html__('No', 'business-roy')
    )
)));

$topheader_options = array(
    'none' => esc_html__('None', 'business-roy'),
    'quick_contact' => esc_html__('Quick Contact Information', 'business-roy'),
    'social_media'  => esc_html__('Social Media Links', 'business-roy'),
    'top_menu'  => esc_html__('Top Menu Nav', 'business-roy'),
    'free_hand'  => esc_html__('Free Hand', 'business-roy'),
);
    // Top Header Left Side Options.
    $wp_customize->add_setting('business_roy_topheader_left', array(
        'default' => 'free_hand',
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_select'        //done
    ));
    $wp_customize->add_control('business_roy_topheader_left', array(
        'label' => esc_html__('Top Header Left Side', 'business-roy'),
        'section' => 'business_roy_top_header',
        'type' => 'select',
        'choices' => $topheader_options
    ));

    // Top Header Right Side Options.
    $wp_customize->add_setting('business_roy_topheader_right', array(
        'default' => 'social_media',
        'transport' => 'postMessage',
        'sanitize_callback' => 'business_roy_sanitize_select'        //done
    ));
    $wp_customize->add_control('business_roy_topheader_right', array(
        'label' => esc_html__('Top Header Right Side', 'business-roy'),
        'section' => 'business_roy_top_header',
        'type' => 'select',
        'choices' => $topheader_options
    ));
    
    $wp_customize->selective_refresh->add_partial( 'business_roy_topheader_right', array (
        'settings' => array( 
            'business_roy_topheader_right',
            'business_roy_topheader_left'
        ),
        'selector' => '#masthead',
        'fallback_refresh' => true,
        'render_callback' => function () {
            $layout = get_theme_mod('business_roy_header_layout','layout_one');
            return get_template_part('header/header', str_replace("layout_","", $layout));
        }
    ));

    $wp_customize->add_setting('business_roy_topheader_heading', array(
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new BusinessRoy_Customize_Heading($wp_customize, 'business_roy_topheader_heading', array(
        'section' => 'business_roy_top_header',
        'label' => esc_html__('Links', 'business-roy')
    )));
    $wp_customize->add_setting('business_roy_topheader_social_link', array(
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new BusinessRoy_Info_Text($wp_customize, 'business_roy_topheader_social_link', array(
        'label' => esc_html__('Social Icons', 'business-roy'),
        'section' => 'business_roy_top_header',
        'description' => sprintf(esc_html__('Add your %s here', 'business-roy'), '<a href="#" target="_blank">Social Icons</a>')
    )));
    
    $wp_customize->add_setting('business_roy_topheader_quick_link', array(
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new BusinessRoy_Info_Text($wp_customize, 'business_roy_topheader_quick_link', array(
        'label' => esc_html__('Quick Info', 'business-roy'),
        'section' => 'business_roy_top_header',
        'description' => sprintf(esc_html__('Add your %s here', 'business-roy'), '<a href="#" target="_blank">Quick Info</a>')
    )));

    $wp_customize->add_setting('business_roy_topheader_free_hand', array(
        'sanitize_callback' => 'business_roy_sanitize_text',
        'default' => esc_html__('Need Any Help: +1-559-236-8009 or help@example.com', 'business-roy'),
        'transport' => 'postMessage'
    ));
    $wp_customize->add_control('business_roy_topheader_free_hand', array(
        'label' => esc_html__('Free hand', 'business-roy'),
        'section' => 'business_roy_top_header',
        'type' => 'text'
    ));

    
/**
 * Upgrade Pro Version
*/
$wp_customize->add_setting('business_roy_pro_top_upgrade_text', array(
    'sanitize_callback' => 'business_roy_sanitize_text'
));

$wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_top_upgrade_text', array(
    'section' => 'business_roy_top_header',
    'label' => esc_html__('For More Settings,', 'business-roy'),
    'choices' => array(
        esc_html__('Advanced user friendly customizer', 'business-roy'),
        esc_html__('Toggle visibility in variant devices', 'business-roy'),
        esc_html__('Change background & gradient colors', 'business-roy'),
        esc_html__('Change text and link colors', 'business-roy'),
        esc_html__('Customize margin, padding & radius', 'business-roy'),
    ),
    'priority' => 250
)));