<?php
/**
 * Typography Section
*/
function business_roy_customize_register_for_typography( $wp_customize ) {
   
    // Add the typography panel.
    // $wp_customize->add_panel('typography', array(
    //     'priority' => 71,
    //     'title' => esc_html__('Typography Setting', 'business-roy')
    // ));
   
    // Add the body typography section.
    $wp_customize->add_section('typography_settings', array(
        'priority' => 71,
        'title' => esc_html__('Typography Settings', 'business-roy')
    ));

    $wp_customize->add_setting('body_font_family', array(
        'default' => 'Poppins',
        'sanitize_callback' => 'sanitize_text_field',
        
    ));
    $wp_customize->add_control('body_font_family', array(
        'label' => esc_html__('Body Font Family', 'business-roy'),
        'section' => 'typography_settings',
        'type' => 'select',
        'choices' => array(
            'Poppins'    => __("Poppins", 'business-roy'),
            'Roboto'     => __("Roboto", 'business-roy'),
            'Raleway'    => __("Raleway", 'business-roy'),
            'Montserrat' => __("Montserrat", 'business-roy'),
            'Arizonia'   => __("Arizonia", 'business-roy'),
            ''           => esc_html__("More in pro", 'business-roy'),
        )
    ));


    $wp_customize->add_setting('heading_font_family', array(
        'default' => 'Poppins',
        'sanitize_callback' => 'sanitize_text_field',
        
    ));
    $wp_customize->add_control('heading_font_family', array(
        'label' => esc_html__('Heading (h1 to h6)', 'business-roy'),
        'section' => 'typography_settings',
        'type' => 'select',
        'choices' => array(
            'Poppins'    => __("Poppins", 'business-roy'),
            'Roboto'     => __("Roboto", 'business-roy'),
            'Raleway'    => __("Raleway", 'business-roy'),
            'Montserrat' => __("Montserrat", 'business-roy'),
            'Arizonia'   => __("Arizonia", 'business-roy'),
            '' => esc_html__("More in pro", 'business-roy'),
        )
    ));


    /**
     * Upgrade Pro Version
    */
    $wp_customize->add_setting('business_roy_pro_heading_typography_upgrade_text', array(
        'sanitize_callback' => 'business_roy_sanitize_text'
    ));
    $wp_customize->add_control(new BusinessRoy_Upgrade_Text($wp_customize, 'business_roy_pro_heading_typography_upgrade_text', array(
        'section' => 'typography_settings',
        'label' => esc_html__('For More Settings,', 'business-roy'),
        'choices' => array(
            esc_html__('250+ Google Fonts Family', 'business-roy'),
            esc_html__('Seperate Typography Settings for Menu, Titles ( H1/H2/H3/H4/H5/H6 ), Page Title, Block Title, Widget Title and others', 'business-roy'),
            esc_html__('More Advanced Typography Options like font weight, text transform, text decoration, font size, line height, letter spacing', 'business-roy'),
        ),
        'priority' => 251
    )));
}
add_action( 'customize_register', 'business_roy_customize_register_for_typography' );