<?php
/**
 * Default color palettes
 *
 * @since Business Roy 1.0.0
 * @param null
 * @return array $business_roy_default_color_palettes
 *
 */
if ( ! function_exists( 'business_roy_default_color_palettes' ) ) {
	function business_roy_default_color_palettes() {
		$palettes = array(
			'#000000',
			'#ffffff',
			'#dd3333',
			'#dd9933',
			'#eeee22',
			'#81d742',
			'#1e73be',
			'#8224e3',
		);
		return apply_filters( 'business_roy_default_color_palettes', $palettes );
	}
}

if (!function_exists('business_roy_svg_seperator')) {
    function business_roy_svg_seperator() {
        return array(
            'big-triangle-center' 	=> esc_html__('Big Triangle Center', 'business-roy'),
            'big-triangle-left' 	=> esc_html__('Big Triangle Left', 'business-roy'),
            'clouds' 		=> esc_html__('Clouds', 'business-roy'),
            'water-waves'   => esc_html__('Water Waves', 'business-roy'),
            'zigzag'        => esc_html__('ZigZag', 'business-roy'),
        );
    }
}

/***
 ** List All Category
*/
if(!function_exists('business_roy_post_category') ){

	function business_roy_post_category(){
		$categories = get_categories();
		$blog_cat = array();
		foreach ($categories as $category) {
			$blog_cat[$category->term_id] = $category->name;
		}
		return $blog_cat;
	}
}

/**
* repeater icons function
*/
if(!function_exists('business_roy_icon_array') ){
	function business_roy_icon_array(){
	  return array("icon-1.png","icon-2.png","icon-3.png","icon-4.png","icon-5.png","icon-6.png","icon-7.png","icon-8.png");
	}
  }
  
  /**
  * repeater Social icons function.
  */
  if(!function_exists('business_roy_font_awesome_social_icon_array') ){
	function business_roy_font_awesome_social_icon_array(){
	  return array(
			"fab fa-facebook",
			"fab fa-youtube",
			"fab fa-instagram",
			"fab fa-twitter",
			"fab fa-google",
			"fab fa-linkedin",
			"fab fa-pinterest",
			"fab fa-dribbble",
			'fab fa-stumbleupon',
			'fab fa-tumblr',
			'fab fa-vimeo-square',
			'fa fa-rss',
			'fab fa-flickr',
			'fa fa-envelope',
			'fa fa-heart'

		);
	}
  }