<?php
    
function business_roy_starter_content_setup(){

    add_theme_support( 'starter-content', array(
        'attachments' => array(
            'featured-image-home' => array(
                'post_title'   => __( 'Featured Image Homepage', 'business-roy' ),
                'post_content' => __( 'Featured Image Homepage', 'business-roy' ),
                'file'         => 'assets/default/contact.jpg',
            ),
            'how-it-works-1' => array(
                'post_title' => 'Business',
                'file'       => 'assets/images/starter-content/paper-business-finance-document-office-aerial-1434873-pxhere.com.jpg'
            )
        ),

        'posts' => array(
            'home'    => require __DIR__ . '/home.php',
            'about' => require __DIR__ . '/about.php',
            'services' => require __DIR__ . '/service.php',
            'contact' => require __DIR__ . '/contact.php',
        ),
        
        'options' => array(
            'blogdescription' => 'Just another WordPress site ',
        ),

        'theme_mods'  => array(
            'business_roy_enable_frontpage' => 'enable',
            'business_roy_primary_color' => apply_filters('business_roy_primary_color', '#138f81'),
            'business_roy_contact_info_bg_color' => '#138f81',

            /** about us  */
            'business_roy_aboutus_service_section' => 'disable',
            
            /** slider */
            'business_roy_slider_type' => 'advance',
            'business_roy_slider_advance_settings' => json_encode( array(
                array(
                    'block_image'      => get_template_directory_uri() . '/assets/images/gallery/gallery-img-2.png',
                    'block_subtitile'  => 'Professional -- Creative -- Online',
                    'block_title'      => 'Digital Markiting Agency',
                    'block_desc'       => 'Credibly harness compelling imperatives whereas seamless e-services. Continually worldwide via adaptive initiatives.',
                    'button_text'       => 'Our Service',
                    'button_url'        => '#',
                    'button_one_text'   => 'Contact Us',
                    'button_one_url'    => '#'
                ),

                array(
                    'block_image'      => get_template_directory_uri() . '/assets/images/gallery/gallery-img-3.png',
                    'block_subtitile'  => 'Professional -- Creative -- Online',
                    'block_title'      => 'Product Markiting Services',
                    'block_desc'       => 'Credibly harness compelling imperatives whereas seamless e-services. Continually worldwide via adaptive initiatives.',
                    'button_text'       => 'Discover More',
                    'button_url'        => '#',
                    'button_one_text'   => 'Contact Us',
                    'button_one_url'    => '#'
                )
            )),
            
            /** promo service */
            'business_roy_promoservice_type' => 'advance',
            'business_roy_promoservice_super_title' => 'Service',
            'business_roy_promoservice_title' => 'Our Working Process',

            'business_roy_promoservice_advance_settings' => json_encode( array(
                array(
                    'block_image'      => '',
                    'block_icon'       => 'fas fa-signal',
                    'block_title'      => 'Your Project Analysis',
                    'block_desc'       => 'Get started create an expanded array of strategic theme areas without build ethical processes for.',
                    'button_text'      => 'Know More',
                    'button_url'       => '#',
                    'block_bg_color'   => '#EBF5EE',
                    'block_color'      => '',
                    'block_alignment'  => 'text-center',
				),
                array(
                    'block_image'      => '',
                    'block_icon'       => 'fas fa-chalkboard-teacher',
                    'block_title'      => 'Build Powerful Solutions',
                    'block_desc'       => 'Get started create an expanded array of strategic theme areas without build ethical processes for.',
                    'button_text'      => 'Know More',
                    'button_url'       => '#',
                    'block_bg_color'   => '#EEF1EF',
                    'block_color'      => '',
                    'block_alignment'  => 'text-center',
				),

                array(
                    'block_image'      => '',
                    'block_icon'       => 'fas fa-pencil-ruler',
                    'block_title'      => 'Beautiful design',
                    'block_desc'       => 'Get started create an expanded array of strategic theme areas without build ethical processes for.',
                    'button_text'      => 'Know More',
                    'button_url'       => '#',
                    'block_bg_color'   => '#cceae6',
                    'block_color'      => '',
                    'block_alignment'  => 'text-center',
				),
                array(
                    'block_image'      => '',
                    'block_icon'       => 'fas fa-cart-arrow-down',
                    'block_title'      => 'Complete and download',
                    'block_desc'       => 'Get started create an expanded array of strategic theme areas without build ethical processes for.',
                    'button_text'      => 'Know More',
                    'button_url'       => '#',
                    'block_bg_color'   => '#cceae6',
                    'block_color'      => '',
                    'block_alignment'  => 'text-center',
				),
                array(
                    'block_image'      => '',
                    'block_icon'       => 'fas fa-users-cog',
                    'block_title'      => 'User Friendly',
                    'block_desc'       => 'Get started create an expanded array of strategic theme areas without build ethical processes for.',
                    'button_text'      => 'Know More',
                    'button_url'       => '#',
                    'block_bg_color'   => '#EEF1EF',
                    'block_color'      => '',
                    'block_alignment'  => 'text-center',
				),
                array(
                    'block_image'      => '',
                    'block_icon'       => 'fas fa-dollar-sign',
                    'block_title'      => 'Cost Effective Solution',
                    'block_desc'       => 'Get started create an expanded array of strategic theme areas without build ethical processes for.',
                    'button_text'      => 'Know More',
                    'button_url'       => '#',
                    'block_bg_color'   => '#EBF5EE',
                    'block_color'      => '',
                    'block_alignment'  => 'text-center',
				),
                
                
            )),

            'promoservice_grid' => json_encode(array(
                'margin' => array(
                    
                ),
                'padding' => array(
                    'desktop' => array(
                        'top' => '30',
                        'right' => '',
                        'bottom' => '30',
                        'left' => ''
                    )
                ),
                'radius' => array(
                    'desktop' => array(
                        'top' => '90',
                        'right' => '',
                        'bottom' => '90',
                        'left' => ''
                    )
                )
            )),
            
            /**
             * Video Call to Action
             */

            'business_roy_video_button_url' => '#',
            'business_roy_appointment_title' => 'We are Digital Agency & Marketing Expert',
            'business_roy_appointment_subtitle' => 'More traffic for your agency website?',
            'business_roy_appointment_shortcode' => '[contact-form]',
            'business_roy_video_calltoaction_video_bg' => get_template_directory_uri() . '/assets/images/services/ab1.png',






            /** call to action */
            'business_roy_cta_service_section' => 'disable',
            'business_roy_call_to_action_title' => 'Committed to keep people healthy & safe',
            'business_roy_call_to_action_subtitle' => 'We understand that projects represent not only buildings, but the plans for the future of our clients ed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperia',
            'business_roy_call_to_action_button' => 'Contact Us',
            'business_roy_call_to_action_link' => '#',
            'business_roy_calltoaction_image' => get_template_directory_uri() . '/assets/images/starter-content/business-team-executive-group-work-job-1573331-pxhere.com.jpg',
            


            /** How It Works Section */
            'business_roy_how_it_works_section_disable' => 'enable',
            'business_roy_how_it_works_super_title' => 'WORK PROSSES',
            'business_roy_how_it_works_title' => 'How We Work!',
            'business_roy_how_it_works_type' => 'advance',
            'business_roy_how_it_works_advance_settings' => json_encode(array(
                array(
                    'block_image'      => get_template_directory_uri() . '/assets/images/services/slide-01.jpg',
                    'block_icon'       => 'fas fa-address-card',
                    'block_title'      => 'Business Planning',
                    'block_desc'       => 'Professionally predominate technically sound imperatives and emerging content. Globally synergize future.',
                    'button_text'      => 'Know More',
                    'button_url'       => '#',
                ),
                array(
                    'block_image'      => get_template_directory_uri() . '/assets/images/services/slide-02.jpg',
                    'block_icon'       => 'fas fa-address-card',
                    'block_title'      => 'Market Research',
                    'block_desc'       => 'Professionally predominate technically sound imperatives and emerging content. Globally synergize future.',
                    'button_text'      => 'Know More',
                    'button_url'       => '#',
                ),
                array(
                    'block_image'      => get_template_directory_uri() . '/assets/images/services/slide-03.jpg',
                    'block_icon'       => 'fas fa-address-card',
                    'block_title'      => 'Cognitive Solution',
                    'block_desc'       => 'Professionally predominate technically sound imperatives and emerging content. Globally synergize future.',
                    'button_text'      => 'Know More',
                    'button_url'       => '#',
                )
            )),

            /** counter section */
            'business_roy_counter_section' => 'enable',

            'business_roy_counter_title' => '25 Years Of Experience',
            'business_roy_counter_super_title' => 'Experience Matter',
            'business_roy_counter' => json_encode(array(
		        array(
		            'counter_icon'  =>'fas fa-wind',
		            'counter_title'  =>'Project Done',
					'counter_number'  =>'2500',	            
					'counter_suffix' => '+',
					'counter_alignment' => 'text-left'
				),
				array(
		            'counter_icon'  =>'fas fa-pencil-alt',
		            'counter_title'  =>'Employees',
					'counter_number'  =>'1200',	            
					'counter_suffix' => '+',
					'counter_alignment' => 'text-left'
				),
				array(
		            'counter_icon'  =>'fas fa-bolt',
		            'counter_title'  =>'Awards Won',
					'counter_number'  =>'2500',	            
					'counter_suffix' => '+',
					'counter_alignment' => 'text-left'
				),
				array(
		            'counter_icon'  =>'fab fa-github-alt',
		            'counter_title'  =>'Happy Clients',
					'counter_number'  =>'3000',	            
					'counter_suffix' => '+',
					'counter_alignment' => 'text-left'
				),
                array(
		            'counter_icon'  =>'fas fa-mug-hot',
		            'counter_title'  =>'Cup of Coeffe',
					'counter_number'  =>'500',	            
					'counter_suffix' => '+',
					'counter_alignment' => 'text-left'
				),
                array(
		            'counter_icon'  =>'fas fa-download',
		            'counter_title'  =>'Number Of Download',
					'counter_number'  =>'2500',	            
					'counter_suffix' => '+',
					'counter_alignment' => 'text-left'
				),
            )),


            /** clients section */
            'business_roy_client_logo_options' => 'enable',
            'business_roy_client_super_title' => 'Clients',
            'business_roy_client_title' => 'Our Clients',
            'business_roy_client' => json_encode(array(
		        array(
		            'client_image' => get_template_directory_uri() . '/assets/images/client/client-1.png',
		            'client_link'  => '#',
                ),
                array(
		            'client_image' => get_template_directory_uri() . '/assets/images/client/client-2.png',
		            'client_link'  => '#',
		        ),
                array(
		            'client_image' => get_template_directory_uri() . '/assets/images/client/client-3.png',
		            'client_link'  => '#',
		        ),
                array(
		            'client_image' => get_template_directory_uri() . '/assets/images/client/client-4.png',
		            'client_link'  => '#',
		        )
            )),


            /** our service section */
            'business_roy_service_service_section' => 'enable',
            'business_roy_service_super_title' => 'Quality',
            'business_roy_service_title' => 'Our Best Quality Services',
            'business_roy_service_layout' => 'style2',
            'business_roy_service_type' => 'advance',
            'business_roy_service_bg_url' => get_template_directory_uri() . '/assets/images/starter-content/digital-stand.png',
            'business_roy_service_advance_settings' => json_encode(array(
				array(
                    'block_image' => get_template_directory_uri() . '/assets/images/services/call-action.jpg',
					'block_icon' => 'fas fa-snowflake',
					'block_title' => 'Digital Strategy',
					'block_desc' => 'In auctor ex id urna faucibus porttitor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. In maximus ligula semper metus pellentesque mattis.',
					'button_text' => 'Read More',
					'button_url' => '#'
                ),
                array(
                    'block_image' => get_template_directory_uri() . '/assets/images/service-layout/image-151-3.png',
					'block_icon' => 'fas fa-snowflake',
					'block_title' => 'Business Essentials',
					'block_desc' => 'In auctor ex id urna faucibus porttitor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. In maximus ligula semper metus pellentesque mattis.',
					'button_text' => 'Read More',
					'button_url' => '#'
				),
                array(
                    'block_image' => get_template_directory_uri() . '/assets/images/service-layout/image-151-2.png',
					'block_icon' => 'fas fa-snowflake',
					'block_title' => 'Quick Support',
					'block_desc' => 'In auctor ex id urna faucibus porttitor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. In maximus ligula semper metus pellentesque mattis.',
					'button_text' => 'Read More',
					'button_url' => '#'
				),
			)),


            /** contact section */
            'business_roy_contact_section_disable' => 'enable',
            'business_roy_contact_title' => 'Quick Get In Touch',
            'business_roy_contact_descripton' => 'In auctor ex id urna faucibus porttitor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. In maximus ligula semper metus pellentesque mattis.',
            'business_roy_contact_shortcode' => '[contact-form]',
            'business_roy_contact_details' => json_encode(array(
                array(
                    'icon' => 'fas fa-phone-volume',
                    'label' => 'Call Anytime 24/7',
                    'description' => '+01-559-236-8009'
                ),
                array(
                    'icon' => 'fas fa-map-marker-alt',
                    'label' => 'Office Address',
                    'description' => '28 Street, New York City'
                ),
                array(
                    'icon' => 'far fa-envelope',
                    'label' => 'Mail Us For Support',
                    'description' => 'example@example.com'
                )
            )),
            'business_roy_contact_bg_type' => 'color-bg',
            'business_roy_contact_bg_color' => '#ccc',

            'business_roy_portfolio_section' => 'disable',
            'business_roy_testimonial_options' => 'disable',
            'business_roy_home_blog_section' => 'disable',  
            'business_roy_enable_breadcrumbs' => 'disable', 
        ),

        'nav_menus' => array(
            'menu-1' => array(
				'name' => __( 'Menu', 'business-roy' ),
				'items' => array(
					'page_home',
					'page_about',
					'page_blog',
					'page_service' => array(
						'type' => 'post_type',
						'object' => 'page',
						'object_id' => '{{services}}',
					),
                    'page_contact',
				),
			),
		),
    ));
}
add_action( 'after_setup_theme', 'business_roy_starter_content_setup' );