<div class="welcome-getting-started">
    <div class="welcome-demo-import">
        <h3><?php echo esc_html__('Manual Setup', 'business-roy'); ?></h3>
        <div class="free-pro-demos livepreview">
            <a class="button button-primary" href="https://ikreatethemes.com/wordpress-themes/business-roy/" target="_blank"><span class="dashicons dashicons-visibility"></span><?php echo esc_html__('Live Preview', 'business-roy'); ?></a>      
            <div class="documentation">
                <?php echo sprintf(esc_html__('%s', 'business-roy'), '<a href="'.esc_url('https://docs.ikreatethemes.com/business-roy/').'" target="_blank">' . esc_html__('Video Documentation', 'business-roy') . '</a>'); ?> |
                <?php echo sprintf(esc_html__('%s', 'business-roy'), '<a href="'.esc_url('https://docs.ikreatethemes.com/business-roy/').'" target="_blank">' . esc_html__('Text Documentation', 'business-roy') . '</a>'); ?>
            </div>
        </div>
        <p><?php echo esc_html__('You can setup the home page sections either from Customizer Panel or from Elementor Pagebuilder', 'business-roy'); ?></p>
        <p><strong><?php echo esc_html__('FROM CUSTOMIZER', 'business-roy'); ?></strong></p>
        <ol>
            <li><?php echo esc_html__('Go to Appearance &gt; Customize', 'business-roy'); ?></li>
            <li><?php echo esc_html__('Click on ', 'business-roy'); ?><strong>"<a href="<?php echo esc_url(admin_url('customize.php?autofocus[section]=static_front_page')); ?>" target="_blank"><?php echo esc_html__('Enable Front Page', 'business-roy'); ?></a>"</strong> <?php echo esc_html__('and Enable Business Roy Front Page.', 'business-roy'); ?></li>
            <li><?php echo sprintf(
                    esc_html__('Now go back to %s and manage the sections.', 'business-roy'), '<a href="'.esc_url(admin_url('customize.php?autofocus[panel]=business_roy_frontpage_settings')).'" target="_blank">' . esc_html__('Home Sections', 'business-roy') . '</a>'); ?></li>
        </ol>
        <p><strong><?php echo esc_html__('FROM ELEMENTOR', 'business-roy'); ?></strong></p>
        <ol>
            <li><?php echo esc_html__('Firstly install and activate "Elementor Website Builder" plugin from', 'business-roy'); ?> <a href="<?php echo esc_url(admin_url('admin.php?page=business-roy-welcome')); ?>" target="_blank"><?php echo esc_html__('Recommended Plugin page.', 'business-roy'); ?></a></li>
            <li><?php echo esc_html__('Create a new page and edit with Elementor. Drag and drop the elements in the Elementor to create your own design.', 'business-roy'); ?></li>
            <li><?php echo esc_html__('Now go to Appearance &gt; Customize &gt; Homepage Settings and choose "A static page" for "Your latest posts" and select the created page for "Home Page" option.', 'business-roy'); ?></li>
        </ol>
    </div>
    <div class="welcome-demo-import">
        <h3><?php echo esc_html__('Recommended Plugins', 'business-roy'); ?></h3>
        <?php
            $free_plugins = $this->free_plugins;
            if (!empty($free_plugins)) {
        ?>
            <div class="recomended-plugin-wrap">
                <?php
                foreach ($free_plugins as $plugin) {
                    $slug = $plugin['slug'];
                    $name = $plugin['name'];
                    $filename = $plugin['filename'];
                    $thumb = $plugin['thumb_path'];
                ?>
                <div class="recommended-plugins">
                    <div class="plugin-image">
                        <img src="<?php echo esc_url($thumb) ?>" />
                    </div>
                    <div class="plugin-title-wrap">
                        <div class="plugin-title">
                            <?php echo esc_html($name); ?>	
                        </div>
                        <div class="plugin-btn-wrapper">
                            <?php if ($this->check_plugin_installed_state($slug, $filename) && !$this->check_plugin_active_state($slug, $filename)) : ?>
                                <a href="<?php echo esc_url($this->plugin_generate_url('active', $slug, $filename)) ?>" class="button button-primary">
                                    <?php esc_html_e('Activate', 'business-roy'); ?>
                                </a>
                            <?php elseif ($this->check_plugin_installed_state($slug, $filename)) : ?>
                                <button type="button" class="button button-disabled" disabled="disabled"><?php esc_html_e('Installed', 'business-roy'); ?></button>
                            <?php else : ?>
                                <a class="install-now button-primary" href="<?php echo esc_url($this->plugin_generate_url('install', $slug, $filename)) ?>" >
                                    <?php esc_html_e('Install Now', 'business-roy'); ?>
                                </a>							
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php } ?>
            </div>
        <?php } ?>
    </div>
</div>