<?php
/**
 * Template part for displaying front page section
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Business Roy
 */
/**
 *  Blog Section.
*/
if (! function_exists( 'business_roy_blog' ) ):
    function business_roy_blog(){
        $title_style = get_theme_mod('business_roy_blog_title_align', 'text-center');
        $super_title = get_theme_mod('business_roy_blog_subtitle');
        $title = get_theme_mod('business_roy_blog_title');
        $blog_options = get_theme_mod('business_roy_home_blog_section','enable');
        if( !empty( $blog_options ) && $blog_options == 'enable' ){
            $service_class = array(
                'section',
                'blog-section'
            );
            ?>
            <section id="blog-section" class="<?php echo esc_attr(implode(' ', $service_class)) ?>">
                <?php business_roy_add_top_seperator('blog'); ?>
                <div class="section-wrap">
                    <div class="container">
                        <div class="inner-section-wrap">
                            <?php business_roy_section_title( $super_title, $title, $title_style ); ?>
                            <div class="d-grid d-grid-column-3">
                                <?php
                                    $blog = get_theme_mod('business_roy_blog_categories');
                                    $cat_id = explode(',', $blog);
                                    $blog_posts = get_theme_mod('business_roy_posts_num', 'three');
                                    if ($blog_posts == 'three') {
                                        $post_num = 3;
                                    } else {
                                        $post_num = 6;
                                    }
                                    $args = array(
                                        'posts_per_page' => $post_num,
                                        'post_type' => 'post',
                                        'tax_query' => array(
                                            array(
                                                'taxonomy' => 'category',
                                                'field' => 'term_id',
                                                'terms' => $cat_id
                                            ),
                                        ),
                                    );
                                    $blog_query = new WP_Query ($args);
                                    
                                    if ( $blog_query->have_posts() ): while ( $blog_query->have_posts() ) : $blog_query->the_post();
                                   
                                    $blogreadmore_btn = get_theme_mod( 'business_roy_blogtemplate_btn', 'Continue Reading' );

                                    $aligment = get_theme_mod('business_roy_blog_alignment', 'text-center');
                                ?>
                                    <div class="blog-item" data-aos="fade-up" data-aos-duration="1500" data-aos-delay="100">
                                        <article id="post-<?php the_ID(); ?>" <?php post_class('article'); ?>>
                                            <div class="blog-post-thumbnail">
                                                <a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true">
                                                    <?php the_post_thumbnail(); ?>
                                                </a>
                                            </div>
                                            <div class="box-content <?php echo esc_attr( $aligment ); ?>">
                                                <?php 
                                                    the_title( '<h4 class="title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h4>' ); 
                                                   
                                                    if ( 'post' === get_post_type() ){ do_action( 'business_roy_post_meta', 10 ); }  
                                                ?>
                                                <?php the_excerpt(); ?>
                                                
                                                <?php if( !empty( $blogreadmore_btn ) ){ ?>
                                                    <div class="btns">
                                                        <a href="<?php the_permalink(); ?>" class="btn btn-border">
                                                            <?php echo esc_html( $blogreadmore_btn ); ?> <i class="fas fa-long-arrow-alt-right"></i>
                                                        </a>
                                                    </div>
                                                <?php } ?>
                                            </div>
                                        </article>
                                    </div>
                                <?php endwhile; endif; wp_reset_query(); ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php business_roy_add_bottom_seperator('blog'); ?>
        </section>
    <?php } }
endif;
add_action('business_roy_action_blog', 'business_roy_blog', 65);

do_action('business_roy_action_blog');