<?php
/**
 * Template part for displaying front page section
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Business Roy
 */
/**
 * Hook -  costruction_light_action_clients
 *
 * @hooked costruction_light_clients - 80
 */
/**
 *  Our Client Brand Logo Section.
*/
if (! function_exists( 'costruction_light_clients' ) ):

    function costruction_light_clients(){ 

        $super_title = get_theme_mod('business_roy_client_super_title');
        $title = get_theme_mod('business_roy_client_title');
        $title_style = get_theme_mod('business_roy_client_title_align', 'text-center');

        $logo_style = get_theme_mod('business_roy_logo_style', 'style1');
        $logo_style_class = "owl-carousel owl-theme client-logo-slider";
        
        if($logo_style == 'style2'){
            $logo_style_class = "client-logo-list";
        }
        $client_logo_options = get_theme_mod('business_roy_client_logo_options','disable');
        
        if( !empty( $client_logo_options ) && $client_logo_options == 'enable' ){
            $service_class = array(
                'section',
                'client-section',
                'client-list',
                'business_roy_feature'
            );
        ?>
            <section id="client-section" class="<?php echo esc_attr(implode(' ', $service_class)) ?>">
                <?php business_roy_add_top_seperator('client'); ?>
                    <div class="section-wrap">
                        <div class="container">
                            <div class="inner-section-wrap">
                                <?php business_roy_section_title( $super_title, $title, $title_style); ?>
                                <div class="<?php echo esc_attr($logo_style_class); ?> client_logo">
                                    <?php
                                    $client_images = get_theme_mod('business_roy_client');
                                    if (!empty($client_images)) :
                                        $client_images = json_decode($client_images);
                                        foreach ($client_images as $image) {
                                    ?>
                                        <div class="item" data-aos="fade-up" data-aos-duration="1500" data-aos-delay="100">
                                            <div class="logo">
                                                <a href="<?php echo esc_url( $image->client_link ); ?>">
                                                    <img src="<?php echo esc_url( $image->client_image ); ?>" class="img-fluid">
                                                </a>
                                            </div>
                                        </div>
                                    <?php } endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php business_roy_add_bottom_seperator('client'); ?>
            </section>
    <?php } }
endif;
add_action('costruction_light_action_clients', 'costruction_light_clients', 80);

do_action('costruction_light_action_clients');