<?php
/**
 * Template part for displaying front page section
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Business Roy
 */
/**
 * Hook -  business_roy_action_counter
 *
 * @hooked business_roy_counter - 60
 */
/**
 *  Success Product Counter Section.
*/
if (! function_exists( 'business_roy_counter' ) ):
    function business_roy_counter(){
        $title_style = get_theme_mod('business_roy_counter_title_align', 'text-center');
        $super_title = get_theme_mod('business_roy_counter_super_title');
        $title = get_theme_mod('business_roy_counter_title');
        $boxshadow = get_theme_mod('business_roy_counter_box_shadow_section','enable');
        $counter_options = get_theme_mod('business_roy_counter_section','disable');
        if( !empty( $counter_options ) && $counter_options == 'enable' ){
            $service_class = array(
                'section',
                'counter-section',
                'counter-wrap',
            );
            ?>
            <section id="counter-section" class="<?php echo esc_attr(implode(' ', $service_class)) ?>">
                <?php business_roy_add_top_seperator('counter'); ?>
                <div class="section-wrap">
                    <div class="container">
                        <div class="inner-section-wrap">
                            <?php business_roy_section_title( $super_title, $title, $title_style ); ?>
                            <div class="achivement-items">
                                <ul class="d-grid d-grid-column-3">
                                    <?php
                                        $counter_page = get_theme_mod('business_roy_counter');
                                        
                                        if (!empty($counter_page)):

                                        $counters = json_decode($counter_page);

                                        $i = 1;
                                        foreach ( $counters as $counter ):
                                    ?>
                                        <li class="<?php if( $boxshadow == 'enable' ){ echo esc_attr('box-shadow'); } ?>">
                                            <?php if( $counter->counter_icon ): ?>
                                                <div class="timer-icon">
                                                    <i class="<?php echo esc_attr( $counter->counter_icon ); ?>"></i>
                                                </div>
                                            <?php endif; ?>
                                            <div class="timer-content <?php if( $counter->counter_alignment ): echo esc_attr( $counter->counter_alignment ); endif; ?>">
                                                <?php if( $counter->counter_number ): ?>
                                                    <div class="timer achivement"><?php echo intval( $counter->counter_number ); ?></div>
                                                    <?php if(!empty($counter->counter_suffix)): ?>
                                                        <div class="counter_suffix"><?php echo esc_html($counter->counter_suffix); ?></div>
                                                    <?php endif; ?>
                                                    <span class="medium"><?php echo esc_html( $counter->counter_title ); ?></span>
                                                <?php endif; ?>
                                            </div>
                                        </li>
                                    <?php  $i++; endforeach; endif; ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <?php business_roy_add_bottom_seperator('counter'); ?>
            </section>
    <?php } }
endif;
add_action('business_roy_action_counter', 'business_roy_counter', 60);

do_action('business_roy_action_counter');