<?php
/**
 * Template part for displaying front page section
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Business Roy
 */
/**
 *
 * @hooked business_roy_testimonial - 70
 */
if (! function_exists( 'business_roy_testimonial' ) ):
    
    function business_roy_testimonial(){
        
        $testimonial_options = get_theme_mod('business_roy_testimonial_options','enable');
        
        if( !empty( $testimonial_options ) && $testimonial_options == 'enable' ){
           
            $testimonial_style = get_theme_mod('business_roy_testimonial_style', 'style1');
        ?>
        <section id="testimonial-section" class="testimonial-section section <?php echo esc_attr($testimonial_style); ?>">
            <?php business_roy_add_top_seperator('testimonial'); ?>
            <div class="section-wrap">   
                <div class="container">
                    <div class="inner-section-wrap">
                        <?php 
                            /**
                             * Section Title
                            */
                            $supertitle = get_theme_mod( 'business_roy_testimonial_subtitle' );
                            $title 		= get_theme_mod( 'business_roy_testimonial_title' );
                            $titlestyle = get_theme_mod( 'business_roy_testimonial_title_align','text-center' );
                            business_roy_section_title( $supertitle, $title, $titlestyle ); 
                        ?>
                        <div id="testimonial_slider" class="testimonial_slid owl-carousel testimonial-block">
                            <?php
                                $testimonial_page = get_theme_mod('business_roy_testimonial_page'); 
                                if (!empty($testimonial_page)):
                                $testimonial_pages = json_decode($testimonial_page);
                                foreach ($testimonial_pages as $testimonial_page):
                                $page_id = $testimonial_page->testimonial_page;
                                if (!empty($page_id)):
                                $testimonial_query = new WP_Query('page_id=' . $page_id);
                                if ( $testimonial_query->have_posts() ): while ($testimonial_query->have_posts()): $testimonial_query->the_post();
                                    if( !isset($testimonial_page->rating)){
                                        $testimonial_page->rating = 5;
                                    }
                                ?>
                                <div class="item">
                                    <div class="testimonial_slide_box">
                                        <div class="rating">
                                            <?php foreach( range( 1, intval( $testimonial_page->rating )) as $index ): ?>
                                                <i class="fa fa-star" aria-hidden="true"></i>
                                            <?php endforeach; ?>
                                        </div>
                                        <div class="review">
                                            <?php the_excerpt(); ?>
                                        </div>
                                        <div class="testimonial_author">
                                            <div class="testimonial_img">
                                                <?php the_post_thumbnail('thumbnail'); ?>
                                            </div>
                                            <div class="testimonial_author_text">
                                                <h3><?php the_title(); ?></h3>
                                                <span class="designation"><?php echo esc_html( $testimonial_page->designation ); ?></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endwhile; endif; endif; endforeach; endif; ?>
                        </div>
                        <?php 
                            $testimonial_cover = get_theme_mod('business_roy_testimonial_cover_image');
                            if( !empty ( $testimonial_cover ) ): 
                        ?>
                            <div class="avtar_faces">
                                <img src="<?php echo esc_url( $testimonial_cover ); ?>" alt="image">
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <?php business_roy_add_bottom_seperator('testimonial'); ?>
        </section>
    <?php } }
endif;
add_action('business_roy_action_testimonial', 'business_roy_testimonial', 70);


do_action('business_roy_action_testimonial');