<?php
/**
 * Template part for displaying front page section
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Business Roy
 */
/**
 * Hook -  business_roy_action_video_calltoaction
 *
 * @hooked business_roy_video_calltoaction - 40
 */
/**
 * Video Call To Action Section.
*/
if (! function_exists( 'business_roy_video_calltoaction' ) ):

    function business_roy_video_calltoaction(){
        
        $video_cta_title     = get_theme_mod( 'business_roy_appointment_title' );
        $video_cta_sub_title = get_theme_mod( 'business_roy_appointment_subtitle' );
        $yourtube_video_url  = get_theme_mod('business_roy_video_button_url');
        $video_cta_options = get_theme_mod('business_roy_video_cta_service_section','enable');

        if( !empty( $video_cta_options ) && $video_cta_options == 'enable' ){ 
            $service_class = array(
                'section',
                'video_calltoaction-section',
                'calltoaction_promo_wrapper',
                'video_calltoaction',
                get_theme_mod('business_roy_video_calltoaction_alignment','text-center')
            );
            $appointment_shortcode = get_theme_mod('business_roy_appointment_shortcode'); 
            ?>
            <section id="video_calltoaction-section" class="<?php echo esc_attr(implode(' ', $service_class)) ?>">
                <?php business_roy_add_top_seperator('video_calltoaction'); ?>
                <div class="section-wrap">
                    <div class="container">
                        <div class="inner-section-wrap">

                            <div class="calltoaction_full_widget_content section-title-wrapper" data-aos="fade-up" data-aos-duration="1500" data-aos-delay="100">
                                <h2 class="section-title section-video-title"><?php echo esc_html( $video_cta_title ); ?></h2>
                                <div class="calltoaction_subtitle section-tagline-text">
                                    <?php echo esc_html( $video_cta_sub_title ); ?>
                                </div>
                            </div>

                            <div class="d-grid <?php if( $appointment_shortcode){ echo esc_attr('d-grid-column-2'); } ?>">
                                
                                <?php if( $yourtube_video_url ): 
                                    $img = get_theme_mod('business_roy_video_calltoaction_video_bg');
                                    $style = "";
                                    if($img){
                                        $style="style=background:url({$img});background-size:cover;background-repeat:no-repeat;";
                                    }
                                    ?>
                                    <div class="video_calltoaction_wrap" data-aos="fade-up" data-aos-duration="1500" data-aos-delay="100" <?php //echo esc_attr($style); ?>>
                                        <div class="cat-image-wrap" data-aos="fade-up" data-aos-duration="1500" data-aos-delay="100">
                                            <img src="<?php echo esc_url( $img ); ?>">
                                        </div>      
                                        <a href="<?php echo esc_url( $yourtube_video_url ); ?>?iframe=true&width=100%&height=100%" rel="prettyVideo[iframe]" target="_blank" class="box-shadow-ripples"><i class="fas fa-play "></i></a>
                                    </div>
                                <?php endif; 
                                
                                if( $appointment_shortcode ): ?>
                                    <div class="calltoaction_full_widget_content contact-form" data-aos="fade-up" data-aos-duration="1500" data-aos-delay="100">
                                        <?php echo do_shortcode($appointment_shortcode); ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php business_roy_add_bottom_seperator('video_calltoaction'); ?>
            </section>
    <?php } }
endif;
add_action('business_roy_action_video_calltoaction', 'business_roy_video_calltoaction', 40);

do_action('business_roy_action_video_calltoaction');