(function (factory) { "use strict"; if (typeof define === "function" && define.amd) { define(["jquery"], factory) } else { factory(jQuery) } })(function ($) {
    "use strict"; var instances = [], matchers = [], defaultOptions = { precision: 100, elapse: !1, defer: !1 }; matchers.push(/^[0-9]*$/.source); matchers.push(/([0-9]{1,2}\/){2}[0-9]{4}( [0-9]{1,2}(:[0-9]{2}){2})?/.source); matchers.push(/[0-9]{4}([\/\-][0-9]{1,2}){2}( [0-9]{1,2}(:[0-9]{2}){2})?/.source); matchers = new RegExp(matchers.join("|")); function parseDateString(dateString) {
        if (dateString instanceof Date) { return dateString }
        if (String(dateString).match(matchers)) {
            if (String(dateString).match(/^[0-9]*$/)) { dateString = Number(dateString) }
            if (String(dateString).match(/\-/)) { dateString = String(dateString).replace(/\-/g, "/") }
            return new Date(dateString)
        } else { throw new Error("Couldn't cast `" + dateString + "` to a date object.") }
    }
    var DIRECTIVE_KEY_MAP = { Y: "years", m: "months", n: "daysToMonth", d: "daysToWeek", w: "weeks", W: "weeksToMonth", H: "hours", M: "minutes", S: "seconds", D: "totalDays", I: "totalHours", N: "totalMinutes", T: "totalSeconds" }; function escapedRegExp(str) { var sanitize = str.toString().replace(/([.?*+^$[\]\\(){}|-])/g, "\\$1"); return new RegExp(sanitize) }
    function strftime(offsetObject) {
        return function (format) {
            var directives = format.match(/%(-|!)?[A-Z]{1}(:[^;]+;)?/gi); if (directives) {
                for (var i = 0, len = directives.length; i < len; ++i) {
                    var directive = directives[i].match(/%(-|!)?([a-zA-Z]{1})(:[^;]+;)?/), regexp = escapedRegExp(directive[0]), modifier = directive[1] || "", plural = directive[3] || "", value = null; directive = directive[2]; if (DIRECTIVE_KEY_MAP.hasOwnProperty(directive)) { value = DIRECTIVE_KEY_MAP[directive]; value = Number(offsetObject[value]) }
                    if (value !== null) {
                        if (modifier === "!") { value = pluralize(plural, value) }
                        if (modifier === "") { if (value < 10) { value = "0" + value.toString() } }
                        format = format.replace(regexp, value.toString())
                    }
                }
            }
            format = format.replace(/%%/, "%"); return format
        }
    }
    function pluralize(format, count) {
        var plural = "s", singular = ""; if (format) { format = format.replace(/(:|;|\s)/gi, "").split(/\,/); if (format.length === 1) { plural = format[0] } else { singular = format[0]; plural = format[1] } }
        if (Math.abs(count) > 1) { return plural } else { return singular }
    }
    var Countdown = function (el, finalDate, options) {
        this.el = el; this.$el = $(el); this.interval = null; this.offset = {}; this.options = $.extend({}, defaultOptions); this.instanceNumber = instances.length; instances.push(this); this.$el.data("countdown-instance", this.instanceNumber); if (options) { if (typeof options === "function") { this.$el.on("update.countdown", options); this.$el.on("stoped.countdown", options); this.$el.on("finish.countdown", options) } else { this.options = $.extend({}, defaultOptions, options) } }
        this.setFinalDate(finalDate); if (this.options.defer === !1) { this.start() }
    }; $.extend(Countdown.prototype, {
        start: function () {
            if (this.interval !== null) { clearInterval(this.interval) }
            var self = this; this.update(); this.interval = setInterval(function () { self.update.call(self) }, this.options.precision)
        }, stop: function () { clearInterval(this.interval); this.interval = null; this.dispatchEvent("stoped") }, toggle: function () { if (this.interval) { this.stop() } else { this.start() } }, pause: function () { this.stop() }, resume: function () { this.start() }, remove: function () { this.stop.call(this); instances[this.instanceNumber] = null; delete this.$el.data().countdownInstance }, setFinalDate: function (value) { this.finalDate = parseDateString(value) }, update: function () {
            if (this.$el.closest("html").length === 0) { this.remove(); return }
            var hasEventsAttached = $._data(this.el, "events") !== undefined, now = new Date(), newTotalSecsLeft; newTotalSecsLeft = this.finalDate.getTime() - now.getTime(); newTotalSecsLeft = Math.ceil(newTotalSecsLeft / 1e3); newTotalSecsLeft = !this.options.elapse && newTotalSecsLeft < 0 ? 0 : Math.abs(newTotalSecsLeft); if (this.totalSecsLeft === newTotalSecsLeft || !hasEventsAttached) { return } else { this.totalSecsLeft = newTotalSecsLeft }
            this.elapsed = now >= this.finalDate; this.offset = { seconds: this.totalSecsLeft % 60, minutes: Math.floor(this.totalSecsLeft / 60) % 60, hours: Math.floor(this.totalSecsLeft / 60 / 60) % 24, days: Math.floor(this.totalSecsLeft / 60 / 60 / 24) % 7, daysToWeek: Math.floor(this.totalSecsLeft / 60 / 60 / 24) % 7, daysToMonth: Math.floor(this.totalSecsLeft / 60 / 60 / 24 % 30.4368), weeks: Math.floor(this.totalSecsLeft / 60 / 60 / 24 / 7), weeksToMonth: Math.floor(this.totalSecsLeft / 60 / 60 / 24 / 7) % 4, months: Math.floor(this.totalSecsLeft / 60 / 60 / 24 / 30.4368), years: Math.abs(this.finalDate.getFullYear() - now.getFullYear()), totalDays: Math.floor(this.totalSecsLeft / 60 / 60 / 24), totalHours: Math.floor(this.totalSecsLeft / 60 / 60), totalMinutes: Math.floor(this.totalSecsLeft / 60), totalSeconds: this.totalSecsLeft }; if (!this.options.elapse && this.totalSecsLeft === 0) { this.stop(); this.dispatchEvent("finish") } else { this.dispatchEvent("update") }
        }, dispatchEvent: function (eventName) { var event = $.Event(eventName + ".countdown"); event.finalDate = this.finalDate; event.elapsed = this.elapsed; event.offset = $.extend({}, this.offset); event.strftime = strftime(this.offset); this.$el.trigger(event) }
    }); $.fn.countdown = function () { var argumentsArray = Array.prototype.slice.call(arguments, 0); return this.each(function () { var instanceNumber = $(this).data("countdown-instance"); if (instanceNumber !== undefined) { var instance = instances[instanceNumber], method = argumentsArray[0]; if (Countdown.prototype.hasOwnProperty(method)) { instance[method].apply(instance, argumentsArray.slice(1)) } else if (String(method).match(/^[$A-Z_][0-9A-Z_$]*$/i) === null) { instance.setFinalDate.call(instance, method); instance.start() } else { $.error("Method %s does not exist on jQuery.countdown".replace(/\%s/gi, method)) } } else { new Countdown(this, argumentsArray[0], argumentsArray[1]) } }) }
}); (function ($, window, document, undefined) {
    function Owl(element, options) { this.settings = null; this.options = $.extend({}, Owl.Defaults, options); this.$element = $(element); this._handlers = {}; this._plugins = {}; this._supress = {}; this._current = null; this._speed = null; this._coordinates = []; this._breakpoint = null; this._width = null; this._items = []; this._clones = []; this._mergers = []; this._widths = []; this._invalidated = {}; this._pipe = []; this._drag = { time: null, target: null, pointer: null, stage: { start: null, current: null }, direction: null }; this._states = { current: {}, tags: { 'initializing': ['busy'], 'animating': ['busy'], 'dragging': ['interacting'] } }; $.each(['onResize', 'onThrottledResize'], $.proxy(function (i, handler) { this._handlers[handler] = $.proxy(this[handler], this) }, this)); $.each(Owl.Plugins, $.proxy(function (key, plugin) { this._plugins[key.charAt(0).toLowerCase() + key.slice(1)] = new plugin(this) }, this)); $.each(Owl.Workers, $.proxy(function (priority, worker) { this._pipe.push({ 'filter': worker.filter, 'run': $.proxy(worker.run, this) }) }, this)); this.setup(); this.initialize() }
    Owl.Defaults = { items: 3, loop: !1, center: !1, rewind: !1, checkVisibility: !0, mouseDrag: !0, touchDrag: !0, pullDrag: !0, freeDrag: !1, margin: 0, stagePadding: 0, merge: !1, mergeFit: !0, autoWidth: !1, startPosition: 0, rtl: !1, smartSpeed: 250, fluidSpeed: !1, dragEndSpeed: !1, responsive: {}, responsiveRefreshRate: 200, responsiveBaseElement: window, fallbackEasing: 'swing', slideTransition: '', info: !1, nestedItemSelector: !1, itemElement: 'div', stageElement: 'div', refreshClass: 'owl-refresh', loadedClass: 'owl-loaded', loadingClass: 'owl-loading', rtlClass: 'owl-rtl', responsiveClass: 'owl-responsive', dragClass: 'owl-drag', itemClass: 'owl-item', stageClass: 'owl-stage', stageOuterClass: 'owl-stage-outer', grabClass: 'owl-grab' }; Owl.Width = { Default: 'default', Inner: 'inner', Outer: 'outer' }; Owl.Type = { Event: 'event', State: 'state' }; Owl.Plugins = {}; Owl.Workers = [{ filter: ['width', 'settings'], run: function () { this._width = this.$element.width() } }, { filter: ['width', 'items', 'settings'], run: function (cache) { cache.current = this._items && this._items[this.relative(this._current)] } }, { filter: ['items', 'settings'], run: function () { this.$stage.children('.cloned').remove() } }, { filter: ['width', 'items', 'settings'], run: function (cache) { var margin = this.settings.margin || '', grid = !this.settings.autoWidth, rtl = this.settings.rtl, css = { 'width': 'auto', 'margin-left': rtl ? margin : '', 'margin-right': rtl ? '' : margin }; !grid && this.$stage.children().css(css); cache.css = css } }, {
        filter: ['width', 'items', 'settings'], run: function (cache) {
            var width = (this.width() / this.settings.items).toFixed(3) - this.settings.margin, merge = null, iterator = this._items.length, grid = !this.settings.autoWidth, widths = []; cache.items = { merge: !1, width: width }; while (iterator--) { merge = this._mergers[iterator]; merge = this.settings.mergeFit && Math.min(merge, this.settings.items) || merge; cache.items.merge = merge > 1 || cache.items.merge; widths[iterator] = !grid ? this._items[iterator].width() : width * merge }
            this._widths = widths
        }
    }, {
        filter: ['items', 'settings'], run: function () {
            var clones = [], items = this._items, settings = this.settings, view = Math.max(settings.items * 2, 4), size = Math.ceil(items.length / 2) * 2, repeat = settings.loop && items.length ? settings.rewind ? view : Math.max(view, size) : 0, append = '', prepend = ''; repeat /= 2; while (repeat > 0) { clones.push(this.normalize(clones.length / 2, !0)); append = append + items[clones[clones.length - 1]][0].outerHTML; clones.push(this.normalize(items.length - 1 - (clones.length - 1) / 2, !0)); prepend = items[clones[clones.length - 1]][0].outerHTML + prepend; repeat -= 1 }
            this._clones = clones; $(append).addClass('cloned').appendTo(this.$stage); $(prepend).addClass('cloned').prependTo(this.$stage)
        }
    }, {
        filter: ['width', 'items', 'settings'], run: function () {
            var rtl = this.settings.rtl ? 1 : -1, size = this._clones.length + this._items.length, iterator = -1, previous = 0, current = 0, coordinates = []; while (++iterator < size) { previous = coordinates[iterator - 1] || 0; current = this._widths[this.relative(iterator)] + this.settings.margin; coordinates.push(previous + current * rtl) }
            this._coordinates = coordinates
        }
    }, { filter: ['width', 'items', 'settings'], run: function () { var padding = this.settings.stagePadding, coordinates = this._coordinates, css = { 'width': Math.ceil(Math.abs(coordinates[coordinates.length - 1])) + padding * 2, 'padding-left': padding || '', 'padding-right': padding || '' }; this.$stage.css(css) } }, { filter: ['width', 'items', 'settings'], run: function (cache) { var iterator = this._coordinates.length, grid = !this.settings.autoWidth, items = this.$stage.children(); if (grid && cache.items.merge) { while (iterator--) { cache.css.width = this._widths[this.relative(iterator)]; items.eq(iterator).css(cache.css) } } else if (grid) { cache.css.width = cache.items.width; items.css(cache.css) } } }, { filter: ['items'], run: function () { this._coordinates.length < 1 && this.$stage.removeAttr('style') } }, { filter: ['width', 'items', 'settings'], run: function (cache) { cache.current = cache.current ? this.$stage.children().index(cache.current) : 0; cache.current = Math.max(this.minimum(), Math.min(this.maximum(), cache.current)); this.reset(cache.current) } }, { filter: ['position'], run: function () { this.animate(this.coordinates(this._current)) } }, {
        filter: ['width', 'position', 'items', 'settings'], run: function () {
            var rtl = this.settings.rtl ? 1 : -1, padding = this.settings.stagePadding * 2, begin = this.coordinates(this.current()) + padding, end = begin + this.width() * rtl, inner, outer, matches = [], i, n; for (i = 0, n = this._coordinates.length; i < n; i++) { inner = this._coordinates[i - 1] || 0; outer = Math.abs(this._coordinates[i]) + padding * rtl; if ((this.op(inner, '<=', begin) && (this.op(inner, '>', end))) || (this.op(outer, '<', begin) && this.op(outer, '>', end))) { matches.push(i) } }
            this.$stage.children('.active').removeClass('active'); this.$stage.children(':eq(' + matches.join('), :eq(') + ')').addClass('active'); this.$stage.children('.center').removeClass('center'); if (this.settings.center) { this.$stage.children().eq(this.current()).addClass('center') }
        }
    }]; Owl.prototype.initializeStage = function () {
        this.$stage = this.$element.find('.' + this.settings.stageClass); if (this.$stage.length) { return }
        this.$element.addClass(this.options.loadingClass); this.$stage = $('<' + this.settings.stageElement + '>', { "class": this.settings.stageClass }).wrap($('<div/>', { "class": this.settings.stageOuterClass })); this.$element.append(this.$stage.parent())
    }; Owl.prototype.initializeItems = function () {
        var $items = this.$element.find('.owl-item'); if ($items.length) { this._items = $items.get().map(function (item) { return $(item) }); this._mergers = this._items.map(function () { return 1 }); this.refresh(); return }
        this.replace(this.$element.children().not(this.$stage.parent())); if (this.isVisible()) { this.refresh() } else { this.invalidate('width') }
        this.$element.removeClass(this.options.loadingClass).addClass(this.options.loadedClass)
    }; Owl.prototype.initialize = function () {
        this.enter('initializing'); this.trigger('initialize'); this.$element.toggleClass(this.settings.rtlClass, this.settings.rtl); if (this.settings.autoWidth && !this.is('pre-loading')) { var imgs, nestedSelector, width; imgs = this.$element.find('img'); nestedSelector = this.settings.nestedItemSelector ? '.' + this.settings.nestedItemSelector : undefined; width = this.$element.children(nestedSelector).width(); if (imgs.length && width <= 0) { this.preloadAutoWidthImages(imgs) } }
        this.initializeStage(); this.initializeItems(); this.registerEventHandlers(); this.leave('initializing'); this.trigger('initialized')
    }; Owl.prototype.isVisible = function () { return this.settings.checkVisibility ? this.$element.is(':visible') : !0 }; Owl.prototype.setup = function () {
        var viewport = this.viewport(), overwrites = this.options.responsive, match = -1, settings = null; if (!overwrites) { settings = $.extend({}, this.options) } else {
            $.each(overwrites, function (breakpoint) { if (breakpoint <= viewport && breakpoint > match) { match = Number(breakpoint) } }); settings = $.extend({}, this.options, overwrites[match]); if (typeof settings.stagePadding === 'function') { settings.stagePadding = settings.stagePadding() }
            delete settings.responsive; if (settings.responsiveClass) { this.$element.attr('class', this.$element.attr('class').replace(new RegExp('(' + this.options.responsiveClass + '-)\\S+\\s', 'g'), '$1' + match)) }
        }
        this.trigger('change', { property: { name: 'settings', value: settings } }); this._breakpoint = match; this.settings = settings; this.invalidate('settings'); this.trigger('changed', { property: { name: 'settings', value: this.settings } })
    }; Owl.prototype.optionsLogic = function () { if (this.settings.autoWidth) { this.settings.stagePadding = !1; this.settings.merge = !1 } }; Owl.prototype.prepare = function (item) {
        var event = this.trigger('prepare', { content: item }); if (!event.data) { event.data = $('<' + this.settings.itemElement + '/>').addClass(this.options.itemClass).append(item) }
        this.trigger('prepared', { content: event.data }); return event.data
    }; Owl.prototype.update = function () {
        var i = 0, n = this._pipe.length, filter = $.proxy(function (p) { return this[p] }, this._invalidated), cache = {}; while (i < n) {
            if (this._invalidated.all || $.grep(this._pipe[i].filter, filter).length > 0) { this._pipe[i].run(cache) }
            i++
        }
        this._invalidated = {}; !this.is('valid') && this.enter('valid')
    }; Owl.prototype.width = function (dimension) { dimension = dimension || Owl.Width.Default; switch (dimension) { case Owl.Width.Inner: case Owl.Width.Outer: return this._width; default: return this._width - this.settings.stagePadding * 2 + this.settings.margin } }; Owl.prototype.refresh = function () { this.enter('refreshing'); this.trigger('refresh'); this.setup(); this.optionsLogic(); this.$element.addClass(this.options.refreshClass); this.update(); this.$element.removeClass(this.options.refreshClass); this.leave('refreshing'); this.trigger('refreshed') }; Owl.prototype.onThrottledResize = function () { window.clearTimeout(this.resizeTimer); this.resizeTimer = window.setTimeout(this._handlers.onResize, this.settings.responsiveRefreshRate) }; Owl.prototype.onResize = function () {
        if (!this._items.length) { return !1 }
        if (this._width === this.$element.width()) { return !1 }
        if (!this.isVisible()) { return !1 }
        this.enter('resizing'); if (this.trigger('resize').isDefaultPrevented()) { this.leave('resizing'); return !1 }
        this.invalidate('width'); this.refresh(); this.leave('resizing'); this.trigger('resized')
    }; Owl.prototype.registerEventHandlers = function () {
        if ($.support.transition) { this.$stage.on($.support.transition.end + '.owl.core', $.proxy(this.onTransitionEnd, this)) }
        if (this.settings.responsive !== !1) { this.on(window, 'resize', this._handlers.onThrottledResize) }
        if (this.settings.mouseDrag) { this.$element.addClass(this.options.dragClass); this.$stage.on('mousedown.owl.core', $.proxy(this.onDragStart, this)); this.$stage.on('dragstart.owl.core selectstart.owl.core', function () { return !1 }) }
        if (this.settings.touchDrag) { this.$stage.on('touchstart.owl.core', $.proxy(this.onDragStart, this)); this.$stage.on('touchcancel.owl.core', $.proxy(this.onDragEnd, this)) }
    }; Owl.prototype.onDragStart = function (event) {
        var stage = null; if (event.which === 3) { return }
        if ($.support.transform) { stage = this.$stage.css('transform').replace(/.*\(|\)| /g, '').split(','); stage = { x: stage[stage.length === 16 ? 12 : 4], y: stage[stage.length === 16 ? 13 : 5] } } else { stage = this.$stage.position(); stage = { x: this.settings.rtl ? stage.left + this.$stage.width() - this.width() + this.settings.margin : stage.left, y: stage.top } }
        if (this.is('animating')) {
            $.support.transform ? this.animate(stage.x) : this.$stage.stop()
            this.invalidate('position')
        }
        this.$element.toggleClass(this.options.grabClass, event.type === 'mousedown'); this.speed(0); this._drag.time = new Date().getTime(); this._drag.target = $(event.target); this._drag.stage.start = stage; this._drag.stage.current = stage; this._drag.pointer = this.pointer(event); $(document).on('mouseup.owl.core touchend.owl.core', $.proxy(this.onDragEnd, this)); $(document).one('mousemove.owl.core touchmove.owl.core', $.proxy(function (event) {
            var delta = this.difference(this._drag.pointer, this.pointer(event)); $(document).on('mousemove.owl.core touchmove.owl.core', $.proxy(this.onDragMove, this)); if (Math.abs(delta.x) < Math.abs(delta.y) && this.is('valid')) { return }
            event.preventDefault(); this.enter('dragging'); this.trigger('drag')
        }, this))
    }; Owl.prototype.onDragMove = function (event) {
        var minimum = null, maximum = null, pull = null, delta = this.difference(this._drag.pointer, this.pointer(event)), stage = this.difference(this._drag.stage.start, delta); if (!this.is('dragging')) { return }
        event.preventDefault(); if (this.settings.loop) { minimum = this.coordinates(this.minimum()); maximum = this.coordinates(this.maximum() + 1) - minimum; stage.x = (((stage.x - minimum) % maximum + maximum) % maximum) + minimum } else { minimum = this.settings.rtl ? this.coordinates(this.maximum()) : this.coordinates(this.minimum()); maximum = this.settings.rtl ? this.coordinates(this.minimum()) : this.coordinates(this.maximum()); pull = this.settings.pullDrag ? -1 * delta.x / 5 : 0; stage.x = Math.max(Math.min(stage.x, minimum + pull), maximum + pull) }
        this._drag.stage.current = stage; this.animate(stage.x)
    }; Owl.prototype.onDragEnd = function (event) {
        var delta = this.difference(this._drag.pointer, this.pointer(event)), stage = this._drag.stage.current, direction = delta.x > 0 ^ this.settings.rtl ? 'left' : 'right'; $(document).off('.owl.core'); this.$element.removeClass(this.options.grabClass); if (delta.x !== 0 && this.is('dragging') || !this.is('valid')) { this.speed(this.settings.dragEndSpeed || this.settings.smartSpeed); this.current(this.closest(stage.x, delta.x !== 0 ? direction : this._drag.direction)); this.invalidate('position'); this.update(); this._drag.direction = direction; if (Math.abs(delta.x) > 3 || new Date().getTime() - this._drag.time > 300) { this._drag.target.one('click.owl.core', function () { return !1 }) } }
        if (!this.is('dragging')) { return }
        this.leave('dragging'); this.trigger('dragged')
    }; Owl.prototype.closest = function (coordinate, direction) {
        var position = -1, pull = 30, width = this.width(), coordinates = this.coordinates(); if (!this.settings.freeDrag) {
            $.each(coordinates, $.proxy(function (index, value) {
                if (direction === 'left' && coordinate > value - pull && coordinate < value + pull) { position = index } else if (direction === 'right' && coordinate > value - width - pull && coordinate < value - width + pull) { position = index + 1 } else if (this.op(coordinate, '<', value) && this.op(coordinate, '>', coordinates[index + 1] !== undefined ? coordinates[index + 1] : value - width)) { position = direction === 'left' ? index + 1 : index }
                return position === -1
            }, this))
        }
        if (!this.settings.loop) { if (this.op(coordinate, '>', coordinates[this.minimum()])) { position = coordinate = this.minimum() } else if (this.op(coordinate, '<', coordinates[this.maximum()])) { position = coordinate = this.maximum() } }
        return position
    }; Owl.prototype.animate = function (coordinate) {
        var animate = this.speed() > 0; this.is('animating') && this.onTransitionEnd(); if (animate) { this.enter('animating'); this.trigger('translate') }
        if ($.support.transform3d && $.support.transition) { this.$stage.css({ transform: 'translate3d(' + coordinate + 'px,0px,0px)', transition: (this.speed() / 1000) + 's' + (this.settings.slideTransition ? ' ' + this.settings.slideTransition : '') }) } else if (animate) { this.$stage.animate({ left: coordinate + 'px' }, this.speed(), this.settings.fallbackEasing, $.proxy(this.onTransitionEnd, this)) } else { this.$stage.css({ left: coordinate + 'px' }) }
    }; Owl.prototype.is = function (state) { return this._states.current[state] && this._states.current[state] > 0 }; Owl.prototype.current = function (position) {
        if (position === undefined) { return this._current }
        if (this._items.length === 0) { return undefined }
        position = this.normalize(position); if (this._current !== position) {
            var event = this.trigger('change', { property: { name: 'position', value: position } }); if (event.data !== undefined) { position = this.normalize(event.data) }
            this._current = position; this.invalidate('position'); this.trigger('changed', { property: { name: 'position', value: this._current } })
        }
        return this._current
    }; Owl.prototype.invalidate = function (part) {
        if ($.type(part) === 'string') { this._invalidated[part] = !0; this.is('valid') && this.leave('valid') }
        return $.map(this._invalidated, function (v, i) { return i })
    }; Owl.prototype.reset = function (position) {
        position = this.normalize(position); if (position === undefined) { return }
        this._speed = 0; this._current = position; this.suppress(['translate', 'translated']); this.animate(this.coordinates(position)); this.release(['translate', 'translated'])
    }; Owl.prototype.normalize = function (position, relative) {
        var n = this._items.length, m = relative ? 0 : this._clones.length; if (!this.isNumeric(position) || n < 1) { position = undefined } else if (position < 0 || position >= n + m) { position = ((position - m / 2) % n + n) % n + m / 2 }
        return position
    }; Owl.prototype.relative = function (position) { position -= this._clones.length / 2; return this.normalize(position, !0) }; Owl.prototype.maximum = function (relative) {
        var settings = this.settings, maximum = this._coordinates.length, iterator, reciprocalItemsWidth, elementWidth; if (settings.loop) { maximum = this._clones.length / 2 + this._items.length - 1 } else if (settings.autoWidth || settings.merge) {
            iterator = this._items.length; if (iterator) { reciprocalItemsWidth = this._items[--iterator].width(); elementWidth = this.$element.width(); while (iterator--) { reciprocalItemsWidth += this._items[iterator].width() + this.settings.margin; if (reciprocalItemsWidth > elementWidth) { break } } }
            maximum = iterator + 1
        } else if (settings.center) { maximum = this._items.length - 1 } else { maximum = this._items.length - settings.items }
        if (relative) { maximum -= this._clones.length / 2 }
        return Math.max(maximum, 0)
    }; Owl.prototype.minimum = function (relative) { return relative ? 0 : this._clones.length / 2 }; Owl.prototype.items = function (position) {
        if (position === undefined) { return this._items.slice() }
        position = this.normalize(position, !0); return this._items[position]
    }; Owl.prototype.mergers = function (position) {
        if (position === undefined) { return this._mergers.slice() }
        position = this.normalize(position, !0); return this._mergers[position]
    }; Owl.prototype.clones = function (position) {
        var odd = this._clones.length / 2, even = odd + this._items.length, map = function (index) { return index % 2 === 0 ? even + index / 2 : odd - (index + 1) / 2 }; if (position === undefined) { return $.map(this._clones, function (v, i) { return map(i) }) }
        return $.map(this._clones, function (v, i) { return v === position ? map(i) : null })
    }; Owl.prototype.speed = function (speed) {
        if (speed !== undefined) { this._speed = speed }
        return this._speed
    }; Owl.prototype.coordinates = function (position) {
        var multiplier = 1, newPosition = position - 1, coordinate; if (position === undefined) { return $.map(this._coordinates, $.proxy(function (coordinate, index) { return this.coordinates(index) }, this)) }
        if (this.settings.center) {
            if (this.settings.rtl) { multiplier = -1; newPosition = position + 1 }
            coordinate = this._coordinates[position]; coordinate += (this.width() - coordinate + (this._coordinates[newPosition] || 0)) / 2 * multiplier
        } else { coordinate = this._coordinates[newPosition] || 0 }
        coordinate = Math.ceil(coordinate); return coordinate
    }; Owl.prototype.duration = function (from, to, factor) {
        if (factor === 0) { return 0 }
        return Math.min(Math.max(Math.abs(to - from), 1), 6) * Math.abs((factor || this.settings.smartSpeed))
    }; Owl.prototype.to = function (position, speed) {
        var current = this.current(), revert = null, distance = position - this.relative(current), direction = (distance > 0) - (distance < 0), items = this._items.length, minimum = this.minimum(), maximum = this.maximum(); if (this.settings.loop) {
            if (!this.settings.rewind && Math.abs(distance) > items / 2) { distance += direction * -1 * items }
            position = current + distance; revert = ((position - minimum) % items + items) % items + minimum; if (revert !== position && revert - distance <= maximum && revert - distance > 0) { current = revert - distance; position = revert; this.reset(current) }
        } else if (this.settings.rewind) { maximum += 1; position = (position % maximum + maximum) % maximum } else { position = Math.max(minimum, Math.min(maximum, position)) }
        this.speed(this.duration(current, position, speed)); this.current(position); if (this.isVisible()) { this.update() }
    }; Owl.prototype.next = function (speed) { speed = speed || !1; this.to(this.relative(this.current()) + 1, speed) }; Owl.prototype.prev = function (speed) { speed = speed || !1; this.to(this.relative(this.current()) - 1, speed) }; Owl.prototype.onTransitionEnd = function (event) {
        if (event !== undefined) { event.stopPropagation(); if ((event.target || event.srcElement || event.originalTarget) !== this.$stage.get(0)) { return !1 } }
        this.leave('animating'); this.trigger('translated')
    }; Owl.prototype.viewport = function () {
        var width; if (this.options.responsiveBaseElement !== window) { width = $(this.options.responsiveBaseElement).width() } else if (window.innerWidth) { width = window.innerWidth } else if (document.documentElement && document.documentElement.clientWidth) { width = document.documentElement.clientWidth } else { console.warn('Can not detect viewport width.') }
        return width
    }; Owl.prototype.replace = function (content) {
        this.$stage.empty(); this._items = []; if (content) { content = (content instanceof jQuery) ? content : $(content) }
        if (this.settings.nestedItemSelector) { content = content.find('.' + this.settings.nestedItemSelector) }
        content.filter(function () { return this.nodeType === 1 }).each($.proxy(function (index, item) { item = this.prepare(item); this.$stage.append(item); this._items.push(item); this._mergers.push(item.find('[data-merge]').addBack('[data-merge]').attr('data-merge') * 1 || 1) }, this)); this.reset(this.isNumeric(this.settings.startPosition) ? this.settings.startPosition : 0); this.invalidate('items')
    }; Owl.prototype.add = function (content, position) {
        var current = this.relative(this._current); position = position === undefined ? this._items.length : this.normalize(position, !0); content = content instanceof jQuery ? content : $(content); this.trigger('add', { content: content, position: position }); content = this.prepare(content); if (this._items.length === 0 || position === this._items.length) { this._items.length === 0 && this.$stage.append(content); this._items.length !== 0 && this._items[position - 1].after(content); this._items.push(content); this._mergers.push(content.find('[data-merge]').addBack('[data-merge]').attr('data-merge') * 1 || 1) } else { this._items[position].before(content); this._items.splice(position, 0, content); this._mergers.splice(position, 0, content.find('[data-merge]').addBack('[data-merge]').attr('data-merge') * 1 || 1) }
        this._items[current] && this.reset(this._items[current].index()); this.invalidate('items'); this.trigger('added', { content: content, position: position })
    }; Owl.prototype.remove = function (position) {
        position = this.normalize(position, !0); if (position === undefined) { return }
        this.trigger('remove', { content: this._items[position], position: position }); this._items[position].remove(); this._items.splice(position, 1); this._mergers.splice(position, 1); this.invalidate('items'); this.trigger('removed', { content: null, position: position })
    }; Owl.prototype.preloadAutoWidthImages = function (images) { images.each($.proxy(function (i, element) { this.enter('pre-loading'); element = $(element); $(new Image()).one('load', $.proxy(function (e) { element.attr('src', e.target.src); element.css('opacity', 1); this.leave('pre-loading'); !this.is('pre-loading') && !this.is('initializing') && this.refresh() }, this)).attr('src', element.attr('src') || element.attr('data-src') || element.attr('data-src-retina')) }, this)) }; Owl.prototype.destroy = function () {
        this.$element.off('.owl.core'); this.$stage.off('.owl.core'); $(document).off('.owl.core'); if (this.settings.responsive !== !1) { window.clearTimeout(this.resizeTimer); this.off(window, 'resize', this._handlers.onThrottledResize) }
        for (var i in this._plugins) { this._plugins[i].destroy() }
        this.$stage.children('.cloned').remove(); this.$stage.unwrap(); this.$stage.children().contents().unwrap(); this.$stage.children().unwrap(); this.$stage.remove(); this.$element.removeClass(this.options.refreshClass).removeClass(this.options.loadingClass).removeClass(this.options.loadedClass).removeClass(this.options.rtlClass).removeClass(this.options.dragClass).removeClass(this.options.grabClass).attr('class', this.$element.attr('class').replace(new RegExp(this.options.responsiveClass + '-\\S+\\s', 'g'), '')).removeData('owl.carousel')
    }; Owl.prototype.op = function (a, o, b) { var rtl = this.settings.rtl; switch (o) { case '<': return rtl ? a > b : a < b; case '>': return rtl ? a < b : a > b; case '>=': return rtl ? a <= b : a >= b; case '<=': return rtl ? a >= b : a <= b; default: break } }; Owl.prototype.on = function (element, event, listener, capture) { if (element.addEventListener) { element.addEventListener(event, listener, capture) } else if (element.attachEvent) { element.attachEvent('on' + event, listener) } }; Owl.prototype.off = function (element, event, listener, capture) { if (element.removeEventListener) { element.removeEventListener(event, listener, capture) } else if (element.detachEvent) { element.detachEvent('on' + event, listener) } }; Owl.prototype.trigger = function (name, data, namespace, state, enter) {
        var status = { item: { count: this._items.length, index: this.current() } }, handler = $.camelCase($.grep(['on', name, namespace], function (v) { return v }).join('-').toLowerCase()), event = $.Event([name, 'owl', namespace || 'carousel'].join('.').toLowerCase(), $.extend({ relatedTarget: this }, status, data)); if (!this._supress[name]) { $.each(this._plugins, function (name, plugin) { if (plugin.onTrigger) { plugin.onTrigger(event) } }); this.register({ type: Owl.Type.Event, name: name }); this.$element.trigger(event); if (this.settings && typeof this.settings[handler] === 'function') { this.settings[handler].call(this, event) } }
        return event
    }; Owl.prototype.enter = function (name) {
        $.each([name].concat(this._states.tags[name] || []), $.proxy(function (i, name) {
            if (this._states.current[name] === undefined) { this._states.current[name] = 0 }
            this._states.current[name]++
        }, this))
    }; Owl.prototype.leave = function (name) { $.each([name].concat(this._states.tags[name] || []), $.proxy(function (i, name) { this._states.current[name]-- }, this)) }; Owl.prototype.register = function (object) {
        if (object.type === Owl.Type.Event) {
            if (!$.event.special[object.name]) { $.event.special[object.name] = {} }
            if (!$.event.special[object.name].owl) {
                var _default = $.event.special[object.name]._default; $.event.special[object.name]._default = function (e) {
                    if (_default && _default.apply && (!e.namespace || e.namespace.indexOf('owl') === -1)) { return _default.apply(this, arguments) }
                    return e.namespace && e.namespace.indexOf('owl') > -1
                }; $.event.special[object.name].owl = !0
            }
        } else if (object.type === Owl.Type.State) {
            if (!this._states.tags[object.name]) { this._states.tags[object.name] = object.tags } else { this._states.tags[object.name] = this._states.tags[object.name].concat(object.tags) }
            this._states.tags[object.name] = $.grep(this._states.tags[object.name], $.proxy(function (tag, i) { return $.inArray(tag, this._states.tags[object.name]) === i }, this))
        }
    }; Owl.prototype.suppress = function (events) { $.each(events, $.proxy(function (index, event) { this._supress[event] = !0 }, this)) }; Owl.prototype.release = function (events) { $.each(events, $.proxy(function (index, event) { delete this._supress[event] }, this)) }; Owl.prototype.pointer = function (event) {
        var result = { x: null, y: null }; event = event.originalEvent || event || window.event; event = event.touches && event.touches.length ? event.touches[0] : event.changedTouches && event.changedTouches.length ? event.changedTouches[0] : event; if (event.pageX) { result.x = event.pageX; result.y = event.pageY } else { result.x = event.clientX; result.y = event.clientY }
        return result
    }; Owl.prototype.isNumeric = function (number) { return !isNaN(parseFloat(number)) }; Owl.prototype.difference = function (first, second) { return { x: first.x - second.x, y: first.y - second.y } }; $.fn.owlCarousel = function (option) {
        var args = Array.prototype.slice.call(arguments, 1); return this.each(function () {
            var $this = $(this), data = $this.data('owl.carousel'); if (!data) { data = new Owl(this, typeof option == 'object' && option); $this.data('owl.carousel', data); $.each(['next', 'prev', 'to', 'destroy', 'refresh', 'replace', 'add', 'remove'], function (i, event) { data.register({ type: Owl.Type.Event, name: event }); data.$element.on(event + '.owl.carousel.core', $.proxy(function (e) { if (e.namespace && e.relatedTarget !== this) { this.suppress([event]); data[event].apply(this, [].slice.call(arguments, 1)); this.release([event]) } }, data)) }) }
            if (typeof option == 'string' && option.charAt(0) !== '_') { data[option].apply(data, args) }
        })
    }; $.fn.owlCarousel.Constructor = Owl
})(window.Zepto || window.jQuery, window, document); (function ($, window, document, undefined) {
    var AutoRefresh = function (carousel) { this._core = carousel; this._interval = null; this._visible = null; this._handlers = { 'initialized.owl.carousel': $.proxy(function (e) { if (e.namespace && this._core.settings.autoRefresh) { this.watch() } }, this) }; this._core.options = $.extend({}, AutoRefresh.Defaults, this._core.options); this._core.$element.on(this._handlers) }; AutoRefresh.Defaults = { autoRefresh: !0, autoRefreshInterval: 500 }; AutoRefresh.prototype.watch = function () {
        if (this._interval) { return }
        this._visible = this._core.isVisible(); this._interval = window.setInterval($.proxy(this.refresh, this), this._core.settings.autoRefreshInterval)
    }; AutoRefresh.prototype.refresh = function () {
        if (this._core.isVisible() === this._visible) { return }
        this._visible = !this._visible; this._core.$element.toggleClass('owl-hidden', !this._visible); this._visible && (this._core.invalidate('width') && this._core.refresh())
    }; AutoRefresh.prototype.destroy = function () {
        var handler, property; window.clearInterval(this._interval); for (handler in this._handlers) { this._core.$element.off(handler, this._handlers[handler]) }
        for (property in Object.getOwnPropertyNames(this)) { typeof this[property] != 'function' && (this[property] = null) }
    }; $.fn.owlCarousel.Constructor.Plugins.AutoRefresh = AutoRefresh
})(window.Zepto || window.jQuery, window, document); (function ($, window, document, undefined) {
    var Lazy = function (carousel) {
        this._core = carousel; this._loaded = []; this._handlers = {
            'initialized.owl.carousel change.owl.carousel resized.owl.carousel': $.proxy(function (e) {
                if (!e.namespace) { return }
                if (!this._core.settings || !this._core.settings.lazyLoad) { return }
                if ((e.property && e.property.name == 'position') || e.type == 'initialized') {
                    var settings = this._core.settings, n = (settings.center && Math.ceil(settings.items / 2) || settings.items), i = ((settings.center && n * -1) || 0), position = (e.property && e.property.value !== undefined ? e.property.value : this._core.current()) + i, clones = this._core.clones().length, load = $.proxy(function (i, v) { this.load(v) }, this); if (settings.lazyLoadEager > 0) { n += settings.lazyLoadEager; if (settings.loop) { position -= settings.lazyLoadEager; n++ } }
                    while (i++ < n) { this.load(clones / 2 + this._core.relative(position)); clones && $.each(this._core.clones(this._core.relative(position)), load); position++ }
                }
            }, this)
        }; this._core.options = $.extend({}, Lazy.Defaults, this._core.options); this._core.$element.on(this._handlers)
    }; Lazy.Defaults = { lazyLoad: !1, lazyLoadEager: 0 }; Lazy.prototype.load = function (position) {
        var $item = this._core.$stage.children().eq(position), $elements = $item && $item.find('.owl-lazy'); if (!$elements || $.inArray($item.get(0), this._loaded) > -1) { return }
        $elements.each($.proxy(function (index, element) { var $element = $(element), image, url = (window.devicePixelRatio > 1 && $element.attr('data-src-retina')) || $element.attr('data-src') || $element.attr('data-srcset'); this._core.trigger('load', { element: $element, url: url }, 'lazy'); if ($element.is('img')) { $element.one('load.owl.lazy', $.proxy(function () { $element.css('opacity', 1); this._core.trigger('loaded', { element: $element, url: url }, 'lazy') }, this)).attr('src', url) } else if ($element.is('source')) { $element.one('load.owl.lazy', $.proxy(function () { this._core.trigger('loaded', { element: $element, url: url }, 'lazy') }, this)).attr('srcset', url) } else { image = new Image(); image.onload = $.proxy(function () { $element.css({ 'background-image': 'url("' + url + '")', 'opacity': '1' }); this._core.trigger('loaded', { element: $element, url: url }, 'lazy') }, this); image.src = url } }, this)); this._loaded.push($item.get(0))
    }; Lazy.prototype.destroy = function () {
        var handler, property; for (handler in this.handlers) { this._core.$element.off(handler, this.handlers[handler]) }
        for (property in Object.getOwnPropertyNames(this)) { typeof this[property] != 'function' && (this[property] = null) }
    }; $.fn.owlCarousel.Constructor.Plugins.Lazy = Lazy
})(window.Zepto || window.jQuery, window, document); (function ($, window, document, undefined) {
    var AutoHeight = function (carousel) {
        this._core = carousel; this._previousHeight = null; this._handlers = { 'initialized.owl.carousel refreshed.owl.carousel': $.proxy(function (e) { if (e.namespace && this._core.settings.autoHeight) { this.update() } }, this), 'changed.owl.carousel': $.proxy(function (e) { if (e.namespace && this._core.settings.autoHeight && e.property.name === 'position') { this.update() } }, this), 'loaded.owl.lazy': $.proxy(function (e) { if (e.namespace && this._core.settings.autoHeight && e.element.closest('.' + this._core.settings.itemClass).index() === this._core.current()) { this.update() } }, this) }; this._core.options = $.extend({}, AutoHeight.Defaults, this._core.options); this._core.$element.on(this._handlers); this._intervalId = null; var refThis = this; $(window).on('load', function () { if (refThis._core.settings.autoHeight) { refThis.update() } }); $(window).resize(function () {
            if (refThis._core.settings.autoHeight) {
                if (refThis._intervalId != null) { clearTimeout(refThis._intervalId) }
                refThis._intervalId = setTimeout(function () { refThis.update() }, 250)
            }
        })
    }; AutoHeight.Defaults = { autoHeight: !1, autoHeightClass: 'owl-height' }; AutoHeight.prototype.update = function () {
        var start = this._core._current, end = start + this._core.settings.items, lazyLoadEnabled = this._core.settings.lazyLoad, visible = this._core.$stage.children().toArray().slice(start, end), heights = [], maxheight = 0; $.each(visible, function (index, item) { heights.push($(item).height()) }); maxheight = Math.max.apply(null, heights); if (maxheight <= 1 && lazyLoadEnabled && this._previousHeight) { maxheight = this._previousHeight }
        this._previousHeight = maxheight; this._core.$stage.parent().height(maxheight).addClass(this._core.settings.autoHeightClass)
    }; AutoHeight.prototype.destroy = function () {
        var handler, property; for (handler in this._handlers) { this._core.$element.off(handler, this._handlers[handler]) }
        for (property in Object.getOwnPropertyNames(this)) { typeof this[property] !== 'function' && (this[property] = null) }
    }; $.fn.owlCarousel.Constructor.Plugins.AutoHeight = AutoHeight
})(window.Zepto || window.jQuery, window, document); (function ($, window, document, undefined) {
    var Video = function (carousel) {
        this._core = carousel; this._videos = {}; this._playing = null; this._handlers = {
            'initialized.owl.carousel': $.proxy(function (e) { if (e.namespace) { this._core.register({ type: 'state', name: 'playing', tags: ['interacting'] }) } }, this), 'resize.owl.carousel': $.proxy(function (e) { if (e.namespace && this._core.settings.video && this.isInFullScreen()) { e.preventDefault() } }, this), 'refreshed.owl.carousel': $.proxy(function (e) { if (e.namespace && this._core.is('resizing')) { this._core.$stage.find('.cloned .owl-video-frame').remove() } }, this), 'changed.owl.carousel': $.proxy(function (e) { if (e.namespace && e.property.name === 'position' && this._playing) { this.stop() } }, this), 'prepared.owl.carousel': $.proxy(function (e) {
                if (!e.namespace) { return }
                var $element = $(e.content).find('.owl-video'); if ($element.length) { $element.css('display', 'none'); this.fetch($element, $(e.content)) }
            }, this)
        }; this._core.options = $.extend({}, Video.Defaults, this._core.options); this._core.$element.on(this._handlers); this._core.$element.on('click.owl.video', '.owl-video-play-icon', $.proxy(function (e) { this.play(e) }, this))
    }; Video.Defaults = { video: !1, videoHeight: !1, videoWidth: !1 }; Video.prototype.fetch = function (target, item) {
        var type = (function () { if (target.attr('data-vimeo-id')) { return 'vimeo' } else if (target.attr('data-vzaar-id')) { return 'vzaar' } else { return 'youtube' } })(), id = target.attr('data-vimeo-id') || target.attr('data-youtube-id') || target.attr('data-vzaar-id'), width = target.attr('data-width') || this._core.settings.videoWidth, height = target.attr('data-height') || this._core.settings.videoHeight, url = target.attr('href'); if (url) {
            id = url.match(/(http:|https:|)\/\/(player.|www.|app.)?(vimeo\.com|youtu(be\.com|\.be|be\.googleapis\.com|be\-nocookie\.com)|vzaar\.com)\/(video\/|videos\/|embed\/|channels\/.+\/|groups\/.+\/|watch\?v=|v\/)?([A-Za-z0-9._%-]*)(\&\S+)?/); if (id[3].indexOf('youtu') > -1) { type = 'youtube' } else if (id[3].indexOf('vimeo') > -1) { type = 'vimeo' } else if (id[3].indexOf('vzaar') > -1) { type = 'vzaar' } else { throw new Error('Video URL not supported.') }
            id = id[6]
        } else { throw new Error('Missing video URL.') }
        this._videos[url] = { type: type, id: id, width: width, height: height }; item.attr('data-video', url); this.thumbnail(target, this._videos[url])
    }; Video.prototype.thumbnail = function (target, video) {
        var tnLink, icon, path, dimensions = video.width && video.height ? 'width:' + video.width + 'px;height:' + video.height + 'px;' : '', customTn = target.find('img'), srcType = 'src', lazyClass = '', settings = this._core.settings, create = function (path) {
            icon = '<div class="owl-video-play-icon"></div>'; if (settings.lazyLoad) { tnLink = $('<div/>', { "class": 'owl-video-tn ' + lazyClass, "srcType": path }) } else { tnLink = $('<div/>', { "class": "owl-video-tn", "style": 'opacity:1;background-image:url(' + path + ')' }) }
            target.after(tnLink); target.after(icon)
        }; target.wrap($('<div/>', { "class": "owl-video-wrapper", "style": dimensions })); if (this._core.settings.lazyLoad) { srcType = 'data-src'; lazyClass = 'owl-lazy' }
        if (customTn.length) { create(customTn.attr(srcType)); customTn.remove(); return !1 }
        if (video.type === 'youtube') { path = "//img.youtube.com/vi/" + video.id + "/hqdefault.jpg"; create(path) } else if (video.type === 'vimeo') { $.ajax({ type: 'GET', url: '//vimeo.com/api/v2/video/' + video.id + '.json', jsonp: 'callback', dataType: 'jsonp', success: function (data) { path = data[0].thumbnail_large; create(path) } }) } else if (video.type === 'vzaar') { $.ajax({ type: 'GET', url: '//vzaar.com/api/videos/' + video.id + '.json', jsonp: 'callback', dataType: 'jsonp', success: function (data) { path = data.framegrab_url; create(path) } }) }
    }; Video.prototype.stop = function () { this._core.trigger('stop', null, 'video'); this._playing.find('.owl-video-frame').remove(); this._playing.removeClass('owl-video-playing'); this._playing = null; this._core.leave('playing'); this._core.trigger('stopped', null, 'video') }; Video.prototype.play = function (event) {
        var target = $(event.target), item = target.closest('.' + this._core.settings.itemClass), video = this._videos[item.attr('data-video')], width = video.width || '100%', height = video.height || this._core.$stage.height(), html, iframe; if (this._playing) { return }
        this._core.enter('playing'); this._core.trigger('play', null, 'video'); item = this._core.items(this._core.relative(item.index())); this._core.reset(item.index()); html = $('<iframe frameborder="0" allowfullscreen mozallowfullscreen webkitAllowFullScreen ></iframe>'); html.attr('height', height); html.attr('width', width); if (video.type === 'youtube') { html.attr('src', '//www.youtube.com/embed/' + video.id + '?autoplay=1&rel=0&v=' + video.id) } else if (video.type === 'vimeo') { html.attr('src', '//player.vimeo.com/video/' + video.id + '?autoplay=1') } else if (video.type === 'vzaar') { html.attr('src', '//view.vzaar.com/' + video.id + '/player?autoplay=true') }
        iframe = $(html).wrap('<div class="owl-video-frame" />').insertAfter(item.find('.owl-video')); this._playing = item.addClass('owl-video-playing')
    }; Video.prototype.isInFullScreen = function () { var element = document.fullscreenElement || document.mozFullScreenElement || document.webkitFullscreenElement; return element && $(element).parent().hasClass('owl-video-frame') }; Video.prototype.destroy = function () {
        var handler, property; this._core.$element.off('click.owl.video'); for (handler in this._handlers) { this._core.$element.off(handler, this._handlers[handler]) }
        for (property in Object.getOwnPropertyNames(this)) { typeof this[property] != 'function' && (this[property] = null) }
    }; $.fn.owlCarousel.Constructor.Plugins.Video = Video
})(window.Zepto || window.jQuery, window, document); (function ($, window, document, undefined) {
    var Animate = function (scope) { this.core = scope; this.core.options = $.extend({}, Animate.Defaults, this.core.options); this.swapping = !0; this.previous = undefined; this.next = undefined; this.handlers = { 'change.owl.carousel': $.proxy(function (e) { if (e.namespace && e.property.name == 'position') { this.previous = this.core.current(); this.next = e.property.value } }, this), 'drag.owl.carousel dragged.owl.carousel translated.owl.carousel': $.proxy(function (e) { if (e.namespace) { this.swapping = e.type == 'translated' } }, this), 'translate.owl.carousel': $.proxy(function (e) { if (e.namespace && this.swapping && (this.core.options.animateOut || this.core.options.animateIn)) { this.swap() } }, this) }; this.core.$element.on(this.handlers) }; Animate.Defaults = { animateOut: !1, animateIn: !1 }; Animate.prototype.swap = function () {
        if (this.core.settings.items !== 1) { return }
        if (!$.support.animation || !$.support.transition) { return }
        this.core.speed(0); var left, clear = $.proxy(this.clear, this), previous = this.core.$stage.children().eq(this.previous), next = this.core.$stage.children().eq(this.next), incoming = this.core.settings.animateIn, outgoing = this.core.settings.animateOut; if (this.core.current() === this.previous) { return }
        if (outgoing) { left = this.core.coordinates(this.previous) - this.core.coordinates(this.next); previous.one($.support.animation.end, clear).css({ 'left': left + 'px' }).addClass('animated owl-animated-out').addClass(outgoing) }
        if (incoming) { next.one($.support.animation.end, clear).addClass('animated owl-animated-in').addClass(incoming) }
    }; Animate.prototype.clear = function (e) { $(e.target).css({ 'left': '' }).removeClass('animated owl-animated-out owl-animated-in').removeClass(this.core.settings.animateIn).removeClass(this.core.settings.animateOut); this.core.onTransitionEnd() }; Animate.prototype.destroy = function () {
        var handler, property; for (handler in this.handlers) { this.core.$element.off(handler, this.handlers[handler]) }
        for (property in Object.getOwnPropertyNames(this)) { typeof this[property] != 'function' && (this[property] = null) }
    }; $.fn.owlCarousel.Constructor.Plugins.Animate = Animate
})(window.Zepto || window.jQuery, window, document); (function ($, window, document, undefined) {
    var Autoplay = function (carousel) { this._core = carousel; this._call = null; this._time = 0; this._timeout = 0; this._paused = !0; this._handlers = { 'changed.owl.carousel': $.proxy(function (e) { if (e.namespace && e.property.name === 'settings') { if (this._core.settings.autoplay) { this.play() } else { this.stop() } } else if (e.namespace && e.property.name === 'position' && this._paused) { this._time = 0 } }, this), 'initialized.owl.carousel': $.proxy(function (e) { if (e.namespace && this._core.settings.autoplay) { this.play() } }, this), 'play.owl.autoplay': $.proxy(function (e, t, s) { if (e.namespace) { this.play(t, s) } }, this), 'stop.owl.autoplay': $.proxy(function (e) { if (e.namespace) { this.stop() } }, this), 'mouseover.owl.autoplay': $.proxy(function () { if (this._core.settings.autoplayHoverPause && this._core.is('rotating')) { this.pause() } }, this), 'mouseleave.owl.autoplay': $.proxy(function () { if (this._core.settings.autoplayHoverPause && this._core.is('rotating')) { this.play() } }, this), 'touchstart.owl.core': $.proxy(function () { if (this._core.settings.autoplayHoverPause && this._core.is('rotating')) { this.pause() } }, this), 'touchend.owl.core': $.proxy(function () { if (this._core.settings.autoplayHoverPause) { this.play() } }, this) }; this._core.$element.on(this._handlers); this._core.options = $.extend({}, Autoplay.Defaults, this._core.options) }; Autoplay.Defaults = { autoplay: !1, autoplayTimeout: 5000, autoplayHoverPause: !1, autoplaySpeed: !1 }; Autoplay.prototype._next = function (speed) {
        this._call = window.setTimeout($.proxy(this._next, this, speed), this._timeout * (Math.round(this.read() / this._timeout) + 1) - this.read()); if (this._core.is('interacting') || document.hidden) { return }
        this._core.next(speed || this._core.settings.autoplaySpeed)
    }
    Autoplay.prototype.read = function () { return new Date().getTime() - this._time }; Autoplay.prototype.play = function (timeout, speed) {
        var elapsed; if (!this._core.is('rotating')) { this._core.enter('rotating') }
        timeout = timeout || this._core.settings.autoplayTimeout; elapsed = Math.min(this._time % (this._timeout || timeout), timeout); if (this._paused) { this._time = this.read(); this._paused = !1 } else { window.clearTimeout(this._call) }
        this._time += this.read() % timeout - elapsed; this._timeout = timeout; this._call = window.setTimeout($.proxy(this._next, this, speed), timeout - elapsed)
    }; Autoplay.prototype.stop = function () { if (this._core.is('rotating')) { this._time = 0; this._paused = !0; window.clearTimeout(this._call); this._core.leave('rotating') } }; Autoplay.prototype.pause = function () { if (this._core.is('rotating') && !this._paused) { this._time = this.read(); this._paused = !0; window.clearTimeout(this._call) } }; Autoplay.prototype.destroy = function () {
        var handler, property; this.stop(); for (handler in this._handlers) { this._core.$element.off(handler, this._handlers[handler]) }
        for (property in Object.getOwnPropertyNames(this)) { typeof this[property] != 'function' && (this[property] = null) }
    }; $.fn.owlCarousel.Constructor.Plugins.autoplay = Autoplay
})(window.Zepto || window.jQuery, window, document); (function ($, window, document, undefined) {
    'use strict'; var Navigation = function (carousel) { this._core = carousel; this._initialized = !1; this._pages = []; this._controls = {}; this._templates = []; this.$element = this._core.$element; this._overrides = { next: this._core.next, prev: this._core.prev, to: this._core.to }; this._handlers = { 'prepared.owl.carousel': $.proxy(function (e) { if (e.namespace && this._core.settings.dotsData) { this._templates.push('<div class="' + this._core.settings.dotClass + '">' + $(e.content).find('[data-dot]').addBack('[data-dot]').attr('data-dot') + '</div>') } }, this), 'added.owl.carousel': $.proxy(function (e) { if (e.namespace && this._core.settings.dotsData) { this._templates.splice(e.position, 0, this._templates.pop()) } }, this), 'remove.owl.carousel': $.proxy(function (e) { if (e.namespace && this._core.settings.dotsData) { this._templates.splice(e.position, 1) } }, this), 'changed.owl.carousel': $.proxy(function (e) { if (e.namespace && e.property.name == 'position') { this.draw() } }, this), 'initialized.owl.carousel': $.proxy(function (e) { if (e.namespace && !this._initialized) { this._core.trigger('initialize', null, 'navigation'); this.initialize(); this.update(); this.draw(); this._initialized = !0; this._core.trigger('initialized', null, 'navigation') } }, this), 'refreshed.owl.carousel': $.proxy(function (e) { if (e.namespace && this._initialized) { this._core.trigger('refresh', null, 'navigation'); this.update(); this.draw(); this._core.trigger('refreshed', null, 'navigation') } }, this) }; this._core.options = $.extend({}, Navigation.Defaults, this._core.options); this.$element.on(this._handlers) }; Navigation.Defaults = { nav: !1, navText: ['<span aria-label="' + 'Previous' + '">‹</span>', '<span aria-label="' + 'Next' + '">›</span>'], navSpeed: !1, navElement: 'button type="button" role="presentation"', navContainer: !1, navContainerClass: 'owl-nav', navClass: ['owl-prev', 'owl-next'], slideBy: 1, dotClass: 'owl-dot', dotsClass: 'owl-dots', dots: !0, dotsEach: !1, dotsData: !1, dotsSpeed: !1, dotsContainer: !1 }; Navigation.prototype.initialize = function () {
        var override, settings = this._core.settings; this._controls.$relative = (settings.navContainer ? $(settings.navContainer) : $('<div>').addClass(settings.navContainerClass).appendTo(this.$element)).addClass('disabled'); this._controls.$previous = $('<' + settings.navElement + '>').addClass(settings.navClass[0]).html(settings.navText[0]).prependTo(this._controls.$relative).on('click', $.proxy(function (e) { this.prev(settings.navSpeed) }, this)); this._controls.$next = $('<' + settings.navElement + '>').addClass(settings.navClass[1]).html(settings.navText[1]).appendTo(this._controls.$relative).on('click', $.proxy(function (e) { this.next(settings.navSpeed) }, this)); if (!settings.dotsData) { this._templates = [$('<button role="button">').addClass(settings.dotClass).append($('<span>')).prop('outerHTML')] }
        this._controls.$absolute = (settings.dotsContainer ? $(settings.dotsContainer) : $('<div>').addClass(settings.dotsClass).appendTo(this.$element)).addClass('disabled'); this._controls.$absolute.on('click', 'button', $.proxy(function (e) { var index = $(e.target).parent().is(this._controls.$absolute) ? $(e.target).index() : $(e.target).parent().index(); e.preventDefault(); this.to(index, settings.dotsSpeed) }, this)); for (override in this._overrides) { this._core[override] = $.proxy(this[override], this) }
    }; Navigation.prototype.destroy = function () {
        var handler, control, property, override, settings; settings = this._core.settings; for (handler in this._handlers) { this.$element.off(handler, this._handlers[handler]) }
        for (control in this._controls) { if (control === '$relative' && settings.navContainer) { this._controls[control].html('') } else { this._controls[control].remove() } }
        for (override in this.overides) { this._core[override] = this._overrides[override] }
        for (property in Object.getOwnPropertyNames(this)) { typeof this[property] != 'function' && (this[property] = null) }
    }; Navigation.prototype.update = function () {
        var i, j, k, lower = this._core.clones().length / 2, upper = lower + this._core.items().length, maximum = this._core.maximum(!0), settings = this._core.settings, size = settings.center || settings.autoWidth || settings.dotsData ? 1 : settings.dotsEach || settings.items; if (settings.slideBy !== 'page') { settings.slideBy = Math.min(settings.slideBy, settings.items) }
        if (settings.dots || settings.slideBy == 'page') {
            this._pages = []; for (i = lower, j = 0, k = 0; i < upper; i++) {
                if (j >= size || j === 0) {
                    this._pages.push({ start: Math.min(maximum, i - lower), end: i - lower + size - 1 }); if (Math.min(maximum, i - lower) === maximum) { break }
                    j = 0, ++k
                }
                j += this._core.mergers(this._core.relative(i))
            }
        }
    }; Navigation.prototype.draw = function () {
        var difference, settings = this._core.settings, disabled = this._core.items().length <= settings.items, index = this._core.relative(this._core.current()), loop = settings.loop || settings.rewind; this._controls.$relative.toggleClass('disabled', !settings.nav || disabled); if (settings.nav) { this._controls.$previous.toggleClass('disabled', !loop && index <= this._core.minimum(!0)); this._controls.$next.toggleClass('disabled', !loop && index >= this._core.maximum(!0)) }
        this._controls.$absolute.toggleClass('disabled', !settings.dots || disabled); if (settings.dots) {
            difference = this._pages.length - this._controls.$absolute.children().length; if (settings.dotsData && difference !== 0) { this._controls.$absolute.html(this._templates.join('')) } else if (difference > 0) { this._controls.$absolute.append(new Array(difference + 1).join(this._templates[0])) } else if (difference < 0) { this._controls.$absolute.children().slice(difference).remove() }
            this._controls.$absolute.find('.active').removeClass('active'); this._controls.$absolute.children().eq($.inArray(this.current(), this._pages)).addClass('active')
        }
    }; Navigation.prototype.onTrigger = function (event) { var settings = this._core.settings; event.page = { index: $.inArray(this.current(), this._pages), count: this._pages.length, size: settings && (settings.center || settings.autoWidth || settings.dotsData ? 1 : settings.dotsEach || settings.items) } }; Navigation.prototype.current = function () { var current = this._core.relative(this._core.current()); return $.grep(this._pages, $.proxy(function (page, index) { return page.start <= current && page.end >= current }, this)).pop() }; Navigation.prototype.getPosition = function (successor) {
        var position, length, settings = this._core.settings; if (settings.slideBy == 'page') { position = $.inArray(this.current(), this._pages); length = this._pages.length; successor ? ++position : --position; position = this._pages[((position % length) + length) % length].start } else { position = this._core.relative(this._core.current()); length = this._core.items().length; successor ? position += settings.slideBy : position -= settings.slideBy }
        return position
    }; Navigation.prototype.next = function (speed) { $.proxy(this._overrides.to, this._core)(this.getPosition(!0), speed) }; Navigation.prototype.prev = function (speed) { $.proxy(this._overrides.to, this._core)(this.getPosition(!1), speed) }; Navigation.prototype.to = function (position, speed, standard) { var length; if (!standard && this._pages.length) { length = this._pages.length; $.proxy(this._overrides.to, this._core)(this._pages[((position % length) + length) % length].start, speed) } else { $.proxy(this._overrides.to, this._core)(position, speed) } }; $.fn.owlCarousel.Constructor.Plugins.Navigation = Navigation
})(window.Zepto || window.jQuery, window, document); (function ($, window, document, undefined) {
    'use strict'; var Hash = function (carousel) {
        this._core = carousel; this._hashes = {}; this.$element = this._core.$element; this._handlers = {
            'initialized.owl.carousel': $.proxy(function (e) { if (e.namespace && this._core.settings.startPosition === 'URLHash') { $(window).trigger('hashchange.owl.navigation') } }, this), 'prepared.owl.carousel': $.proxy(function (e) {
                if (e.namespace) {
                    var hash = $(e.content).find('[data-hash]').addBack('[data-hash]').attr('data-hash'); if (!hash) { return }
                    this._hashes[hash] = e.content
                }
            }, this), 'changed.owl.carousel': $.proxy(function (e) {
                if (e.namespace && e.property.name === 'position') {
                    var current = this._core.items(this._core.relative(this._core.current())), hash = $.map(this._hashes, function (item, hash) { return item === current ? hash : null }).join(); if (!hash || window.location.hash.slice(1) === hash) { return }
                    window.location.hash = hash
                }
            }, this)
        }; this._core.options = $.extend({}, Hash.Defaults, this._core.options); this.$element.on(this._handlers); $(window).on('hashchange.owl.navigation', $.proxy(function (e) {
            var hash = window.location.hash.substring(1), items = this._core.$stage.children(), position = this._hashes[hash] && items.index(this._hashes[hash]); if (position === undefined || position === this._core.current()) { return }
            this._core.to(this._core.relative(position), !1, !0)
        }, this))
    }; Hash.Defaults = { URLhashListener: !1 }; Hash.prototype.destroy = function () {
        var handler, property; $(window).off('hashchange.owl.navigation'); for (handler in this._handlers) { this._core.$element.off(handler, this._handlers[handler]) }
        for (property in Object.getOwnPropertyNames(this)) { typeof this[property] != 'function' && (this[property] = null) }
    }; $.fn.owlCarousel.Constructor.Plugins.Hash = Hash
})(window.Zepto || window.jQuery, window, document); (function ($, window, document, undefined) {
    var style = $('<support>').get(0).style, prefixes = 'Webkit Moz O ms'.split(' '), events = { transition: { end: { WebkitTransition: 'webkitTransitionEnd', MozTransition: 'transitionend', OTransition: 'oTransitionEnd', transition: 'transitionend' } }, animation: { end: { WebkitAnimation: 'webkitAnimationEnd', MozAnimation: 'animationend', OAnimation: 'oAnimationEnd', animation: 'animationend' } } }, tests = { csstransforms: function () { return !!test('transform') }, csstransforms3d: function () { return !!test('perspective') }, csstransitions: function () { return !!test('transition') }, cssanimations: function () { return !!test('animation') } }; function test(property, prefixed) { var result = !1, upper = property.charAt(0).toUpperCase() + property.slice(1); $.each((property + ' ' + prefixes.join(upper + ' ') + upper).split(' '), function (i, property) { if (style[property] !== undefined) { result = prefixed ? property : !0; return !1 } }); return result }
    function prefixed(property) { return test(property, !0) }
    if (tests.csstransitions()) {
        $.support.transition = new String(prefixed('transition'))
        $.support.transition.end = events.transition.end[$.support.transition]
    }
    if (tests.cssanimations()) {
        $.support.animation = new String(prefixed('animation'))
        $.support.animation.end = events.animation.end[$.support.animation]
    }
    if (tests.csstransforms()) { $.support.transform = new String(prefixed('transform')); $.support.transform3d = tests.csstransforms3d() }
})(window.Zepto || window.jQuery, window, document); var ytp = ytp || {}; function onYouTubeIframeAPIReady() { ytp.YTAPIReady || (ytp.YTAPIReady = !0, jQuery(document).trigger("YTAPIReady")) } var getYTPVideoID = function (e) { var t, r; return 0 < e.indexOf("youtu.be") ? t = (r = 0 < (t = e.substr(e.lastIndexOf("/") + 1, e.length)).indexOf("?list=") ? t.substr(t.lastIndexOf("="), t.length) : null) ? t.substr(0, t.lastIndexOf("?")) : t : r = -1 < e.indexOf("http") ? (t = e.match(/[\\?&]v=([^&#]*)/)[1], 0 < e.indexOf("list=") ? e.match(/[\\?&]list=([^&#]*)/)[1] : null) : (t = 15 < e.length ? null : e) ? null : e, { videoID: t, playlistID: r } }; function uncamel(e) { return e.replace(/([A-Z])/g, function (e) { return "-" + e.toLowerCase() }) } function setUnit(e, t) { return "string" != typeof e || e.match(/^[\-0-9\.]+jQuery/) ? "" + e + t : e } function setFilter(e, t, r) { var o = uncamel(t), a = jQuery.browser.mozilla ? "" : jQuery.CSS.sfx; e[a + "filter"] = e[a + "filter"] || "", r = setUnit(r > jQuery.CSS.filters[t].max ? jQuery.CSS.filters[t].max : r, jQuery.CSS.filters[t].unit), e[a + "filter"] += o + "(" + r + ") ", delete e[t] } !function (jQuery, ytp) { jQuery.mbYTPlayer = { name: "jquery.mb.YTPlayer", version: "3.2.5", build: "7244", author: "Matteo Bicocchi (pupunzi)", apiKey: "", defaults: { videoURL: null, containment: "body", ratio: "auto", fadeOnStartTime: 1500, startAt: 0, stopAt: 0, autoPlay: !0, coverImage: !1, loop: !0, addRaster: !1, mask: !1, opacity: 1, quality: "default", vol: 50, mute: !1, showControls: !0, anchor: "center,center", showAnnotations: !1, cc_load_policy: !1, showYTLogo: !0, useOnMobile: !0, mobileFallbackImage: null, playOnlyIfVisible: !1, onScreenPercentage: 30, stopMovieOnBlur: !0, realfullscreen: !0, optimizeDisplay: !0, abundance: .2, gaTrack: !0, remember_last_time: !1, addFilters: !1, onReady: function (e) { }, onError: function (e, t) { } }, controls: { play: "P", pause: "p", mute: "M", unmute: "A", onlyYT: "O", showSite: "R", ytLogo: "Y" }, controlBar: null, locationProtocol: "https:", defaultFilters: { grayscale: { value: 0, unit: "%" }, hue_rotate: { value: 0, unit: "deg" }, invert: { value: 0, unit: "%" }, opacity: { value: 0, unit: "%" }, saturate: { value: 0, unit: "%" }, sepia: { value: 0, unit: "%" }, brightness: { value: 0, unit: "%" }, contrast: { value: 0, unit: "%" }, blur: { value: 0, unit: "px" } }, buildPlayer: function (options) { var tag; function isIframe() { var t = !1; try { self.location.href != top.location.href && (t = !0) } catch (e) { t = !0 } return t } return ytp.YTAPIReady || void 0 !== window.YT ? setTimeout(function () { jQuery(document).trigger("YTAPIReady"), ytp.YTAPIReady = !0 }, 100) : (jQuery("#YTAPI").remove(), tag = jQuery("<script><\/script>").attr({ src: jQuery.mbYTPlayer.locationProtocol + "//www.youtube.com/iframe_api?v=" + jQuery.mbYTPlayer.version, id: "YTAPI" }), jQuery("head").prepend(tag)), this.each(function () { var YTPlayer = this, $YTPlayer = jQuery(YTPlayer); $YTPlayer.hide(), YTPlayer.loop = 0, YTPlayer.state = 0, YTPlayer.filters = jQuery.extend(!0, {}, jQuery.mbYTPlayer.defaultFilters), YTPlayer.filtersEnabled = !0, YTPlayer.id = YTPlayer.id || "YTP_" + (new Date).getTime(), $YTPlayer.addClass("mb_YTPlayer"); var property = $YTPlayer.data("property") && "string" == typeof $YTPlayer.data("property") ? eval("(" + $YTPlayer.data("property") + ")") : $YTPlayer.data("property"); "object" != typeof property && (property = {}), YTPlayer.opt = jQuery.extend(!0, {}, jQuery.mbYTPlayer.defaults, YTPlayer.opt, options, property), YTPlayer.opt.elementId = YTPlayer.id, 0 === YTPlayer.opt.vol && (YTPlayer.opt.vol = 1, YTPlayer.opt.mute = !0), YTPlayer.opt.autoPlay && 0 == YTPlayer.opt.mute && jQuery.mbBrowser.chrome && (jQuery(document).one("mousedown.YTPstart", function () { $YTPlayer.YTPPlay() }), console.info("YTPlayer info: On Webkit browsers you can not autoplay the video if the audio is on.")), YTPlayer.opt.loop && "boolean" == typeof YTPlayer.opt.loop && (YTPlayer.opt.loop = 9999); var fullScreenAvailable = document.fullscreenEnabled || document.webkitFullscreenEnabled || document.mozFullScreenEnabled || document.msFullscreenEnabled; YTPlayer.opt.realfullscreen = !(isIframe() || !fullScreenAvailable) && YTPlayer.opt.realfullscreen, YTPlayer.opt.showAnnotations = YTPlayer.opt.showAnnotations ? "1" : "3", YTPlayer.opt.cc_load_policy = YTPlayer.opt.cc_load_policy ? "1" : "0", YTPlayer.opt.coverImage = YTPlayer.opt.coverImage || YTPlayer.opt.backgroundImage, jQuery.mbBrowser.msie && jQuery.mbBrowser.version < 9 && (YTPlayer.opt.opacity = 1), YTPlayer.opt.containment = "self" === YTPlayer.opt.containment ? $YTPlayer : jQuery(YTPlayer.opt.containment), YTPlayer.isRetina = window.retina || 1 < window.devicePixelRatio, YTPlayer.opt.ratio = "auto" === YTPlayer.opt.ratio ? 16 / 9 : YTPlayer.opt.ratio, YTPlayer.opt.ratio = eval(YTPlayer.opt.ratio), $YTPlayer.attr("id") || $YTPlayer.attr("id", "ytp_" + (new Date).getTime()), YTPlayer.playerID = "iframe_" + YTPlayer.id, YTPlayer.isAlone = !1, YTPlayer.hasFocus = !0, YTPlayer.videoID = YTPlayer.opt.videoURL ? getYTPVideoID(YTPlayer.opt.videoURL).videoID : !!$YTPlayer.attr("href") && getYTPVideoID($YTPlayer.attr("href")).videoID, YTPlayer.playlistID = YTPlayer.opt.videoURL ? getYTPVideoID(YTPlayer.opt.videoURL).playlistID : !!$YTPlayer.attr("href") && getYTPVideoID($YTPlayer.attr("href")).playlistID; var start_from_last = 0; if (jQuery.mbCookie.get("YTPlayer_start_from" + YTPlayer.videoID) && (start_from_last = parseFloat(jQuery.mbCookie.get("YTPlayer_start_from" + YTPlayer.videoID))), YTPlayer.opt.remember_last_time && start_from_last && (YTPlayer.start_from_last = start_from_last, jQuery.mbCookie.remove("YTPlayer_start_from" + YTPlayer.videoID)), YTPlayer.isPlayer = $YTPlayer.is(YTPlayer.opt.containment), YTPlayer.isBackground = YTPlayer.opt.containment.is("body"), !YTPlayer.isBackground || !ytp.backgroundIsInited) { YTPlayer.isPlayer && $YTPlayer.show(), YTPlayer.overlay = jQuery("<div/>").css({ position: "absolute", top: 0, left: 0, width: "100%", height: "100%" }).addClass("YTPOverlay"), YTPlayer.wrapper = jQuery("<div/>").attr("id", "wrapper_" + YTPlayer.id).css({ position: "absolute", zIndex: 0, minWidth: "100%", minHeight: "100%", left: 0, top: 0, overflow: "hidden", opacity: 0 }).addClass("mbYTP_wrapper"), YTPlayer.isPlayer && (YTPlayer.inlinePlayButton = jQuery("<div/>").addClass("inlinePlayButton").html(jQuery.mbYTPlayer.controls.play), YTPlayer.inlinePlayButton.on("click", function (e) { $YTPlayer.YTPPlay(), e.stopPropagation() }), YTPlayer.opt.autoPlay && YTPlayer.inlinePlayButton.hide(), YTPlayer.overlay.on("click", function () { $YTPlayer.YTPTogglePlay() }).css({ cursor: "pointer" })); var playerBox = jQuery("<div/>").attr("id", YTPlayer.playerID).addClass("playerBox"); if (playerBox.css({ position: "absolute", zIndex: 0, width: "100%", height: "100%", top: 0, left: 0, overflow: "hidden", opacity: 1 }), YTPlayer.wrapper.append(playerBox), playerBox.after(YTPlayer.overlay), YTPlayer.isPlayer && (YTPlayer.inlineWrapper = jQuery("<div/>").addClass("inline-YTPlayer"), YTPlayer.inlineWrapper.css({ position: "relative", maxWidth: YTPlayer.opt.containment.css("width") }), YTPlayer.opt.containment.css({ position: "relative", overflow: "hidden" })), YTPlayer.opt.containment.children().not("script, style").each(function () { "static" == jQuery(this).css("position") && jQuery(this).css("position", "relative") }), YTPlayer.isBackground ? (jQuery("body").css({ boxSizing: "border-box" }), YTPlayer.wrapper.css({ position: "fixed", top: 0, left: 0, zIndex: 0 })) : "static" == YTPlayer.opt.containment.css("position") && (YTPlayer.opt.containment.css({ position: "relative" }), $YTPlayer.show()), YTPlayer.opt.containment.prepend(YTPlayer.wrapper), YTPlayer.isBackground || YTPlayer.overlay.on("mouseenter", function () { YTPlayer.controlBar && YTPlayer.controlBar.length && YTPlayer.controlBar.addClass("visible") }).on("mouseleave", function () { YTPlayer.controlBar && YTPlayer.controlBar.length && YTPlayer.controlBar.removeClass("visible") }), jQuery.mbBrowser.mobile && !YTPlayer.opt.useOnMobile) return YTPlayer.opt.mobileFallbackImage && (YTPlayer.wrapper.css({ backgroundImage: "url(" + YTPlayer.opt.mobileFallbackImage + ")", backgroundPosition: "center center", backgroundSize: "cover", backgroundRepeat: "no-repeat", opacity: 1 }), YTPlayer.wrapper.css({ opacity: 1 })), $YTPlayer; jQuery.mbBrowser.mobile && YTPlayer.opt.autoPlay && YTPlayer.opt.useOnMobile && jQuery("body").one("touchstart", function () { YTPlayer.player.playVideo() }), jQuery(document).one("YTAPIReady", function () { $YTPlayer.trigger("YTAPIReady_" + YTPlayer.id), ytp.YTAPIReady = !0 }), YTPlayer.isOnScreen = jQuery.mbYTPlayer.isOnScreen(YTPlayer, YTPlayer.opt.onScreenPercentage), $YTPlayer.one("YTAPIReady_" + YTPlayer.id, function () { var r = this, o = jQuery(r); r.isBackground && ytp.backgroundIsInited || r.isInit || (r.isBackground && (ytp.backgroundIsInited = !0), r.opt.autoPlay = void 0 === r.opt.autoPlay ? !!r.isBackground : r.opt.autoPlay, r.opt.vol = r.opt.vol || 100, jQuery.mbYTPlayer.getDataFromAPI(r), jQuery(r).on("YTPChanged", function (e) { var t; r.isInit || (r.isInit = !0, t = { modestbranding: 1, autoplay: 0, controls: 0, showinfo: 0, rel: 0, enablejsapi: 1, version: 3, playerapiid: r.playerID, origin: "*", allowfullscreen: !0, wmode: "transparent", iv_load_policy: r.opt.showAnnotations, cc_load_policy: r.opt.cc_load_policy, playsinline: jQuery.mbBrowser.mobile ? 1 : 0, html5: document.createElement("video").canPlayType ? 1 : 0 }, new YT.Player(r.playerID, { playerVars: t, events: { onReady: function (e) { r.player = e.target, r.player.loadVideoById({ videoId: r.videoID.toString(), suggestedQuality: r.opt.quality }), o.trigger("YTPlayerIsReady_" + r.id) }, onStateChange: function (e) { if ("function" == typeof e.target.getPlayerState) { var t, e = e.target.getPlayerState(); if (r.preventTrigger || r.isStarting) r.preventTrigger = !1; else { switch (r.state = e) { case -1: t = "YTPUnstarted"; break; case 0: t = "YTPRealEnd"; break; case 1: t = "YTPPlay", r.controlBar.length && r.controlBar.find(".mb_YTPPlayPause").html(jQuery.mbYTPlayer.controls.pause), r.isPlayer && r.inlinePlayButton.hide(), jQuery(document).off("mousedown.YTPstart"); break; case 2: t = "YTPPause", r.controlBar.length && r.controlBar.find(".mb_YTPPlayPause").html(jQuery.mbYTPlayer.controls.play), r.isPlayer && r.inlinePlayButton.show(); break; case 3: r.player.setPlaybackQuality(r.opt.quality), t = "YTPBuffering", r.controlBar.length && r.controlBar.find(".mb_YTPPlayPause").html(jQuery.mbYTPlayer.controls.play); break; case 5: t = "YTPCued" }e = jQuery.Event(t); e.time = r.currentTime, jQuery(r).trigger(e) } } }, onPlaybackQualityChange: function (e) { var t = e.target.getPlaybackQuality(), e = jQuery.Event("YTPQualityChange"); e.quality = t, jQuery(r).trigger(e) }, onError: function (e) { switch ("function" == typeof r.opt.onError && r.opt.onError(o, e), e.data) { case 2: console.error("video ID:: " + r.videoID + ": The request contains an invalid parameter value. For example, this error occurs if you specify a video ID that does not have 11 characters, or if the video ID contains invalid characters, such as exclamation points or asterisks."); break; case 5: console.error("video ID:: " + r.videoID + ": The requested content cannot be played in an HTML5 player or another error related to the HTML5 player has occurred."); break; case 100: console.error("video ID:: " + r.videoID + ": The video requested was not found. This error occurs when a video has been removed (for any reason) or has been marked as private."); break; case 101: case 150: console.error("video ID:: " + r.videoID + ": The owner of the requested video does not allow it to be played in embedded players.") }r.isList && jQuery(r).YTPPlayNext() } } }), o.on("YTPlayerIsReady_" + r.id, function () { return r.isReady ? this : (r.playerEl = r.player.getIframe(), jQuery(r.playerEl).unselectable(), o.optimizeDisplay(), jQuery(window).off("resize.YTP_" + r.id).on("resize.YTP_" + r.id, function () { o.optimizeDisplay() }), r.opt.remember_last_time && jQuery(window).on("unload.YTP_" + r.id, function () { var e = r.player.getCurrentTime(); jQuery.mbCookie.set("YTPlayer_start_from" + r.videoID, e, 0) }), void o.YTPCheckForState()) })) })) }), $YTPlayer.off("YTPTime.mask"), jQuery.mbYTPlayer.applyMask(YTPlayer) } }) }, isOnScreen: function (e, t) { t = t || 10; var r = e.wrapper, o = jQuery(window).scrollTop(), a = o + jQuery(window).height(), e = r.height() * t / 100, t = r.offset().top + e; return r.offset().top + (r.height() - e) <= a && o <= t }, getDataFromAPI: function (i) { var e; i.videoData = jQuery.mbStorage.get("YTPlayer_data_" + i.videoID), jQuery(i).off("YTPData.YTPlayer").on("YTPData.YTPlayer", function () { var e; i.hasData && i.isPlayer && !i.opt.autoPlay && (e = "false" != i.opt.coverImage ? i.opt.coverImage : i.videoData.thumb_max || i.videoData.thumb_high || i.videoData.thumb_medium, i.opt.containment.css({ background: "rgba(0,0,0,0.5) url(" + e + ") center center", backgroundSize: "cover" })) }), i.videoData ? (setTimeout(function () { i.dataReceived = !0; var e = jQuery.Event("YTPChanged"); e.time = i.currentTime, e.videoId = i.videoID, e.opt = i.opt, jQuery(i).trigger(e); var t, r = jQuery.Event("YTPData"); for (t in r.prop = {}, i.videoData) r.prop[t] = i.videoData[t]; jQuery(i).trigger(r) }, i.opt.fadeOnStartTime), i.hasData = !0) : jQuery.mbYTPlayer.apiKey ? jQuery.getJSON(jQuery.mbYTPlayer.locationProtocol + "//www.googleapis.com/youtube/v3/videos?id=" + i.videoID + "&key=" + jQuery.mbYTPlayer.apiKey + "&part=snippet", function (e) { i.dataReceived = !0; var t, r = jQuery.Event("YTPChanged"); r.time = i.currentTime, r.videoId = i.videoID, jQuery(i).trigger(r), e.items[0] ? (t = e.items[0].snippet, i.videoData = {}, i.videoData.id = i.videoID, i.videoData.channelTitle = t.channelTitle, i.videoData.title = t.title, i.videoData.description = t.description.length < 400 ? t.description : t.description.substring(0, 400) + " ...", i.videoData.thumb_max = t.thumbnails.maxres ? t.thumbnails.maxres.url : null, i.videoData.thumb_high = t.thumbnails.high ? t.thumbnails.high.url : null, i.videoData.thumb_medium = t.thumbnails.medium ? t.thumbnails.medium.url : null, jQuery.mbStorage.set("YTPlayer_data_" + i.videoID, i.videoData), i.hasData = !0) : (i.videoData = {}, i.hasData = !1); var o, a = jQuery.Event("YTPData"); for (o in a.prop = {}, i.videoData) a.prop[o] = i.videoData[o]; jQuery(i).trigger(a) }) : (setTimeout(function () { var e = jQuery.Event("YTPChanged"); e.time = i.currentTime, e.videoId = i.videoID, jQuery(i).trigger(e) }, 50), i.opt.autoPlay || (e = "false" != i.opt.coverImage ? i.opt.coverImage : jQuery.mbYTPlayer.locationProtocol + "//i.ytimg.com/vi/" + i.videoID + "/maxresdefault.jpg") && i.opt.containment.css({ background: "rgba(0,0,0,0.5) url(" + e + ") center center", backgroundSize: "cover" }), i.videoData = null), i.opt.ratio = "auto" == i.opt.ratio ? "16/9" : i.opt.ratio, i.isPlayer && !i.opt.autoPlay && (i.loading = jQuery("<div/>").addClass("loading").html("Loading").hide(), jQuery(i).append(i.loading), i.loading.fadeIn()) }, removeStoredData: function () { jQuery.mbStorage.remove() }, getVideoData: function () { return this.get(0).videoData }, getVideoID: function () { return this.get(0).videoID || !1 }, getPlaylistID: function () { return this.get(0).playlistID || !1 }, setVideoQuality: function (e) { return this.get(0).player.setPlaybackQuality(e), this }, playlist: function (e, r, o) { var a = this, i = a.get(0); return "String" != typeof e || "" == jQuery.mbYTPlayer.apiKey ? (i.isList = !0, r && (e = jQuery.shuffle(e)), i.videoID || (i.videos = e, i.videoCounter = 1, i.videoLength = e.length, jQuery(i).data("property", e[0]), jQuery(i).YTPlayer()), "function" == typeof o && jQuery(i).one("YTPChanged", function () { o(i) }), jQuery(i).on("YTPEnd", function () { jQuery(i).YTPPlayNext() })) : n(e), this; function n(e, t) { t = t || ""; jQuery.getJSON("https://www.googleapis.com/youtube/v3/playlistItems", { part: "snippet,contentDetails", playlistId: e, maxResults: 50, pageToken: t, key: jQuery.mbYTPlayer.apiKey }).done(function (e) { !function (e) { for (var t = e.items.length, r = 0; r < t; r++)i.videos.push({ videoURL: e.items[r].contentDetails.videoId }) }(e), e.nextPageToken ? (t = e.nextPageToken, n(plID, t)) : a.YTPlaylist(i.videos, r, o) }) } }, playNext: function () { var e = this.get(0); return e.videoCounter++, e.videoCounter > e.videoLength && (e.videoCounter = 1), jQuery(e).YTPPlayIndex(e.videoCounter), this }, playPrev: function () { var e = this.get(0); return e.videoCounter--, e.videoCounter <= 0 && (e.videoCounter = e.videoLength), jQuery(e).YTPPlayIndex(e.videoCounter), this }, playIndex: function (e) { var t = this.get(0); t.checkForStartAt && (clearInterval(t.checkForStartAt), clearInterval(t.getState)), t.videoCounter = e, t.videoCounter >= t.videoLength && (t.videoCounter = t.videoLength); e = t.videos[t.videoCounter - 1]; return jQuery(t).YTPChangeVideo(e), this }, changeVideo: function (e) { var t = this, r = t.get(0); r.opt.startAt = 0, r.opt.stopAt = 0, r.opt.mask = !1, r.opt.mute = !0, r.opt.autoPlay = !0, r.opt.addFilters = !1, r.opt.coverImage = !1, r.hasData = !1, r.hasChanged = !0, r.player.loopTime = void 0, e && jQuery.extend(r.opt, e), r.videoID = getYTPVideoID(r.opt.videoURL).videoID, r.opt.loop && "boolean" == typeof r.opt.loop && (r.opt.loop = 9999), r.wrapper.css({ background: "none" }), jQuery(r.playerEl).CSSAnimate({ opacity: 0 }, r.opt.fadeOnStartTime, function () { jQuery.mbYTPlayer.getDataFromAPI(r), t.YTPGetPlayer().loadVideoById({ videoId: r.videoID, suggestedQuality: r.opt.quality }), t.YTPPause(), t.optimizeDisplay(), t.YTPCheckForState() }); e = jQuery.Event("YTPChangeVideo"); return e.time = r.currentTime, jQuery(r).trigger(e), jQuery.mbYTPlayer.applyMask(r), this }, getPlayer: function () { return jQuery(this).get(0).player }, playerDestroy: function () { var e = this.get(0); return ytp.YTAPIReady = !0, ytp.backgroundIsInited = !1, e.isInit = !1, e.videoID = null, e.isReady = !1, e.wrapper.remove(), jQuery("#controlBar_" + e.id).remove(), clearInterval(e.checkForStartAt), clearInterval(e.getState), this }, fullscreen: function (real) { var YTPlayer = this.get(0); void 0 === real && (real = eval(YTPlayer.opt.realfullscreen)); var controls = jQuery("#controlBar_" + YTPlayer.id), fullScreenBtn = controls.find(".mb_OnlyYT"), videoWrapper = YTPlayer.isPlayer ? YTPlayer.opt.containment : YTPlayer.wrapper, fullscreenchange; function hideMouse() { YTPlayer.overlay.css({ cursor: "none" }) } function RunPrefixMethod(e, t) { for (var r, o, a = ["webkit", "moz", "ms", "o", ""], i = 0; i < a.length && !e[r];) { if (r = t, "" == a[i] && (r = r.substr(0, 1).toLowerCase() + r.substr(1)), "undefined" != (o = typeof e[r = a[i] + r])) return a = [a[i]], "function" == o ? e[r]() : e[r]; i++ } } function launchFullscreen(e) { RunPrefixMethod(e, "RequestFullScreen") } function cancelFullscreen() { (RunPrefixMethod(document, "FullScreen") || RunPrefixMethod(document, "IsFullScreen")) && RunPrefixMethod(document, "CancelFullScreen") } return real && (fullscreenchange = jQuery.mbBrowser.mozilla ? "mozfullscreenchange" : jQuery.mbBrowser.webkit ? "webkitfullscreenchange" : "fullscreenchange", jQuery(document).off(fullscreenchange).on(fullscreenchange, function () { RunPrefixMethod(document, "IsFullScreen") || RunPrefixMethod(document, "FullScreen") ? (jQuery(YTPlayer).YTPSetVideoQuality("default"), jQuery(YTPlayer).trigger("YTPFullScreenStart")) : (YTPlayer.isAlone = !1, fullScreenBtn.html(jQuery.mbYTPlayer.controls.onlyYT), jQuery(YTPlayer).YTPSetVideoQuality(YTPlayer.opt.quality), videoWrapper.removeClass("YTPFullscreen"), videoWrapper.CSSAnimate({ opacity: YTPlayer.opt.opacity }, YTPlayer.opt.fadeOnStartTime), videoWrapper.css({ zIndex: 0 }), YTPlayer.isBackground ? jQuery("body").after(controls) : YTPlayer.wrapper.before(controls), jQuery(window).resize(), jQuery(YTPlayer).trigger("YTPFullScreenEnd")) })), YTPlayer.isAlone ? (jQuery(document).off("mousemove.YTPlayer"), clearTimeout(YTPlayer.hideCursor), YTPlayer.overlay.css({ cursor: "auto" }), real ? cancelFullscreen() : (videoWrapper.CSSAnimate({ opacity: YTPlayer.opt.opacity }, YTPlayer.opt.fadeOnStartTime), videoWrapper.css({ zIndex: 0 })), fullScreenBtn.html(jQuery.mbYTPlayer.controls.onlyYT), YTPlayer.isAlone = !1) : (jQuery(document).on("mousemove.YTPlayer", function (e) { YTPlayer.overlay.css({ cursor: "auto" }), clearTimeout(YTPlayer.hideCursor), jQuery(e.target).parents().is(".mb_YTPBar") || (YTPlayer.hideCursor = setTimeout(hideMouse, 3e3)) }), hideMouse(), real ? (videoWrapper.css({ opacity: 0 }), videoWrapper.addClass("YTPFullscreen"), launchFullscreen(videoWrapper.get(0)), setTimeout(function () { videoWrapper.CSSAnimate({ opacity: 1 }, 2 * YTPlayer.opt.fadeOnStartTime), videoWrapper.append(controls), jQuery(YTPlayer).optimizeDisplay(), YTPlayer.player.seekTo(YTPlayer.player.getCurrentTime() + .1, !0) }, YTPlayer.opt.fadeOnStartTime)) : videoWrapper.css({ zIndex: 1e4 }).CSSAnimate({ opacity: 1 }, 2 * YTPlayer.opt.fadeOnStartTime), fullScreenBtn.html(jQuery.mbYTPlayer.controls.showSite), YTPlayer.isAlone = !0), this }, toggleLoops: function () { var e = this.get(0), t = e.opt; return 1 == t.loop ? t.loop = 0 : (t.startAt ? e.player.seekTo(t.startAt) : e.player.playVideo(), t.loop = 1), this }, play: function () { var e = this.get(0); return e.isReady && (e.player.playVideo(), jQuery(e.playerEl).css({ opacity: 1 }), e.wrapper.css({ backgroundImage: "none" }), e.wrapper.CSSAnimate({ opacity: e.isAlone ? 1 : e.opt.opacity }, e.opt.fadeOnStartTime), jQuery("#controlBar_" + e.id).find(".mb_YTPPlayPause").html(jQuery.mbYTPlayer.controls.pause), e.state = 1, e.orig_background = jQuery(e).css("background-image")), this }, togglePlay: function (e) { var t = this.get(0); return 1 == t.state ? this.YTPPause() : this.YTPPlay(), "function" == typeof e && e(t.state), this }, stop: function () { var e = this.get(0); return jQuery("#controlBar_" + e.id).find(".mb_YTPPlayPause").html(jQuery.mbYTPlayer.controls.play), e.player.stopVideo(), this }, pause: function () { var e = this.get(0); return e.player.pauseVideo(), e.state = 2, this }, seekTo: function (e) { return this.get(0).player.seekTo(e, !0), this }, setVolume: function (e) { var t = this.get(0); return t.opt.vol = e, t.player.setVolume(t.opt.vol), t.volumeBar && t.volumeBar.length && t.volumeBar.updateSliderVal(e), this }, getVolume: function () { return this.get(0).player.getVolume() }, toggleVolume: function () { var e = this.get(0); return e && (e.isMute ? (jQuery.mbBrowser.mobile || this.YTPSetVolume(e.opt.vol), this.YTPUnmute()) : this.YTPMute()), this }, mute: function () { var e = this.get(0); if (e.isMute) return this; e.player.mute(), e.isMute = !0, e.player.setVolume(0), e.volumeBar && e.volumeBar.length && 10 < e.volumeBar.width() && e.volumeBar.updateSliderVal(0), jQuery("#controlBar_" + e.id).find(".mb_YTPMuteUnmute").html(jQuery.mbYTPlayer.controls.unmute), jQuery(e).addClass("isMuted"), e.volumeBar && e.volumeBar.length && e.volumeBar.addClass("muted"); var t = jQuery.Event("YTPMuted"); return t.time = e.currentTime, e.preventTrigger || jQuery(e).trigger(t), this }, unmute: function () { var e = this.get(0); if (!e.isMute) return this; e.player.unMute(), e.isMute = !1, jQuery(e).YTPSetVolume(e.opt.vol), e.volumeBar && e.volumeBar.length && e.volumeBar.updateSliderVal(10 < e.opt.vol ? e.opt.vol : 10), jQuery("#controlBar_" + e.id).find(".mb_YTPMuteUnmute").html(jQuery.mbYTPlayer.controls.mute), jQuery(e).removeClass("isMuted"), e.volumeBar && e.volumeBar.length && e.volumeBar.removeClass("muted"); var t = jQuery.Event("YTPUnmuted"); return t.time = e.currentTime, e.preventTrigger || jQuery(e).trigger(t), this }, applyFilter: function (e, t) { var r = this.get(0); r.filters[e].value = t, r.filtersEnabled && this.YTPEnableFilters() }, applyFilters: function (e) { var t, r = this, o = r.get(0); if (!o.isReady) return jQuery(o).on("YTPReady", function () { r.YTPApplyFilters(e) }), this; for (t in e) r.YTPApplyFilter(t, e[t]); r.trigger("YTPFiltersApplied") }, toggleFilter: function (e, t) { var r = this.get(0); return r.filters[e].value ? r.filters[e].value = 0 : r.filters[e].value = t, r.filtersEnabled && jQuery(r).YTPEnableFilters(), this }, toggleFilters: function (e) { var t = this.get(0); return t.filtersEnabled ? (jQuery(t).trigger("YTPDisableFilters"), jQuery(t).YTPDisableFilters()) : (jQuery(t).YTPEnableFilters(), jQuery(t).trigger("YTPEnableFilters")), "function" == typeof e && e(t.filtersEnabled), this }, disableFilters: function () { var e = this.get(0), t = jQuery(e.playerEl); return t.css("-webkit-filter", ""), t.css("filter", ""), e.filtersEnabled = !1, this }, enableFilters: function () { var e, t = this.get(0), r = jQuery(t.playerEl), o = ""; for (e in t.filters) t.filters[e].value && (o += e.replace("_", "-") + "(" + t.filters[e].value + t.filters[e].unit + ") "); return r.css("-webkit-filter", o), r.css("filter", o), t.filtersEnabled = !0, this }, removeFilter: function (e, t) { var r = this.get(0); if ("function" == typeof e && (t = e, e = null), e) this.YTPApplyFilter(e, 0), "function" == typeof t && t(e); else { for (var o in r.filters) this.YTPApplyFilter(o, 0); "function" == typeof t && t(o), r.filters = jQuery.extend(!0, {}, jQuery.mbYTPlayer.defaultFilters) } r = jQuery.Event("YTPFiltersApplied"); return this.trigger(r), this }, getFilters: function () { return this.get(0).filters }, addMask: function (e) { var t = this.get(0); e = e || t.actualMask; var r = jQuery("<img/>").attr("src", e).on("load", function () { t.overlay.CSSAnimate({ opacity: 0 }, t.opt.fadeOnStartTime, function () { t.hasMask = !0, r.remove(), t.overlay.css({ backgroundImage: "url(" + e + ")", backgroundRepeat: "no-repeat", backgroundPosition: "center center", backgroundSize: "cover" }), t.overlay.CSSAnimate({ opacity: 1 }, t.opt.fadeOnStartTime) }) }); return this }, removeMask: function () { var e = this.get(0); return e.overlay.CSSAnimate({ opacity: 0 }, e.opt.fadeOnStartTime, function () { e.hasMask = !1, e.overlay.css({ backgroundImage: "", backgroundRepeat: "", backgroundPosition: "", backgroundSize: "" }), e.overlay.CSSAnimate({ opacity: 1 }, e.opt.fadeOnStartTime) }), this }, applyMask: function (r) { var o = jQuery(r); if (o.off("YTPTime.mask"), r.opt.mask) if ("string" == typeof r.opt.mask) o.YTPAddMask(r.opt.mask), r.actualMask = r.opt.mask; else if ("object" == typeof r.opt.mask) { for (var e in r.opt.mask) r.opt.mask[e] && jQuery("<img/>").attr("src", r.opt.mask[e]); r.opt.mask[0] && o.YTPAddMask(r.opt.mask[0]), o.on("YTPTime.mask", function (e) { for (var t in r.opt.mask) e.time == t && (r.opt.mask[t] ? (o.YTPAddMask(r.opt.mask[t]), r.actualMask = r.opt.mask[t]) : o.YTPRemoveMask()) }) } }, toggleMask: function () { var e = this.get(0), t = jQuery(e); return e.hasMask ? t.YTPRemoveMask() : t.YTPAddMask(), this }, manageProgress: function () { var e = this.get(0), t = jQuery("#controlBar_" + e.id), r = t.find(".mb_YTPProgress"), o = t.find(".mb_YTPLoaded"), a = t.find(".mb_YTPseekbar"), i = r.outerWidth(), t = Math.floor(e.player.getCurrentTime()), r = Math.floor(e.player.getDuration()), i = t * i / r, e = 100 * e.player.getVideoLoadedFraction(); return o.css({ left: 0, width: e + "%" }), a.css({ left: 0, width: i }), { totalTime: r, currentTime: t } }, buildControls: function (YTPlayer) { var buttonBar, playpause, MuteUnmute, volumeBar, idx, vURL, movieUrl, onlyVideo, progressBar, loadedBar, timeBar; jQuery("#controlBar_" + YTPlayer.id).remove(), YTPlayer.opt.showControls ? (YTPlayer.opt.showYTLogo = YTPlayer.opt.showYTLogo || YTPlayer.opt.printUrl, jQuery("#controlBar_" + YTPlayer.id).length || (YTPlayer.controlBar = jQuery("<span/>").attr("id", "controlBar_" + YTPlayer.id).addClass("mb_YTPBar").css({ whiteSpace: "noWrap", position: YTPlayer.isBackground ? "fixed" : "absolute", zIndex: YTPlayer.isBackground ? 1e4 : 1e3 }).hide().on("click", function (e) { e.stopPropagation() }), buttonBar = jQuery("<div/>").addClass("buttonBar"), playpause = jQuery("<span>" + jQuery.mbYTPlayer.controls.play + "</span>").addClass("mb_YTPPlayPause ytpicon").on("click", function (e) { e.stopPropagation(), jQuery(YTPlayer).YTPTogglePlay() }), MuteUnmute = jQuery("<span>" + jQuery.mbYTPlayer.controls.mute + "</span>").addClass("mb_YTPMuteUnmute ytpicon").on("click", function (e) { e.stopPropagation(), jQuery(YTPlayer).YTPToggleVolume() }), volumeBar = jQuery("<div/>").addClass("mb_YTPVolumeBar").css({ display: "inline-block" }), YTPlayer.volumeBar = volumeBar, idx = jQuery("<span/>").addClass("mb_YTPTime"), vURL = YTPlayer.opt.videoURL || "", vURL.indexOf("http") < 0 && (vURL = jQuery.mbYTPlayer.locationProtocol + "//www.youtube.com/watch?v=" + YTPlayer.opt.videoURL), movieUrl = jQuery("<span/>").html(jQuery.mbYTPlayer.controls.ytLogo).addClass("mb_YTPUrl ytpicon").attr("title", "view on YouTube").on("click", function () { window.open(vURL, "viewOnYT") }), onlyVideo = jQuery("<span/>").html(jQuery.mbYTPlayer.controls.onlyYT).addClass("mb_OnlyYT ytpicon").on("click", function (e) { e.stopPropagation(), jQuery(YTPlayer).YTPFullscreen(YTPlayer.opt.realfullscreen) }), progressBar = jQuery("<div/>").addClass("mb_YTPProgress").css("position", "absolute").on("click", function (e) { e.stopPropagation(), timeBar.css({ width: e.clientX - timeBar.offset().left }), YTPlayer.timeW = e.clientX - timeBar.offset().left, YTPlayer.controlBar.find(".mb_YTPLoaded").css({ width: 0 }); e = Math.floor(YTPlayer.player.getDuration()); YTPlayer.goto = timeBar.outerWidth() * e / progressBar.outerWidth(), YTPlayer.player.seekTo(parseFloat(YTPlayer.goto), !0), YTPlayer.controlBar.find(".mb_YTPLoaded").css({ width: 0 }) }), loadedBar = jQuery("<div/>").addClass("mb_YTPLoaded").css("position", "absolute"), timeBar = jQuery("<div/>").addClass("mb_YTPseekbar").css("position", "absolute"), progressBar.append(loadedBar).append(timeBar), buttonBar.append(playpause).append(MuteUnmute).append(volumeBar).append(idx), YTPlayer.opt.showYTLogo && buttonBar.append(movieUrl), (YTPlayer.isBackground || eval(YTPlayer.opt.realfullscreen) && !YTPlayer.isBackground) && buttonBar.append(onlyVideo), YTPlayer.controlBar.append(buttonBar).append(progressBar), YTPlayer.isBackground ? jQuery("body").after(YTPlayer.controlBar) : (YTPlayer.controlBar.addClass("inlinePlayer"), YTPlayer.wrapper.before(YTPlayer.controlBar)), volumeBar.simpleSlider({ initialval: YTPlayer.opt.vol, scale: 100, orientation: "h", callback: function (e) { 0 == e.value ? jQuery(YTPlayer).YTPMute() : jQuery(YTPlayer).YTPUnmute(), YTPlayer.player.setVolume(e.value), YTPlayer.isMute || (YTPlayer.opt.vol = e.value) } }))) : YTPlayer.controlBar = !1 }, checkForState: function () { var YTPlayer = this.get(0), $YTPlayer = jQuery(YTPlayer); clearInterval(YTPlayer.getState); var interval = 100; if (!jQuery.contains(document, YTPlayer)) return $YTPlayer.YTPPlayerDestroy(), clearInterval(YTPlayer.getState), void clearInterval(YTPlayer.checkForStartAt); jQuery.mbYTPlayer.checkForStart(YTPlayer), YTPlayer.getState = setInterval(function () { var $YTPlayer = jQuery(YTPlayer); if (YTPlayer.isReady) { var prog = jQuery(YTPlayer).YTPManageProgress(), stopAt = YTPlayer.opt.stopAt > YTPlayer.opt.startAt ? YTPlayer.opt.stopAt : 0, YTPEvent, isOnScreen, stopAt = stopAt < YTPlayer.player.getDuration() ? stopAt : 0; if (YTPlayer.currentTime != prog.currentTime && (YTPEvent = jQuery.Event("YTPTime"), YTPEvent.time = YTPlayer.currentTime, jQuery(YTPlayer).trigger(YTPEvent)), YTPlayer.currentTime = prog.currentTime, YTPlayer.totalTime = YTPlayer.player.getDuration(), 0 == YTPlayer.player.getVolume() ? $YTPlayer.addClass("isMuted") : $YTPlayer.removeClass("isMuted"), YTPlayer.opt.showControls && (prog.totalTime ? YTPlayer.controlBar.find(".mb_YTPTime").html(jQuery.mbYTPlayer.formatTime(prog.currentTime) + " / " + jQuery.mbYTPlayer.formatTime(prog.totalTime)) : YTPlayer.controlBar.find(".mb_YTPTime").html("-- : -- / -- : --")), eval(YTPlayer.opt.stopMovieOnBlur) && (document.hasFocus() ? document.hasFocus() && !YTPlayer.hasFocus && -1 != YTPlayer.state && 0 != YTPlayer.state && (YTPlayer.hasFocus = !0, YTPlayer.preventTrigger = !0, YTPlayer.preventTrigger = !0, $YTPlayer.YTPPlay()) : 1 == YTPlayer.state && (YTPlayer.hasFocus = !1, YTPlayer.preventTrigger = !0, $YTPlayer.YTPPause())), YTPlayer.opt.playOnlyIfVisible && (isOnScreen = jQuery.mbYTPlayer.isOnScreen(YTPlayer, YTPlayer.opt.onScreenPercentage), isOnScreen || 1 != YTPlayer.state ? isOnScreen && !YTPlayer.isOnScreen && (YTPlayer.isOnScreen = !0, YTPlayer.player.playVideo()) : (YTPlayer.isOnScreen = !1, $YTPlayer.YTPPause())), YTPlayer.controlBar.length && YTPlayer.controlBar.outerWidth() <= 400 && !YTPlayer.isCompact ? (YTPlayer.controlBar.addClass("compact"), YTPlayer.isCompact = !0, !YTPlayer.isMute && YTPlayer.volumeBar && YTPlayer.volumeBar.updateSliderVal(YTPlayer.opt.vol)) : YTPlayer.controlBar.length && 400 < YTPlayer.controlBar.outerWidth() && YTPlayer.isCompact && (YTPlayer.controlBar.removeClass("compact"), YTPlayer.isCompact = !1, !YTPlayer.isMute && YTPlayer.volumeBar && YTPlayer.volumeBar.updateSliderVal(YTPlayer.opt.vol)), 0 < YTPlayer.player.getPlayerState() && (parseFloat(YTPlayer.player.getDuration() - .5) < YTPlayer.player.getCurrentTime() || 0 < stopAt && parseFloat(YTPlayer.player.getCurrentTime()) > stopAt) && !YTPlayer.isEnded) { if (YTPlayer.isEnded = !0, setTimeout(function () { YTPlayer.isEnded = !1 }, 1e3), YTPlayer.isList) { if (!YTPlayer.opt.loop || 0 < YTPlayer.opt.loop && YTPlayer.player.loopTime === YTPlayer.opt.loop - 1) { YTPlayer.player.loopTime = void 0, clearInterval(YTPlayer.getState); var YTPEnd = jQuery.Event("YTPEnd"); return YTPEnd.time = YTPlayer.currentTime, void jQuery(YTPlayer).trigger(YTPEnd) } } else if (!YTPlayer.opt.loop || 0 < YTPlayer.opt.loop && YTPlayer.player.loopTime === YTPlayer.opt.loop - 1) { YTPlayer.player.loopTime = void 0, YTPlayer.state = 2; var bgndURL = "false" != YTPlayer.opt.coverImage ? YTPlayer.opt.coverImage : YTPlayer.videoData.thumb_max || YTPlayer.videoData.thumb_high || YTPlayer.videoData.thumb_medium; return YTPlayer.opt.containment.css({ background: "rgba(0,0,0,0.5) url(" + bgndURL + ") center center", backgroundSize: "cover" }), jQuery(YTPlayer).YTPPause(), void YTPlayer.wrapper.CSSAnimate({ opacity: 0 }, YTPlayer.opt.fadeOnStartTime, function () { YTPlayer.controlBar.length && YTPlayer.controlBar.find(".mb_YTPPlayPause").html(jQuery.mbYTPlayer.controls.play); var e = jQuery.Event("YTPEnd"); e.time = YTPlayer.currentTime, jQuery(YTPlayer).trigger(e), YTPlayer.player.seekTo(YTPlayer.opt.startAt, !0), YTPlayer.isBackground ? YTPlayer.orig_background && jQuery(YTPlayer).css("background-image", YTPlayer.orig_background) : YTPlayer.opt.coverImage && YTPlayer.isPlayer && (YTPlayer.opt.coverImage = YTPlayer.opt.coverImage || YTPlayer.orig_background, YTPlayer.opt.containment.css({ background: "url(" + YTPlayer.opt.coverImage + ") center center", backgroundSize: "cover" })) }) } YTPlayer.player.loopTime = YTPlayer.player.loopTime ? ++YTPlayer.player.loopTime : 1, YTPlayer.opt.startAt = YTPlayer.opt.startAt || 1, YTPlayer.preventTrigger = !0, YTPlayer.state = 2, YTPlayer.player.pauseVideo(), YTPlayer.player.seekTo(YTPlayer.opt.startAt, !0), YTPlayer.player.playVideo() } } }, interval) }, checkForStart: function (YTPlayer) { var $YTPlayer = jQuery(YTPlayer), classN; if (jQuery.contains(document, YTPlayer)) { jQuery.mbYTPlayer.buildControls(YTPlayer), YTPlayer.overlay && (YTPlayer.opt.addRaster ? (classN = "dot" == YTPlayer.opt.addRaster ? "raster-dot" : "raster", YTPlayer.overlay.addClass(YTPlayer.isRetina ? classN + " retina" : classN)) : YTPlayer.overlay.removeClass(function (e, t) { var t = t.split(" "), r = []; return jQuery.each(t, function (e, t) { /raster.*/.test(t) && r.push(t) }), r.push("retina"), r.join(" ") })), YTPlayer.preventTrigger = !0, YTPlayer.state = 2, $YTPlayer.YTPPause(), $YTPlayer.YTPMute(), YTPlayer.preventTrigger = !0, YTPlayer.player.playVideo(), YTPlayer.isStarting = !0; var startAt = YTPlayer.start_from_last || YTPlayer.opt.startAt || 1; return YTPlayer.checkForStartAt = setInterval(function () { YTPlayer.player.seekTo(startAt, !0); var canPlayVideo = YTPlayer.player.getVideoLoadedFraction() >= startAt / YTPlayer.player.getDuration(), YTPready, YTPStart; 0 < YTPlayer.player.getDuration() && YTPlayer.player.getCurrentTime() >= startAt && canPlayVideo ? (YTPlayer.start_from_last = null, clearInterval(YTPlayer.checkForStartAt), "function" == typeof YTPlayer.opt.onReady && YTPlayer.opt.onReady(YTPlayer), YTPlayer.isReady = !0, $YTPlayer.YTPRemoveFilter(), YTPlayer.opt.addFilters ? $YTPlayer.YTPApplyFilters(YTPlayer.opt.addFilters) : $YTPlayer.YTPApplyFilters({}), $YTPlayer.YTPEnableFilters(), YTPready = jQuery.Event("YTPReady"), YTPready.time = YTPlayer.currentTime, jQuery(YTPlayer).trigger(YTPready), YTPlayer.state = 2, jQuery(YTPlayer).YTPPause(), YTPlayer.opt.mute || jQuery(YTPlayer).YTPUnmute(), "undefined" != typeof _gaq && eval(YTPlayer.opt.gaTrack) ? _gaq.push(["_trackEvent", "YTPlayer", "Play", YTPlayer.hasData ? YTPlayer.videoData.title : YTPlayer.videoID.toString()]) : "undefined" != typeof ga && eval(YTPlayer.opt.gaTrack) && ga("send", "event", "YTPlayer", "play", YTPlayer.hasData ? YTPlayer.videoData.title : YTPlayer.videoID.toString()), YTPlayer.opt.autoPlay ? (YTPStart = jQuery.Event("YTPStart"), YTPStart.time = YTPlayer.currentTime, jQuery(YTPlayer).trigger(YTPStart), YTPlayer.isStarting = !1, "mac" == jQuery.mbBrowser.os.name && jQuery.mbBrowser.safari ? setTimeout(function () { $YTPlayer.YTPPlay() }, 10) : $YTPlayer.YTPPlay()) : (YTPlayer.player.pauseVideo(), setTimeout(function () { YTPlayer.start_from_last && YTPlayer.player.seekTo(startAt, !0), YTPlayer.isPlayer || (YTPlayer.opt.coverImage ? (YTPlayer.wrapper.css({ opacity: 0 }), setTimeout(function () { YTPlayer.wrapper.css({ background: "rgba(0,0,0,0.5) url(" + YTPlayer.opt.coverImage + ") center center", backgroundSize: "cover", backgroundRepeat: "no-repeat" }) }, YTPlayer.opt.fadeOnStartTime)) : (jQuery(YTPlayer.playerEl).CSSAnimate({ opacity: 1 }, YTPlayer.opt.fadeOnStartTime), YTPlayer.wrapper.CSSAnimate({ opacity: YTPlayer.isAlone ? 1 : YTPlayer.opt.opacity }, YTPlayer.opt.fadeOnStartTime))), YTPlayer.isStarting = !1 }, 150), YTPlayer.controlBar.length && YTPlayer.controlBar.find(".mb_YTPPlayPause").html(jQuery.mbYTPlayer.controls.play)), YTPlayer.isPlayer && !YTPlayer.opt.autoPlay && YTPlayer.loading && YTPlayer.loading.length && (YTPlayer.loading.html("Ready"), setTimeout(function () { YTPlayer.loading.fadeOut() }, 100)), YTPlayer.controlBar && YTPlayer.controlBar.length && YTPlayer.controlBar.slideDown(1e3)) : "mac" == jQuery.mbBrowser.os.name && jQuery.mbBrowser.safari && (YTPlayer.player.playVideo(), 0 <= startAt && YTPlayer.player.seekTo(startAt, !0)) }, 100), $YTPlayer } $YTPlayer.YTPPlayerDestroy() }, getTime: function () { var e = this.get(0); return jQuery.mbYTPlayer.formatTime(e.currentTime) }, getTotalTime: function (e) { var t = this.get(0); return jQuery.mbYTPlayer.formatTime(t.totalTime) }, formatTime: function (e) { var t = Math.floor(e / 60), e = Math.floor(e - 60 * t); return (t <= 9 ? "0" + t : t) + " : " + (e <= 9 ? "0" + e : e) }, setAnchor: function (e) { this.optimizeDisplay(e) }, getAnchor: function () { return this.get(0).opt.anchor } }, jQuery.fn.optimizeDisplay = function (anchor) { var YTPlayer = this.get(0), vid = {}; YTPlayer.opt.anchor = anchor || YTPlayer.opt.anchor, YTPlayer.opt.anchor = "undefined " != typeof YTPlayer.opt.anchor ? YTPlayer.opt.anchor : "center,center"; var YTPAlign = YTPlayer.opt.anchor.split(","), el = YTPlayer.wrapper, iframe = jQuery(YTPlayer.playerEl); if (YTPlayer.opt.optimizeDisplay) { var abundance = iframe.height() * YTPlayer.opt.abundance, win = {}; win.width = el.outerWidth(), win.height = el.outerHeight() + abundance, YTPlayer.opt.ratio = "auto" === YTPlayer.opt.ratio ? 16 / 9 : YTPlayer.opt.ratio, YTPlayer.opt.ratio = eval(YTPlayer.opt.ratio), vid.width = win.width, vid.height = Math.ceil(vid.width / YTPlayer.opt.ratio), vid.marginTop = Math.ceil(-(vid.height - win.height) / 2), vid.marginLeft = 0; var lowest = vid.height < win.height, a; for (a in lowest && (vid.height = win.height, vid.width = Math.ceil(vid.height * YTPlayer.opt.ratio), vid.marginTop = 0, vid.marginLeft = Math.ceil(-(vid.width - win.width) / 2)), YTPAlign) if (YTPAlign.hasOwnProperty(a)) { var al = YTPAlign[a].replace(/ /g, ""); switch (al) { case "top": vid.marginTop = lowest ? -(vid.height - win.height) / 2 : 0; break; case "bottom": vid.marginTop = lowest ? 0 : -(vid.height - win.height); break; case "left": vid.marginLeft = 0; break; case "right": vid.marginLeft = lowest ? -(vid.width - win.width) : 0; break; default: vid.width > win.width && (vid.marginLeft = -(vid.width - win.width) / 2) } } } else vid.width = "100%", vid.height = "100%", vid.marginTop = 0, vid.marginLeft = 0; iframe.css({ width: vid.width, height: vid.height, marginTop: vid.marginTop, marginLeft: vid.marginLeft, maxWidth: "initial" }) }, jQuery.shuffle = function (e) { for (var t = e.slice(), r = t.length, o = r; o--;) { var a = parseInt(Math.random() * r), i = t[o]; t[o] = t[a], t[a] = i } return t }, jQuery.fn.unselectable = function () { return this.each(function () { jQuery(this).css({ "-moz-user-select": "none", "-webkit-user-select": "none", "user-select": "none" }).attr("unselectable", "on") }) }, jQuery.fn.YTPlayer = jQuery.mbYTPlayer.buildPlayer, jQuery.fn.mb_YTPlayer = jQuery.mbYTPlayer.buildPlayer, jQuery.fn.YTPCheckForState = jQuery.mbYTPlayer.checkForState, jQuery.fn.YTPGetPlayer = jQuery.mbYTPlayer.getPlayer, jQuery.fn.YTPGetVideoID = jQuery.mbYTPlayer.getVideoID, jQuery.fn.YTPGetPlaylistID = jQuery.mbYTPlayer.getPlaylistID, jQuery.fn.YTPChangeVideo = jQuery.fn.YTPChangeMovie = jQuery.mbYTPlayer.changeVideo, jQuery.fn.YTPPlayerDestroy = jQuery.mbYTPlayer.playerDestroy, jQuery.fn.YTPPlay = jQuery.mbYTPlayer.play, jQuery.fn.YTPTogglePlay = jQuery.mbYTPlayer.togglePlay, jQuery.fn.YTPStop = jQuery.mbYTPlayer.stop, jQuery.fn.YTPPause = jQuery.mbYTPlayer.pause, jQuery.fn.YTPSeekTo = jQuery.mbYTPlayer.seekTo, jQuery.fn.YTPlaylist = jQuery.mbYTPlayer.playlist, jQuery.fn.YTPPlayNext = jQuery.mbYTPlayer.playNext, jQuery.fn.YTPPlayPrev = jQuery.mbYTPlayer.playPrev, jQuery.fn.YTPPlayIndex = jQuery.mbYTPlayer.playIndex, jQuery.fn.YTPMute = jQuery.mbYTPlayer.mute, jQuery.fn.YTPUnmute = jQuery.mbYTPlayer.unmute, jQuery.fn.YTPToggleVolume = jQuery.mbYTPlayer.toggleVolume, jQuery.fn.YTPSetVolume = jQuery.mbYTPlayer.setVolume, jQuery.fn.YTPGetVolume = jQuery.mbYTPlayer.getVolume, jQuery.fn.YTPGetVideoData = jQuery.mbYTPlayer.getVideoData, jQuery.fn.YTPFullscreen = jQuery.mbYTPlayer.fullscreen, jQuery.fn.YTPToggleLoops = jQuery.mbYTPlayer.toggleLoops, jQuery.fn.YTPSetVideoQuality = jQuery.mbYTPlayer.setVideoQuality, jQuery.fn.YTPManageProgress = jQuery.mbYTPlayer.manageProgress, jQuery.fn.YTPApplyFilter = jQuery.mbYTPlayer.applyFilter, jQuery.fn.YTPApplyFilters = jQuery.mbYTPlayer.applyFilters, jQuery.fn.YTPToggleFilter = jQuery.mbYTPlayer.toggleFilter, jQuery.fn.YTPToggleFilters = jQuery.mbYTPlayer.toggleFilters, jQuery.fn.YTPRemoveFilter = jQuery.mbYTPlayer.removeFilter, jQuery.fn.YTPDisableFilters = jQuery.mbYTPlayer.disableFilters, jQuery.fn.YTPEnableFilters = jQuery.mbYTPlayer.enableFilters, jQuery.fn.YTPGetFilters = jQuery.mbYTPlayer.getFilters, jQuery.fn.YTPGetTime = jQuery.mbYTPlayer.getTime, jQuery.fn.YTPGetTotalTime = jQuery.mbYTPlayer.getTotalTime, jQuery.fn.YTPAddMask = jQuery.mbYTPlayer.addMask, jQuery.fn.YTPRemoveMask = jQuery.mbYTPlayer.removeMask, jQuery.fn.YTPToggleMask = jQuery.mbYTPlayer.toggleMask, jQuery.fn.YTPSetAnchor = jQuery.mbYTPlayer.setAnchor, jQuery.fn.YTPGetAnchor = jQuery.mbYTPlayer.getAnchor }(jQuery, ytp), jQuery.support.CSStransition = function () { var e = (document.body || document.documentElement).style; return void 0 !== e.transition || void 0 !== e.WebkitTransition || void 0 !== e.MozTransition || void 0 !== e.MsTransition || void 0 !== e.OTransition }(), jQuery.CSS = { name: "mb.CSSAnimate", author: "Matteo Bicocchi", version: "2.0.0", transitionEnd: "transitionEnd", sfx: "", filters: { blur: { min: 0, max: 100, unit: "px" }, brightness: { min: 0, max: 400, unit: "%" }, contrast: { min: 0, max: 400, unit: "%" }, grayscale: { min: 0, max: 100, unit: "%" }, hueRotate: { min: 0, max: 360, unit: "deg" }, invert: { min: 0, max: 100, unit: "%" }, saturate: { min: 0, max: 400, unit: "%" }, sepia: { min: 0, max: 100, unit: "%" } }, normalizeCss: function (e) { var t, r, o = jQuery.extend(!0, {}, e); for (t in jQuery.browser.webkit || jQuery.browser.opera ? jQuery.CSS.sfx = "-webkit-" : jQuery.browser.mozilla ? jQuery.CSS.sfx = "-moz-" : jQuery.browser.msie && (jQuery.CSS.sfx = "-ms-"), jQuery.CSS.sfx = "", o) "transform" === t && (o[jQuery.CSS.sfx + "transform"] = o[t], delete o[t]), "transform-origin" === t && (o[jQuery.CSS.sfx + "transform-origin"] = e[t], delete o[t]), "filter" !== t || jQuery.browser.mozilla || (o[jQuery.CSS.sfx + "filter"] = e[t], delete o[t]), "blur" === t && setFilter(o, "blur", e[t]), "brightness" === t && setFilter(o, "brightness", e[t]), "contrast" === t && setFilter(o, "contrast", e[t]), "grayscale" === t && setFilter(o, "grayscale", e[t]), "hueRotate" === t && setFilter(o, "hueRotate", e[t]), "invert" === t && setFilter(o, "invert", e[t]), "saturate" === t && setFilter(o, "saturate", e[t]), "sepia" === t && setFilter(o, "sepia", e[t]), "x" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " translateX(" + setUnit(e[t], "px") + ")", delete o[t]), "y" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " translateY(" + setUnit(e[t], "px") + ")", delete o[t]), "z" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " translateZ(" + setUnit(e[t], "px") + ")", delete o[t]), "rotate" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " rotate(" + setUnit(e[t], "deg") + ")", delete o[t]), "rotateX" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " rotateX(" + setUnit(e[t], "deg") + ")", delete o[t]), "rotateY" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " rotateY(" + setUnit(e[t], "deg") + ")", delete o[t]), "rotateZ" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " rotateZ(" + setUnit(e[t], "deg") + ")", delete o[t]), "scale" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " scale(" + setUnit(e[t], "") + ")", delete o[t]), "scaleX" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " scaleX(" + setUnit(e[t], "") + ")", delete o[t]), "scaleY" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " scaleY(" + setUnit(e[t], "") + ")", delete o[t]), "scaleZ" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " scaleZ(" + setUnit(e[t], "") + ")", delete o[t]), "skew" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " skew(" + setUnit(e[t], "deg") + ")", delete o[t]), "skewX" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " skewX(" + setUnit(e[t], "deg") + ")", delete o[t]), "skewY" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " skewY(" + setUnit(e[t], "deg") + ")", delete o[t]), "perspective" === t && (o[r = jQuery.CSS.sfx + "transform"] = o[r] || "", o[r] += " perspective(" + setUnit(e[t], "px") + ")", delete o[t]); return o }, getProp: function (e) { var t, r = []; for (t in e) r.indexOf(t) < 0 && r.push(uncamel(t)); return r.join(",") }, animate: function (s, l, u, c, d) { return this.each(function () { function e() { t.called = !0, t.CSSAIsRunning = !1, r.off(jQuery.CSS.transitionEnd + "." + t.id), clearTimeout(t.timeout), r.css(jQuery.CSS.sfx + "transition", ""), "function" == typeof d && d.apply(t), "function" == typeof t.CSSqueue && (t.CSSqueue(), t.CSSqueue = null) } var t = this, r = jQuery(this); t.id = t.id || "CSSA_" + (new Date).getTime(); var o = o || { type: "noEvent" }; if (t.CSSAIsRunning && t.eventType == o.type && !jQuery.browser.msie && jQuery.browser.version <= 9) t.CSSqueue = function () { r.CSSAnimate(s, l, u, c, d) }; else if (t.CSSqueue = null, t.eventType = o.type, 0 !== r.length && s) { if (s = jQuery.normalizeCss(s), t.CSSAIsRunning = !0, "function" == typeof l && (d = l, l = jQuery.fx.speeds._default), "function" == typeof u && (c = u, u = 0), "string" == typeof u && (d = u, u = 0), "function" == typeof c && (d = c, c = "cubic-bezier(0.65,0.03,0.36,0.72)"), "string" == typeof l) for (var a in jQuery.fx.speeds) { if (l == a) { l = jQuery.fx.speeds[a]; break } l = jQuery.fx.speeds._default } if (l = l || jQuery.fx.speeds._default, "string" == typeof d && (c = d, d = null), jQuery.support.CSStransition) { var i = { default: "ease", in: "ease-in", out: "ease-out", "in-out": "ease-in-out", snap: "cubic-bezier(0,1,.5,1)", easeOutCubic: "cubic-bezier(.215,.61,.355,1)", easeInOutCubic: "cubic-bezier(.645,.045,.355,1)", easeInCirc: "cubic-bezier(.6,.04,.98,.335)", easeOutCirc: "cubic-bezier(.075,.82,.165,1)", easeInOutCirc: "cubic-bezier(.785,.135,.15,.86)", easeInExpo: "cubic-bezier(.95,.05,.795,.035)", easeOutExpo: "cubic-bezier(.19,1,.22,1)", easeInOutExpo: "cubic-bezier(1,0,0,1)", easeInQuad: "cubic-bezier(.55,.085,.68,.53)", easeOutQuad: "cubic-bezier(.25,.46,.45,.94)", easeInOutQuad: "cubic-bezier(.455,.03,.515,.955)", easeInQuart: "cubic-bezier(.895,.03,.685,.22)", easeOutQuart: "cubic-bezier(.165,.84,.44,1)", easeInOutQuart: "cubic-bezier(.77,0,.175,1)", easeInQuint: "cubic-bezier(.755,.05,.855,.06)", easeOutQuint: "cubic-bezier(.23,1,.32,1)", easeInOutQuint: "cubic-bezier(.86,0,.07,1)", easeInSine: "cubic-bezier(.47,0,.745,.715)", easeOutSine: "cubic-bezier(.39,.575,.565,1)", easeInOutSine: "cubic-bezier(.445,.05,.55,.95)", easeInBack: "cubic-bezier(.6,-.28,.735,.045)", easeOutBack: "cubic-bezier(.175, .885,.32,1.275)", easeInOutBack: "cubic-bezier(.68,-.55,.265,1.55)" }; i[c] && (c = i[c]), r.off(jQuery.CSS.transitionEnd + "." + t.id), i = jQuery.CSS.getProp(s); var n = {}; jQuery.extend(n, s), n[jQuery.CSS.sfx + "transition-property"] = i, n[jQuery.CSS.sfx + "transition-duration"] = l + "ms", n[jQuery.CSS.sfx + "transition-delay"] = u + "ms", n[jQuery.CSS.sfx + "transition-timing-function"] = c, setTimeout(function () { r.one(jQuery.CSS.transitionEnd + "." + t.id, e), r.css(n) }, 1), t.timeout = setTimeout(function () { t.called || !d ? (t.called = !1, t.CSSAIsRunning = !1) : (r.css(jQuery.CSS.sfx + "transition", ""), d.apply(t), t.CSSAIsRunning = !1, "function" == typeof t.CSSqueue && (t.CSSqueue(), t.CSSqueue = null)) }, l + u + 10) } else { for (i in s) "transform" === i && delete s[i], "filter" === i && delete s[i], "transform-origin" === i && delete s[i], "auto" === s[i] && delete s[i], "x" === i && (o = s[i], a = "left", s[a] = o, delete s[i]), "y" === i && (o = s[i], a = "top", s[a] = o, delete s[i]), "-ms-transform" !== i && "-ms-filter" !== i || delete s[i]; r.delay(u).animate(s, l, d) } } }) } }, jQuery.fn.CSSAnimate = jQuery.CSS.animate, jQuery.normalizeCss = jQuery.CSS.normalizeCss, jQuery.fn.css3 = function (r) { return this.each(function () { var e = jQuery(this), t = jQuery.normalizeCss(r); e.css(t) }) }; var nAgt = navigator.userAgent; function isTouchSupported() { var e = nAgt.msMaxTouchPoints, t = "ontouchstart" in document.createElement("div"); return !(!e && !t) } jQuery.browser = jQuery.browser || {}, jQuery.browser.mozilla = !1, jQuery.browser.webkit = !1, jQuery.browser.opera = !1, jQuery.browser.safari = !1, jQuery.browser.chrome = !1, jQuery.browser.androidStock = !1, jQuery.browser.msie = !1, jQuery.browser.edge = !1, jQuery.browser.ua = nAgt; var getOS = function () { var e = { version: "Unknown version", name: "Unknown OS" }; return -1 != navigator.appVersion.indexOf("Win") && (e.name = "Windows"), -1 != navigator.appVersion.indexOf("Mac") && navigator.appVersion.indexOf("Mobile") < 0 && (e.name = "Mac"), -1 != navigator.appVersion.indexOf("Linux") && (e.name = "Linux"), /Mac OS X/.test(nAgt) && !/Mobile/.test(nAgt) && (e.version = /Mac OS X (10[\.\_\d]+)/.exec(nAgt)[1], e.version = e.version.replace(/_/g, ".").substring(0, 5)), /Windows/.test(nAgt) && (e.version = "Unknown.Unknown"), /Windows NT 5.1/.test(nAgt) && (e.version = "5.1"), /Windows NT 6.0/.test(nAgt) && (e.version = "6.0"), /Windows NT 6.1/.test(nAgt) && (e.version = "6.1"), /Windows NT 6.2/.test(nAgt) && (e.version = "6.2"), /Windows NT 10.0/.test(nAgt) && (e.version = "10.0"), /Linux/.test(nAgt) && /Linux/.test(nAgt) && (e.version = "Unknown.Unknown"), e.name = e.name.toLowerCase(), e.major_version = "Unknown", e.minor_version = "Unknown", "Unknown.Unknown" != e.version && (e.major_version = parseFloat(e.version.split(".")[0]), e.minor_version = parseFloat(e.version.split(".")[1])), e }, nameOffset, verOffset, ix, start, end; jQuery.browser.os = getOS(), jQuery.browser.hasTouch = isTouchSupported(), jQuery.browser.name = navigator.appName, jQuery.browser.fullVersion = "" + parseFloat(navigator.appVersion), jQuery.browser.majorVersion = parseInt(navigator.appVersion, 10), -1 != (verOffset = nAgt.indexOf("Opera")) ? (jQuery.browser.opera = !0, jQuery.browser.name = "Opera", jQuery.browser.fullVersion = nAgt.substring(verOffset + 6), -1 != (verOffset = nAgt.indexOf("Version")) && (jQuery.browser.fullVersion = nAgt.substring(verOffset + 8))) : -1 != (verOffset = nAgt.indexOf("OPR")) ? (jQuery.browser.opera = !0, jQuery.browser.name = "Opera", jQuery.browser.fullVersion = nAgt.substring(verOffset + 4)) : -1 != (verOffset = nAgt.indexOf("MSIE")) ? (jQuery.browser.msie = !0, jQuery.browser.name = "Microsoft Internet Explorer", jQuery.browser.fullVersion = nAgt.substring(verOffset + 5)) : -1 != nAgt.indexOf("Trident") ? (jQuery.browser.msie = !0, jQuery.browser.name = "Microsoft Internet Explorer", start = nAgt.indexOf("rv:") + 3, end = start + 4, jQuery.browser.fullVersion = nAgt.substring(start, end)) : -1 != (verOffset = nAgt.indexOf("Edge")) ? (jQuery.browser.edge = !0, jQuery.browser.name = "Microsoft Edge", jQuery.browser.fullVersion = nAgt.substring(verOffset + 5)) : -1 != (verOffset = nAgt.indexOf("Chrome")) ? (jQuery.browser.webkit = !0, jQuery.browser.chrome = !0, jQuery.browser.name = "Chrome", jQuery.browser.fullVersion = nAgt.substring(verOffset + 7)) : -1 < nAgt.indexOf("mozilla/5.0") && -1 < nAgt.indexOf("android ") && -1 < nAgt.indexOf("applewebkit") && !(-1 < nAgt.indexOf("chrome")) ? (verOffset = nAgt.indexOf("Chrome"), jQuery.browser.webkit = !0, jQuery.browser.androidStock = !0, jQuery.browser.name = "androidStock", jQuery.browser.fullVersion = nAgt.substring(verOffset + 7)) : -1 != (verOffset = nAgt.indexOf("Safari")) || -1 != (verOffset = nAgt.indexOf("AppleWebkit")) ? (jQuery.browser.webkit = !0, jQuery.browser.safari = !0, jQuery.browser.name = "Safari", jQuery.browser.fullVersion = nAgt.substring(verOffset + 7), -1 != (verOffset = nAgt.indexOf("Version")) && (jQuery.browser.fullVersion = nAgt.substring(verOffset + 8))) : -1 != (verOffset = nAgt.indexOf("Firefox")) ? (jQuery.browser.mozilla = !0, jQuery.browser.name = "Firefox", jQuery.browser.fullVersion = nAgt.substring(verOffset + 8)) : (nameOffset = nAgt.lastIndexOf(" ") + 1) < (verOffset = nAgt.lastIndexOf("/")) && (jQuery.browser.name = nAgt.substring(nameOffset, verOffset), jQuery.browser.fullVersion = nAgt.substring(verOffset + 1), jQuery.browser.name.toLowerCase() == jQuery.browser.name.toUpperCase() && (jQuery.browser.name = navigator.appName)), -1 != (ix = jQuery.browser.fullVersion.indexOf(";")) && (jQuery.browser.fullVersion = jQuery.browser.fullVersion.substring(0, ix)), -1 != (ix = jQuery.browser.fullVersion.indexOf(" ")) && (jQuery.browser.fullVersion = jQuery.browser.fullVersion.substring(0, ix)), jQuery.browser.majorVersion = parseInt("" + jQuery.browser.fullVersion, 10), isNaN(jQuery.browser.majorVersion) && (jQuery.browser.fullVersion = "" + parseFloat(navigator.appVersion), jQuery.browser.majorVersion = parseInt(navigator.appVersion, 10)), jQuery.browser.version = jQuery.browser.majorVersion, jQuery.browser.android = /Android/i.test(nAgt), jQuery.browser.blackberry = /BlackBerry|BB|PlayBook/i.test(nAgt), jQuery.browser.ios = /iPhone|iPad|iPod|webOS/i.test(nAgt), jQuery.browser.operaMobile = /Opera Mini/i.test(nAgt), jQuery.browser.windowsMobile = /IEMobile|Windows Phone/i.test(nAgt), jQuery.browser.kindle = /Kindle|Silk/i.test(nAgt), jQuery.browser.mobile = jQuery.browser.android || jQuery.browser.blackberry || jQuery.browser.ios || jQuery.browser.windowsMobile || jQuery.browser.operaMobile || jQuery.browser.kindle, jQuery.isMobile = jQuery.browser.mobile, jQuery.isTablet = jQuery.browser.mobile && 765 < jQuery(window).width(), jQuery.isAndroidDefault = jQuery.browser.android && !/chrome/i.test(nAgt), jQuery.mbBrowser = jQuery.browser, jQuery.browser.versionCompare = function (e, t) { if ("stringstring" != typeof e + typeof t) return !1; for (var r = e.split("."), o = t.split("."), a = 0, i = Math.max(r.length, o.length); a < i; a++) { if (r[a] && !o[a] && 0 < parseInt(r[a]) || parseInt(r[a]) > parseInt(o[a])) return 1; if (o[a] && !r[a] && 0 < parseInt(o[a]) || parseInt(r[a]) < parseInt(o[a])) return -1 } return 0 }; var nAgt = navigator.userAgent; function isTouchSupported() { var e = nAgt.msMaxTouchPoints, t = "ontouchstart" in document.createElement("div"); return !(!e && !t) } jQuery.browser = jQuery.browser || {}, jQuery.browser.mozilla = !1, jQuery.browser.webkit = !1, jQuery.browser.opera = !1, jQuery.browser.safari = !1, jQuery.browser.chrome = !1, jQuery.browser.androidStock = !1, jQuery.browser.msie = !1, jQuery.browser.edge = !1, jQuery.browser.ua = nAgt; var getOS = function () { var e = { version: "Unknown version", name: "Unknown OS" }; return -1 != navigator.appVersion.indexOf("Win") && (e.name = "Windows"), -1 != navigator.appVersion.indexOf("Mac") && navigator.appVersion.indexOf("Mobile") < 0 && (e.name = "Mac"), -1 != navigator.appVersion.indexOf("Linux") && (e.name = "Linux"), /Mac OS X/.test(nAgt) && !/Mobile/.test(nAgt) && (e.version = /Mac OS X (10[\.\_\d]+)/.exec(nAgt)[1], e.version = e.version.replace(/_/g, ".").substring(0, 5)), /Windows/.test(nAgt) && (e.version = "Unknown.Unknown"), /Windows NT 5.1/.test(nAgt) && (e.version = "5.1"), /Windows NT 6.0/.test(nAgt) && (e.version = "6.0"), /Windows NT 6.1/.test(nAgt) && (e.version = "6.1"), /Windows NT 6.2/.test(nAgt) && (e.version = "6.2"), /Windows NT 10.0/.test(nAgt) && (e.version = "10.0"), /Linux/.test(nAgt) && /Linux/.test(nAgt) && (e.version = "Unknown.Unknown"), e.name = e.name.toLowerCase(), e.major_version = "Unknown", e.minor_version = "Unknown", "Unknown.Unknown" != e.version && (e.major_version = parseFloat(e.version.split(".")[0]), e.minor_version = parseFloat(e.version.split(".")[1])), e }, nameOffset, verOffset, ix, start, end; jQuery.browser.os = getOS(), jQuery.browser.hasTouch = isTouchSupported(), jQuery.browser.name = navigator.appName, jQuery.browser.fullVersion = "" + parseFloat(navigator.appVersion), jQuery.browser.majorVersion = parseInt(navigator.appVersion, 10), -1 != (verOffset = nAgt.indexOf("Opera")) ? (jQuery.browser.opera = !0, jQuery.browser.name = "Opera", jQuery.browser.fullVersion = nAgt.substring(verOffset + 6), -1 != (verOffset = nAgt.indexOf("Version")) && (jQuery.browser.fullVersion = nAgt.substring(verOffset + 8))) : -1 != (verOffset = nAgt.indexOf("OPR")) ? (jQuery.browser.opera = !0, jQuery.browser.name = "Opera", jQuery.browser.fullVersion = nAgt.substring(verOffset + 4)) : -1 != (verOffset = nAgt.indexOf("MSIE")) ? (jQuery.browser.msie = !0, jQuery.browser.name = "Microsoft Internet Explorer", jQuery.browser.fullVersion = nAgt.substring(verOffset + 5)) : -1 != nAgt.indexOf("Trident") ? (jQuery.browser.msie = !0, jQuery.browser.name = "Microsoft Internet Explorer", start = nAgt.indexOf("rv:") + 3, end = start + 4, jQuery.browser.fullVersion = nAgt.substring(start, end)) : -1 != (verOffset = nAgt.indexOf("Edge")) ? (jQuery.browser.edge = !0, jQuery.browser.name = "Microsoft Edge", jQuery.browser.fullVersion = nAgt.substring(verOffset + 5)) : -1 != (verOffset = nAgt.indexOf("Chrome")) ? (jQuery.browser.webkit = !0, jQuery.browser.chrome = !0, jQuery.browser.name = "Chrome", jQuery.browser.fullVersion = nAgt.substring(verOffset + 7)) : -1 < nAgt.indexOf("mozilla/5.0") && -1 < nAgt.indexOf("android ") && -1 < nAgt.indexOf("applewebkit") && !(-1 < nAgt.indexOf("chrome")) ? (verOffset = nAgt.indexOf("Chrome"), jQuery.browser.webkit = !0, jQuery.browser.androidStock = !0, jQuery.browser.name = "androidStock", jQuery.browser.fullVersion = nAgt.substring(verOffset + 7)) : -1 != (verOffset = nAgt.indexOf("Safari")) || -1 != (verOffset = nAgt.indexOf("AppleWebkit")) ? (jQuery.browser.webkit = !0, jQuery.browser.safari = !0, jQuery.browser.name = "Safari", jQuery.browser.fullVersion = nAgt.substring(verOffset + 7), -1 != (verOffset = nAgt.indexOf("Version")) && (jQuery.browser.fullVersion = nAgt.substring(verOffset + 8))) : -1 != (verOffset = nAgt.indexOf("Firefox")) ? (jQuery.browser.mozilla = !0, jQuery.browser.name = "Firefox", jQuery.browser.fullVersion = nAgt.substring(verOffset + 8)) : (nameOffset = nAgt.lastIndexOf(" ") + 1) < (verOffset = nAgt.lastIndexOf("/")) && (jQuery.browser.name = nAgt.substring(nameOffset, verOffset), jQuery.browser.fullVersion = nAgt.substring(verOffset + 1), jQuery.browser.name.toLowerCase() == jQuery.browser.name.toUpperCase() && (jQuery.browser.name = navigator.appName)), -1 != (ix = jQuery.browser.fullVersion.indexOf(";")) && (jQuery.browser.fullVersion = jQuery.browser.fullVersion.substring(0, ix)), -1 != (ix = jQuery.browser.fullVersion.indexOf(" ")) && (jQuery.browser.fullVersion = jQuery.browser.fullVersion.substring(0, ix)), jQuery.browser.majorVersion = parseInt("" + jQuery.browser.fullVersion, 10), isNaN(jQuery.browser.majorVersion) && (jQuery.browser.fullVersion = "" + parseFloat(navigator.appVersion), jQuery.browser.majorVersion = parseInt(navigator.appVersion, 10)), jQuery.browser.version = jQuery.browser.majorVersion, jQuery.browser.android = /Android/i.test(nAgt), jQuery.browser.blackberry = /BlackBerry|BB|PlayBook/i.test(nAgt), jQuery.browser.ios = /iPhone|iPad|iPod|webOS/i.test(nAgt), jQuery.browser.operaMobile = /Opera Mini/i.test(nAgt), jQuery.browser.windowsMobile = /IEMobile|Windows Phone/i.test(nAgt), jQuery.browser.kindle = /Kindle|Silk/i.test(nAgt), jQuery.browser.mobile = jQuery.browser.android || jQuery.browser.blackberry || jQuery.browser.ios || jQuery.browser.windowsMobile || jQuery.browser.operaMobile || jQuery.browser.kindle, jQuery.isMobile = jQuery.browser.mobile, jQuery.isTablet = jQuery.browser.mobile && 765 < jQuery(window).width(), jQuery.isAndroidDefault = jQuery.browser.android && !/chrome/i.test(nAgt), jQuery.mbBrowser = jQuery.browser, jQuery.browser.versionCompare = function (e, t) { if ("stringstring" != typeof e + typeof t) return !1; for (var r = e.split("."), o = t.split("."), a = 0, i = Math.max(r.length, o.length); a < i; a++) { if (r[a] && !o[a] && 0 < parseInt(r[a]) || parseInt(r[a]) > parseInt(o[a])) return 1; if (o[a] && !r[a] && 0 < parseInt(o[a]) || parseInt(r[a]) < parseInt(o[a])) return -1 } return 0 }, function (a) { a.simpleSlider = { defaults: { initialval: 0, scale: 100, orientation: "h", readonly: !1, callback: !1 }, events: { start: a.browser.mobile ? "touchstart" : "mousedown", end: a.browser.mobile ? "touchend" : "mouseup", move: a.browser.mobile ? "touchmove" : "mousemove" }, init: function (o) { return this.each(function () { var t = this, r = a(t); r.addClass("simpleSlider"), t.opt = {}, a.extend(t.opt, a.simpleSlider.defaults, o), a.extend(t.opt, r.data()); var e = "h" == t.opt.orientation ? "horizontal" : "vertical", e = a("<div/>").addClass("level").addClass(e); r.prepend(e), t.level = e, r.css({ cursor: "default" }), "auto" == t.opt.scale && (t.opt.scale = a(t).outerWidth()), r.updateSliderVal(), t.opt.readonly || (r.on(a.simpleSlider.events.start, function (e) { a.browser.mobile && (e = e.changedTouches[0]), t.canSlide = !0, r.updateSliderVal(e), "h" == t.opt.orientation ? r.css({ cursor: "col-resize" }) : r.css({ cursor: "row-resize" }), a.browser.mobile || (e.preventDefault(), e.stopPropagation()) }), a(document).on(a.simpleSlider.events.move, function (e) { a.browser.mobile && (e = e.changedTouches[0]), t.canSlide && (a(document).css({ cursor: "default" }), r.updateSliderVal(e), a.browser.mobile || (e.preventDefault(), e.stopPropagation())) }).on(a.simpleSlider.events.end, function () { a(document).css({ cursor: "auto" }), t.canSlide = !1, r.css({ cursor: "auto" }) })) }) }, updateSliderVal: function (e) { var t, r, o = this.get(0); o.opt && (o.opt.initialval = "number" == typeof o.opt.initialval ? o.opt.initialval : o.opt.initialval(o), t = a(o).outerWidth(), r = a(o).outerHeight(), o.x = "object" == typeof e ? e.clientX + document.body.scrollLeft - this.offset().left : "number" == typeof e ? e * t / o.opt.scale : o.opt.initialval * t / o.opt.scale, o.y = "object" == typeof e ? e.clientY + document.body.scrollTop - this.offset().top : "number" == typeof e ? (o.opt.scale - o.opt.initialval - e) * r / o.opt.scale : o.opt.initialval * r / o.opt.scale, o.y = this.outerHeight() - o.y, o.scaleX = o.x * o.opt.scale / t, o.scaleY = o.y * o.opt.scale / r, o.outOfRangeX = o.scaleX > o.opt.scale ? o.scaleX - o.opt.scale : o.scaleX < 0 ? o.scaleX : 0, o.outOfRangeY = o.scaleY > o.opt.scale ? o.scaleY - o.opt.scale : o.scaleY < 0 ? o.scaleY : 0, o.outOfRange = "h" == o.opt.orientation ? o.outOfRangeX : o.outOfRangeY, o.value = void 0 !== e ? "h" == o.opt.orientation ? o.x >= this.outerWidth() ? o.opt.scale : o.x <= 0 ? 0 : o.scaleX : o.y >= this.outerHeight() ? o.opt.scale : o.y <= 0 ? 0 : o.scaleY : "h" == o.opt.orientation ? o.scaleX : o.scaleY, "h" == o.opt.orientation ? o.level.width(Math.floor(100 * o.x / t) + "%") : o.level.height(Math.floor(100 * o.y / r)), "function" == typeof o.opt.callback && o.opt.callback(o)) } }, a.fn.simpleSlider = a.simpleSlider.init, a.fn.updateSliderVal = a.simpleSlider.updateSliderVal }(jQuery), function (t) { t.mbCookie = { set: function (e, t, r, o) { "object" == typeof t && (t = JSON.stringify(t)), o = o ? "; domain=" + o : ""; var a = new Date, i = ""; 0 < r && (a.setTime(a.getTime() + 864e5 * r), i = "; expires=" + a.toGMTString()), document.cookie = e + "=" + t + i + "; path=/" + o }, get: function (t) { t += "="; for (var e = document.cookie.split(";"), r = 0; r < e.length; r++) { for (var o = e[r]; " " == o.charAt(0);)o = o.substring(1, o.length); if (0 == o.indexOf(t)) try { return JSON.parse(o.substring(t.length, o.length)) } catch (e) { return o.substring(t.length, o.length) } } return null }, remove: function (e) { t.mbCookie.set(e, "", -1) } }, t.mbStorage = { set: function (e, t) { "object" == typeof t && (t = JSON.stringify(t)), localStorage.setItem(e, t) }, get: function (t) { if (!localStorage[t]) return null; try { return JSON.parse(localStorage[t]) } catch (e) { return localStorage[t] } }, remove: function (e) { e ? localStorage.removeItem(e) : localStorage.clear() } } }(jQuery), function (P) { function T() { var e = location.href; return hashtag = -1 !== e.indexOf("#prettyPhoto") && decodeURI(e.substring(e.indexOf("#prettyPhoto") + 1, e.length)), hashtag = hashtag && hashtag.replace(/<|>/g, ""), hashtag } function w(e, t) { e = e.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]"); t = new RegExp("[\\?&]" + e + "=([^&#]*)").exec(t); return null == t ? "" : t[1] } P.prettyPhoto = { version: "3.1.6" }, P.fn.prettyPhoto = function (t) { t = jQuery.extend({ hook: "rel", animation_speed: "fast", ajaxcallback: function () { }, slideshow: 5e3, autoplay_slideshow: !1, opacity: .8, show_title: !0, allow_resize: !0, allow_expand: !0, default_width: 500, default_height: 344, counter_separator_label: "/", theme: "pp_default", horizontal_padding: 20, hideflash: !1, wmode: "opaque", autoplay: !0, modal: !1, deeplinking: !0, overlay_gallery: !0, overlay_gallery_max: 30, keyboard_shortcuts: !0, changepicturecallback: function () { }, callback: function () { }, ie6_fallback: !0, markup: '<div class="pp_pic_holder"> \t\t\t\t\t\t<div class="ppt">&nbsp;</div> \t\t\t\t\t\t<div class="pp_top"> \t\t\t\t\t\t\t<div class="pp_left"></div> \t\t\t\t\t\t\t<div class="pp_middle"></div> \t\t\t\t\t\t\t<div class="pp_right"></div> \t\t\t\t\t\t</div> \t\t\t\t\t\t<div class="pp_content_container"> \t\t\t\t\t\t\t<div class="pp_left"> \t\t\t\t\t\t\t<div class="pp_right"> \t\t\t\t\t\t\t\t<div class="pp_content"> \t\t\t\t\t\t\t\t\t<div class="pp_loaderIcon"></div> \t\t\t\t\t\t\t\t\t<div class="pp_fade"> \t\t\t\t\t\t\t\t\t\t<a href="#" class="pp_expand" title="Expand the image">Expand</a> \t\t\t\t\t\t\t\t\t\t<div class="pp_hoverContainer"> \t\t\t\t\t\t\t\t\t\t\t<a class="pp_next" href="#">next</a> \t\t\t\t\t\t\t\t\t\t\t<a class="pp_previous" href="#">previous</a> \t\t\t\t\t\t\t\t\t\t</div> \t\t\t\t\t\t\t\t\t\t<div id="pp_full_res"></div> \t\t\t\t\t\t\t\t\t\t<div class="pp_details"> \t\t\t\t\t\t\t\t\t\t\t<div class="pp_nav"> \t\t\t\t\t\t\t\t\t\t\t\t<a href="#" class="pp_arrow_previous">Previous</a> \t\t\t\t\t\t\t\t\t\t\t\t<p class="currentTextHolder">0/0</p> \t\t\t\t\t\t\t\t\t\t\t\t<a href="#" class="pp_arrow_next">Next</a> \t\t\t\t\t\t\t\t\t\t\t</div> \t\t\t\t\t\t\t\t\t\t\t<p class="pp_description"></p> \t\t\t\t\t\t\t\t\t\t\t<div class="pp_social">{pp_social}</div> \t\t\t\t\t\t\t\t\t\t\t<a class="pp_close" href="#">Close</a> \t\t\t\t\t\t\t\t\t\t</div> \t\t\t\t\t\t\t\t\t</div> \t\t\t\t\t\t\t\t</div> \t\t\t\t\t\t\t</div> \t\t\t\t\t\t\t</div> \t\t\t\t\t\t</div> \t\t\t\t\t\t<div class="pp_bottom"> \t\t\t\t\t\t\t<div class="pp_left"></div> \t\t\t\t\t\t\t<div class="pp_middle"></div> \t\t\t\t\t\t\t<div class="pp_right"></div> \t\t\t\t\t\t</div> \t\t\t\t\t</div> \t\t\t\t\t<div class="pp_overlay"></div>', gallery_markup: '<div class="pp_gallery"> \t\t\t\t\t\t\t\t<a href="#" class="pp_arrow_previous">Previous</a> \t\t\t\t\t\t\t\t<div> \t\t\t\t\t\t\t\t\t<ul> \t\t\t\t\t\t\t\t\t\t{gallery} \t\t\t\t\t\t\t\t\t</ul> \t\t\t\t\t\t\t\t</div> \t\t\t\t\t\t\t\t<a href="#" class="pp_arrow_next">Next</a> \t\t\t\t\t\t\t</div>', image_markup: '<img id="fullResImage" src="{path}" />', flash_markup: '<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="{width}" height="{height}"><param name="wmode" value="{wmode}" /><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="{path}" /><embed src="{path}" type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="always" width="{width}" height="{height}" wmode="{wmode}"></embed></object>', quicktime_markup: '<object classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" codebase="http://www.apple.com/qtactivex/qtplugin.cab" height="{height}" width="{width}"><param name="src" value="{path}"><param name="autoplay" value="{autoplay}"><param name="type" value="video/quicktime"><embed src="{path}" height="{height}" width="{width}" autoplay="{autoplay}" type="video/quicktime" pluginspage="http://www.apple.com/quicktime/download/"></embed></object>', iframe_markup: '<iframe src ="{path}" width="{width}" height="{height}" frameborder="no"></iframe>', inline_markup: '<div class="pp_inline">{content}</div>', custom_markup: "", social_tools: '<div class="twitter"><a href="http://twitter.com/share" class="twitter-share-button" data-count="none">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"><\/script></div><div class="facebook"><iframe src="//www.facebook.com/plugins/like.php?locale=en_US&href={location_href}&amp;layout=button_count&amp;show_faces=true&amp;width=500&amp;action=like&amp;font&amp;colorscheme=light&amp;height=23" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:500px; height:23px;" allowTransparency="true"></iframe></div>' }, t); var r, e, o, a, i, n, s, l = this, u = !1, c = P(window).height(), d = P(window).width(); function p() { P(".pp_loaderIcon").hide(), projectedTop = scroll_pos.scrollTop + (c / 2 - r.containerHeight / 2), projectedTop < 0 && (projectedTop = 0), $ppt.fadeTo(settings.animation_speed, 1), $pp_pic_holder.find(".pp_content").animate({ height: r.contentHeight, width: r.contentWidth }, settings.animation_speed), $pp_pic_holder.animate({ top: projectedTop, left: d / 2 - r.containerWidth / 2 < 0 ? 0 : d / 2 - r.containerWidth / 2, width: r.containerWidth }, settings.animation_speed, function () { $pp_pic_holder.find(".pp_hoverContainer,#fullResImage").height(r.height).width(r.width), $pp_pic_holder.find(".pp_fade").fadeIn(settings.animation_speed), isSet && "image" == g(pp_images[set_position]) ? $pp_pic_holder.find(".pp_hoverContainer").show() : $pp_pic_holder.find(".pp_hoverContainer").hide(), settings.allow_expand && (r.resized ? P("a.pp_expand,a.pp_contract").show() : P("a.pp_expand").hide()), !settings.autoplay_slideshow || s || e || P.prettyPhoto.startSlideshow(), settings.changepicturecallback(), e = !0 }), isSet && settings.overlay_gallery && "image" == g(pp_images[set_position]) ? (itemWidth = 57, navWidth = "facebook" == settings.theme || "pp_default" == settings.theme ? 50 : 30, itemsPerPage = Math.floor((r.containerWidth - 100 - navWidth) / itemWidth), itemsPerPage = itemsPerPage < pp_images.length ? itemsPerPage : pp_images.length, totalPage = Math.ceil(pp_images.length / itemsPerPage) - 1, 0 == totalPage ? (navWidth = 0, $pp_gallery.find(".pp_arrow_next,.pp_arrow_previous").hide()) : $pp_gallery.find(".pp_arrow_next,.pp_arrow_previous").show(), galleryWidth = itemsPerPage * itemWidth, fullGalleryWidth = pp_images.length * itemWidth, $pp_gallery.css("margin-left", -(galleryWidth / 2 + navWidth / 2)).find("div:first").width(galleryWidth + 5).find("ul").width(fullGalleryWidth).find("li.selected").removeClass("selected"), goToPage = Math.floor(set_position / itemsPerPage) < totalPage ? Math.floor(set_position / itemsPerPage) : totalPage, P.prettyPhoto.changeGalleryPage(goToPage), $pp_gallery_li.filter(":eq(" + set_position + ")").addClass("selected")) : $pp_pic_holder.find(".pp_content").unbind("mouseenter mouseleave"), t.ajaxcallback() } function y(e) { $pp_pic_holder.find("#pp_full_res object,#pp_full_res embed").css("visibility", "hidden"), $pp_pic_holder.find(".pp_fade").fadeOut(settings.animation_speed, function () { P(".pp_loaderIcon").show(), e() }) } function f(e, t) { if (resized = !1, m(e, t), imageWidth = e, imageHeight = t, (d < n || c < i) && doresize && settings.allow_resize && !u) { for (resized = !0, fitting = !1; !fitting;)d < n ? (imageWidth = d - 200, imageHeight = t / e * imageWidth) : c < i ? (imageHeight = c - 200, imageWidth = e / t * imageHeight) : fitting = !0, i = imageHeight, n = imageWidth; (d < n || c < i) && f(n, i), m(imageWidth, imageHeight) } return { width: Math.floor(imageWidth), height: Math.floor(imageHeight), containerHeight: Math.floor(i), containerWidth: Math.floor(n) + 2 * settings.horizontal_padding, contentHeight: Math.floor(o), contentWidth: Math.floor(a), resized: resized } } function m(e, t) { e = parseFloat(e), t = parseFloat(t), $pp_details = $pp_pic_holder.find(".pp_details"), $pp_details.width(e), detailsHeight = parseFloat($pp_details.css("marginTop")) + parseFloat($pp_details.css("marginBottom")), $pp_details = $pp_details.clone().addClass(settings.theme).width(e).appendTo(P("body")).css({ position: "absolute", top: -1e4 }), detailsHeight += $pp_details.height(), detailsHeight = detailsHeight <= 34 ? 36 : detailsHeight, $pp_details.remove(), $pp_title = $pp_pic_holder.find(".ppt"), $pp_title.width(e), titleHeight = parseFloat($pp_title.css("marginTop")) + parseFloat($pp_title.css("marginBottom")), $pp_title = $pp_title.clone().appendTo(P("body")).css({ position: "absolute", top: -1e4 }), titleHeight += $pp_title.height(), $pp_title.remove(), o = t + detailsHeight, a = e, i = o + titleHeight + $pp_pic_holder.find(".pp_top").height() + $pp_pic_holder.find(".pp_bottom").height(), n = e } function g(e) { return e.match(/youtube\.com\/watch/i) || e.match(/youtu\.be/i) ? "youtube" : e.match(/vimeo\.com/i) ? "vimeo" : e.match(/\b.mov\b/i) ? "quicktime" : e.match(/\b.swf\b/i) ? "flash" : e.match(/\biframe=true\b/i) ? "iframe" : e.match(/\bajax=true\b/i) ? "ajax" : e.match(/\bcustom=true\b/i) ? "custom" : "#" == e.substr(0, 1) ? "inline" : "image" } function h() { if (doresize && "undefined" != typeof $pp_pic_holder) { if (scroll_pos = v(), contentHeight = $pp_pic_holder.height(), contentwidth = $pp_pic_holder.width(), projectedTop = c / 2 + scroll_pos.scrollTop - contentHeight / 2, projectedTop < 0 && (projectedTop = 0), contentHeight > c) return; $pp_pic_holder.css({ top: projectedTop, left: d / 2 + scroll_pos.scrollLeft - contentwidth / 2 }) } } function v() { return self.pageYOffset ? { scrollTop: self.pageYOffset, scrollLeft: self.pageXOffset } : document.documentElement && document.documentElement.scrollTop ? { scrollTop: document.documentElement.scrollTop, scrollLeft: document.documentElement.scrollLeft } : document.body ? { scrollTop: document.body.scrollTop, scrollLeft: document.body.scrollLeft } : void 0 } function b() { if (settings.social_tools && (facebook_like_link = settings.social_tools.replace("{location_href}", encodeURIComponent(location.href))), settings.markup = settings.markup.replace("{pp_social}", ""), P("body").append(settings.markup), $pp_pic_holder = P(".pp_pic_holder"), $ppt = P(".ppt"), $pp_overlay = P("div.pp_overlay"), isSet && settings.overlay_gallery) { currentGalleryPage = 0, toInject = ""; for (var e = 0; e < pp_images.length; e++)img_src = pp_images[e].match(/\b(jpg|jpeg|png|gif)\b/gi) ? (classname = "", pp_images[e]) : (classname = "default", ""), toInject += "<li class='" + classname + "'><a href='#'><img src='" + img_src + "' width='50' alt='' /></a></li>"; toInject = settings.gallery_markup.replace(/{gallery}/g, toInject), $pp_pic_holder.find("#pp_full_res").after(toInject), $pp_gallery = P(".pp_pic_holder .pp_gallery"), $pp_gallery_li = $pp_gallery.find("li"), $pp_gallery.find(".pp_arrow_next").click(function () { return P.prettyPhoto.changeGalleryPage("next"), P.prettyPhoto.stopSlideshow(), !1 }), $pp_gallery.find(".pp_arrow_previous").click(function () { return P.prettyPhoto.changeGalleryPage("previous"), P.prettyPhoto.stopSlideshow(), !1 }), $pp_pic_holder.find(".pp_content").hover(function () { $pp_pic_holder.find(".pp_gallery:not(.disabled)").fadeIn() }, function () { $pp_pic_holder.find(".pp_gallery:not(.disabled)").fadeOut() }), itemWidth = 57, $pp_gallery_li.each(function (e) { P(this).find("a").click(function () { return P.prettyPhoto.changePage(e), P.prettyPhoto.stopSlideshow(), !1 }) }) } settings.slideshow && ($pp_pic_holder.find(".pp_nav").prepend('<a href="#" class="pp_play">Play</a>'), $pp_pic_holder.find(".pp_nav .pp_play").click(function () { return P.prettyPhoto.startSlideshow(), !1 })), $pp_pic_holder.attr("class", "pp_pic_holder " + settings.theme), $pp_overlay.css({ opacity: 0, height: P(document).height(), width: P(window).width() }).bind("click", function () { settings.modal || P.prettyPhoto.close() }), P("a.pp_close").bind("click", function () { return P.prettyPhoto.close(), !1 }), settings.allow_expand && P("a.pp_expand").bind("click", function (e) { return doresize = P(this).hasClass("pp_expand") ? (P(this).removeClass("pp_expand").addClass("pp_contract"), !1) : (P(this).removeClass("pp_contract").addClass("pp_expand"), !0), y(function () { P.prettyPhoto.open() }), !1 }), $pp_pic_holder.find(".pp_previous, .pp_nav .pp_arrow_previous").bind("click", function () { return P.prettyPhoto.changePage("previous"), P.prettyPhoto.stopSlideshow(), !1 }), $pp_pic_holder.find(".pp_next, .pp_nav .pp_arrow_next").bind("click", function () { return P.prettyPhoto.changePage("next"), P.prettyPhoto.stopSlideshow(), !1 }), h() } return doresize = !0, scroll_pos = v(), P(window).unbind("resize.prettyphoto").bind("resize.prettyphoto", function () { h(), c = P(window).height(), d = P(window).width(), "undefined" != typeof $pp_overlay && $pp_overlay.height(P(document).height()).width(d) }), t.keyboard_shortcuts && P(document).unbind("keydown.prettyphoto").bind("keydown.prettyphoto", function (e) { if ("undefined" != typeof $pp_pic_holder && $pp_pic_holder.is(":visible")) switch (e.keyCode) { case 37: P.prettyPhoto.changePage("previous"), e.preventDefault(); break; case 39: P.prettyPhoto.changePage("next"), e.preventDefault(); break; case 27: settings.modal || P.prettyPhoto.close(), e.preventDefault() } }), P.prettyPhoto.initialize = function () { return settings = t, "pp_default" == settings.theme && (settings.horizontal_padding = 16), theRel = P(this).attr(settings.hook), galleryRegExp = /\[(?:.*)\]/, isSet = !!galleryRegExp.exec(theRel), pp_images = isSet ? jQuery.map(l, function (e, t) { if (-1 != P(e).attr(settings.hook).indexOf(theRel)) return P(e).attr("href") }) : P.makeArray(P(this).attr("href")), pp_titles = isSet ? jQuery.map(l, function (e, t) { if (-1 != P(e).attr(settings.hook).indexOf(theRel)) return P(e).find("img").attr("alt") ? P(e).find("img").attr("alt") : "" }) : P.makeArray(P(this).find("img").attr("alt")), pp_descriptions = isSet ? jQuery.map(l, function (e, t) { if (-1 != P(e).attr(settings.hook).indexOf(theRel)) return P(e).attr("title") ? P(e).attr("title") : "" }) : P.makeArray(P(this).attr("title")), pp_images.length > settings.overlay_gallery_max && (settings.overlay_gallery = !1), set_position = jQuery.inArray(P(this).attr("href"), pp_images), rel_index = isSet ? set_position : P("a[" + settings.hook + "^='" + theRel + "']").index(P(this)), b(), settings.allow_resize && P(window).bind("scroll.prettyphoto", function () { h() }), P.prettyPhoto.open(), !1 }, P.prettyPhoto.open = function (e) { return "undefined" == typeof settings && (settings = t, pp_images = P.makeArray(e), pp_titles = arguments[1] ? P.makeArray(arguments[1]) : P.makeArray(""), pp_descriptions = arguments[2] ? P.makeArray(arguments[2]) : P.makeArray(""), isSet = 1 < pp_images.length, set_position = arguments[3] || 0, b(e.target)), settings.hideflash && P("object,embed,iframe[src*=youtube],iframe[src*=vimeo]").css("visibility", "hidden"), 1 < P(pp_images).size() ? P(".pp_nav").show() : P(".pp_nav").hide(), P(".pp_loaderIcon").show(), !settings.deeplinking || "undefined" != typeof theRel && (location.hash = theRel + "/" + rel_index + "/"), settings.social_tools && (facebook_like_link = settings.social_tools.replace("{location_href}", encodeURIComponent(location.href)), $pp_pic_holder.find(".pp_social").html(facebook_like_link)), $ppt.is(":hidden") && $ppt.css("opacity", 0).show(), $pp_overlay.show().fadeTo(settings.animation_speed, settings.opacity), $pp_pic_holder.find(".currentTextHolder").text(set_position + 1 + settings.counter_separator_label + P(pp_images).size()), void 0 !== pp_descriptions[set_position] && "" != pp_descriptions[set_position] ? $pp_pic_holder.find(".pp_description").show().html(unescape(pp_descriptions[set_position])) : $pp_pic_holder.find(".pp_description").hide(), movie_width = parseFloat(w("width", pp_images[set_position])) ? w("width", pp_images[set_position]) : settings.default_width.toString(), movie_height = parseFloat(w("height", pp_images[set_position])) ? w("height", pp_images[set_position]) : settings.default_height.toString(), u = !1, -1 != movie_height.indexOf("%") && (movie_height = parseFloat(P(window).height() * parseFloat(movie_height) / 100 - 150), u = !0), -1 != movie_width.indexOf("%") && (movie_width = parseFloat(P(window).width() * parseFloat(movie_width) / 100 - 150), u = !0), $pp_pic_holder.fadeIn(function () { switch (settings.show_title && "" != pp_titles[set_position] && void 0 !== pp_titles[set_position] ? $ppt.html(unescape(pp_titles[set_position])) : $ppt.html("&nbsp;"), imgPreloader = "", skipInjection = !1, g(pp_images[set_position])) { case "image": imgPreloader = new Image, nextImage = new Image, isSet && set_position < P(pp_images).size() - 1 && (nextImage.src = pp_images[set_position + 1]), prevImage = new Image, isSet && pp_images[set_position - 1] && (prevImage.src = pp_images[set_position - 1]), $pp_pic_holder.find("#pp_full_res")[0].innerHTML = settings.image_markup.replace(/{path}/g, pp_images[set_position]), imgPreloader.onload = function () { r = f(imgPreloader.width, imgPreloader.height), p() }, imgPreloader.onerror = function () { alert("Image cannot be loaded. Make sure the path is correct and image exist."), P.prettyPhoto.close() }, imgPreloader.src = pp_images[set_position]; break; case "youtube": r = f(movie_width, movie_height), movie_id = w("v", pp_images[set_position]), "" == movie_id && (movie_id = pp_images[set_position].split("youtu.be/"), movie_id = movie_id[1], 0 < movie_id.indexOf("?") && (movie_id = movie_id.substr(0, movie_id.indexOf("?"))), 0 < movie_id.indexOf("&") && (movie_id = movie_id.substr(0, movie_id.indexOf("&")))), movie = "http://www.youtube.com/embed/" + movie_id, w("rel", pp_images[set_position]) ? movie += "?rel=" + w("rel", pp_images[set_position]) : movie += "?rel=1", settings.autoplay && (movie += "&autoplay=1"), toInject = settings.iframe_markup.replace(/{width}/g, r.width).replace(/{height}/g, r.height).replace(/{wmode}/g, settings.wmode).replace(/{path}/g, movie); break; case "vimeo": r = f(movie_width, movie_height), movie_id = pp_images[set_position]; var e = movie_id.match(/http(s?):\/\/(www\.)?vimeo.com\/(\d+)/); movie = "http://player.vimeo.com/video/" + e[3] + "?title=0&amp;byline=0&amp;portrait=0", settings.autoplay && (movie += "&autoplay=1;"), vimeo_width = r.width + "/embed/?moog_width=" + r.width, toInject = settings.iframe_markup.replace(/{width}/g, vimeo_width).replace(/{height}/g, r.height).replace(/{path}/g, movie); break; case "quicktime": (r = f(movie_width, movie_height)).height += 15, r.contentHeight += 15, r.containerHeight += 15, toInject = settings.quicktime_markup.replace(/{width}/g, r.width).replace(/{height}/g, r.height).replace(/{wmode}/g, settings.wmode).replace(/{path}/g, pp_images[set_position]).replace(/{autoplay}/g, settings.autoplay); break; case "flash": r = f(movie_width, movie_height), flash_vars = pp_images[set_position], flash_vars = flash_vars.substring(pp_images[set_position].indexOf("flashvars") + 10, pp_images[set_position].length), filename = pp_images[set_position], filename = filename.substring(0, filename.indexOf("?")), toInject = settings.flash_markup.replace(/{width}/g, r.width).replace(/{height}/g, r.height).replace(/{wmode}/g, settings.wmode).replace(/{path}/g, filename + "?" + flash_vars); break; case "iframe": r = f(movie_width, movie_height), frame_url = pp_images[set_position], frame_url = frame_url.substr(0, frame_url.indexOf("iframe") - 1), toInject = settings.iframe_markup.replace(/{width}/g, r.width).replace(/{height}/g, r.height).replace(/{path}/g, frame_url); break; case "ajax": doresize = !1, r = f(movie_width, movie_height), doresize = !0, skipInjection = !0, P.get(pp_images[set_position], function (e) { toInject = settings.inline_markup.replace(/{content}/g, e), $pp_pic_holder.find("#pp_full_res")[0].innerHTML = toInject, p() }); break; case "custom": r = f(movie_width, movie_height), toInject = settings.custom_markup; break; case "inline": myClone = P(pp_images[set_position]).clone().append('<br clear="all" />').css({ width: settings.default_width }).wrapInner('<div id="pp_full_res"><div class="pp_inline"></div></div>').appendTo(P("body")).show(), doresize = !1, r = f(P(myClone).width(), P(myClone).height()), doresize = !0, P(myClone).remove(), toInject = settings.inline_markup.replace(/{content}/g, P(pp_images[set_position]).html()) }imgPreloader || skipInjection || ($pp_pic_holder.find("#pp_full_res")[0].innerHTML = toInject, p()) }), !1 }, P.prettyPhoto.changePage = function (e) { currentGalleryPage = 0, "previous" == e ? (set_position--, set_position < 0 && (set_position = P(pp_images).size() - 1)) : "next" == e ? (set_position++, set_position > P(pp_images).size() - 1 && (set_position = 0)) : set_position = e, rel_index = set_position, doresize = doresize || !0, settings.allow_expand && P(".pp_contract").removeClass("pp_contract").addClass("pp_expand"), y(function () { P.prettyPhoto.open() }) }, P.prettyPhoto.changeGalleryPage = function (e) { "next" == e ? (currentGalleryPage++, currentGalleryPage > totalPage && (currentGalleryPage = 0)) : "previous" == e ? (currentGalleryPage--, currentGalleryPage < 0 && (currentGalleryPage = totalPage)) : currentGalleryPage = e, slide_speed = "next" == e || "previous" == e ? settings.animation_speed : 0, slide_to = currentGalleryPage * (itemsPerPage * itemWidth), $pp_gallery.find("ul").animate({ left: -slide_to }, slide_speed) }, P.prettyPhoto.startSlideshow = function () { void 0 === s ? ($pp_pic_holder.find(".pp_play").unbind("click").removeClass("pp_play").addClass("pp_pause").click(function () { return P.prettyPhoto.stopSlideshow(), !1 }), s = setInterval(P.prettyPhoto.startSlideshow, settings.slideshow)) : P.prettyPhoto.changePage("next") }, P.prettyPhoto.stopSlideshow = function () { $pp_pic_holder.find(".pp_pause").unbind("click").removeClass("pp_pause").addClass("pp_play").click(function () { return P.prettyPhoto.startSlideshow(), !1 }), clearInterval(s), s = void 0 }, P.prettyPhoto.close = function () { $pp_overlay.is(":animated") || (P.prettyPhoto.stopSlideshow(), $pp_pic_holder.stop().find("object,embed").css("visibility", "hidden"), P("div.pp_pic_holder,div.ppt,.pp_fade").fadeOut(settings.animation_speed, function () { P(this).remove() }), $pp_overlay.fadeOut(settings.animation_speed, function () { settings.hideflash && P("object,embed,iframe[src*=youtube],iframe[src*=vimeo]").css("visibility", "visible"), P(this).remove(), P(window).unbind("scroll.prettyphoto"), -1 !== location.href.indexOf("#prettyPhoto") && (location.hash = "prettyPhoto"), settings.callback(), doresize = !0, e = !1, delete settings })) }, !pp_alreadyInitialized && T() && (pp_alreadyInitialized = !0, hashIndex = T(), hashRel = hashIndex, hashIndex = hashIndex.substring(hashIndex.indexOf("/") + 1, hashIndex.length - 1), hashRel = hashRel.substring(0, hashRel.indexOf("/")), setTimeout(function () { P("a[" + t.hook + "^='" + hashRel + "']:eq(" + hashIndex + ")").trigger("click") }, 50)), this.unbind("click.prettyphoto").bind("click.prettyphoto", P.prettyPhoto.initialize) } }(jQuery); var pp_alreadyInitialized = !1; !function (e, t) { "object" == typeof exports && "object" == typeof module ? module.exports = t() : "function" == typeof define && define.amd ? define([], t) : "object" == typeof exports ? exports.AOS = t() : e.AOS = t() }(this, function () { return a = {}, r.m = o = [function (e, t, r) { "use strict"; function o(e) { return e && e.__esModule ? e : { default: e } } function a() { if (0 < arguments.length && void 0 !== arguments[0] && arguments[0] && (g = !0), g) return m = (0, y.default)(m, h), (0, p.default)(m, h.once), m } function i() { m = (0, f.default)(), a() } var n = Object.assign || function (e) { for (var t = 1; t < arguments.length; t++) { var r, o = arguments[t]; for (r in o) Object.prototype.hasOwnProperty.call(o, r) && (e[r] = o[r]) } return e }, s = (o(r(1)), r(6)), l = o(s), u = o(r(7)), c = o(r(8)), d = o(r(9)), p = o(r(10)), y = o(r(11)), f = o(r(14)), m = [], g = !1, h = { offset: 120, delay: 0, easing: "ease", duration: 400, disable: !1, once: !1, startEvent: "DOMContentLoaded", throttleDelay: 99, debounceDelay: 50, disableMutationObserver: !1 }; e.exports = { init: function (e) { h = n(h, e), m = (0, f.default)(); var t = document.all && !window.atob; return !0 === (e = h.disable) || "mobile" === e && d.default.mobile() || "phone" === e && d.default.phone() || "tablet" === e && d.default.tablet() || "function" == typeof e && !0 === e() || t ? void m.forEach(function (e, t) { e.node.removeAttribute("data-aos"), e.node.removeAttribute("data-aos-easing"), e.node.removeAttribute("data-aos-duration"), e.node.removeAttribute("data-aos-delay") }) : (document.querySelector("body").setAttribute("data-aos-easing", h.easing), document.querySelector("body").setAttribute("data-aos-duration", h.duration), document.querySelector("body").setAttribute("data-aos-delay", h.delay), "DOMContentLoaded" === h.startEvent && -1 < ["complete", "interactive"].indexOf(document.readyState) ? a(!0) : ("load" === h.startEvent ? window : document).addEventListener(h.startEvent, function () { a(!0) }), window.addEventListener("resize", (0, u.default)(a, h.debounceDelay, !0)), window.addEventListener("orientationchange", (0, u.default)(a, h.debounceDelay, !0)), window.addEventListener("scroll", (0, l.default)(function () { (0, p.default)(m, h.once) }, h.throttleDelay)), h.disableMutationObserver || (0, c.default)("[data-aos]", i), m) }, refresh: a, refreshHard: i } }, function (e, t) { }, , , , , function (f, e) { (function (e) { "use strict"; function i(o, r, e) { function a(e) { var t = l, r = u; return l = u = void 0, f = e, d = o.apply(r, t) } function i(e) { var t = e - y; return void 0 === y || r <= t || t < 0 || g && c <= e - f } function n() { var e, t = Y(); return i(t) ? s(t) : void (p = setTimeout(n, (t = r - ((e = t) - y), g ? w(t, c - (e - f)) : t))) } function s(e) { return p = void 0, h && l ? a(e) : (l = u = void 0, d) } function t() { var e = Y(), t = i(e); if (l = arguments, u = this, y = e, t) { if (void 0 === p) return f = t = y, p = setTimeout(n, r), m ? a(t) : d; if (g) return p = setTimeout(n, r), a(y) } return void 0 === p && (p = setTimeout(n, r)), d } var l, u, c, d, p, y, f = 0, m = !1, g = !1, h = !0; if ("function" != typeof o) throw new TypeError(P); return r = b(r) || 0, v(e) && (m = !!e.leading, g = "maxWait" in e, c = g ? T(b(e.maxWait) || 0, r) : c, h = "trailing" in e ? !!e.trailing : h), t.cancel = function () { void 0 !== p && clearTimeout(p), l = y = u = p = void (f = 0) }, t.flush = function () { return void 0 === p ? d : s(Y()) }, t } function v(e) { var t = void 0 === e ? "undefined" : o(e); return e && ("object" == t || "function" == t) } function r(e) { return "symbol" == (void 0 === e ? "undefined" : o(e)) || !!(t = e) && "object" == (void 0 === t ? "undefined" : o(t)) && y.call(e) == n; var t } function b(e) { if ("number" == typeof e) return e; if (r(e)) return a; if (v(e) && (e = v(t = "function" == typeof e.valueOf ? e.valueOf() : e) ? t + "" : t), "string" != typeof e) return 0 === e ? e : +e; e = e.replace(s, ""); var t = u.test(e); return t || c.test(e) ? d(e.slice(2), t ? 2 : 8) : l.test(e) ? a : +e } var o = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (e) { return typeof e } : function (e) { return e && "function" == typeof Symbol && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e }, P = "Expected a function", a = NaN, n = "[object Symbol]", s = /^\s+|\s+$/g, l = /^[-+]0x[0-9a-f]+$/i, u = /^0b[01]+$/i, c = /^0o[0-7]+$/i, d = parseInt, t = "object" == (void 0 === e ? "undefined" : o(e)) && e && e.Object === Object && e, e = "object" == ("undefined" == typeof self ? "undefined" : o(self)) && self && self.Object === Object && self, p = t || e || Function("return this")(), y = Object.prototype.toString, T = Math.max, w = Math.min, Y = function () { return p.Date.now() }; f.exports = function (e, t, r) { var o = !0, a = !0; if ("function" != typeof e) throw new TypeError(P); return v(r) && (o = "leading" in r ? !!r.leading : o, a = "trailing" in r ? !!r.trailing : a), i(e, t, { leading: o, maxWait: t, trailing: a }) } }).call(e, function () { return this }()) }, function (y, e) { (function (e) { "use strict"; function v(e) { var t = void 0 === e ? "undefined" : o(e); return e && ("object" == t || "function" == t) } function r(e) { return "symbol" == (void 0 === e ? "undefined" : o(e)) || !!(t = e) && "object" == (void 0 === t ? "undefined" : o(t)) && p.call(e) == i; var t } function b(e) { if ("number" == typeof e) return e; if (r(e)) return a; if (v(e) && (e = v(t = "function" == typeof e.valueOf ? e.valueOf() : e) ? t + "" : t), "string" != typeof e) return 0 === e ? e : +e; e = e.replace(n, ""); var t = l.test(e); return t || u.test(e) ? c(e.slice(2), t ? 2 : 8) : s.test(e) ? a : +e } function P() { return d.Date.now() } var o = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (e) { return typeof e } : function (e) { return e && "function" == typeof Symbol && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e }, a = NaN, i = "[object Symbol]", n = /^\s+|\s+$/g, s = /^[-+]0x[0-9a-f]+$/i, l = /^0b[01]+$/i, u = /^0o[0-7]+$/i, c = parseInt, t = "object" == (void 0 === e ? "undefined" : o(e)) && e && e.Object === Object && e, e = "object" == ("undefined" == typeof self ? "undefined" : o(self)) && self && self.Object === Object && self, d = t || e || Function("return this")(), p = Object.prototype.toString, T = Math.max, w = Math.min; y.exports = function (o, r, e) { function a(e) { var t = l, r = u; return l = u = void 0, f = e, d = o.apply(r, t) } function i(e) { var t = e - y; return void 0 === y || r <= t || t < 0 || g && c <= e - f } function n() { var e, t = P(); return i(t) ? s(t) : void (p = setTimeout(n, (t = r - ((e = t) - y), g ? w(t, c - (e - f)) : t))) } function s(e) { return p = void 0, h && l ? a(e) : (l = u = void 0, d) } function t() { var e = P(), t = i(e); if (l = arguments, u = this, y = e, t) { if (void 0 === p) return f = t = y, p = setTimeout(n, r), m ? a(t) : d; if (g) return p = setTimeout(n, r), a(y) } return void 0 === p && (p = setTimeout(n, r)), d } var l, u, c, d, p, y, f = 0, m = !1, g = !1, h = !0; if ("function" != typeof o) throw new TypeError("Expected a function"); return r = b(r) || 0, v(e) && (m = !!e.leading, g = "maxWait" in e, c = g ? T(b(e.maxWait) || 0, r) : c, h = "trailing" in e ? !!e.trailing : h), t.cancel = function () { void 0 !== p && clearTimeout(p), l = y = u = p = void (f = 0) }, t.flush = function () { return void 0 === p ? d : s(P()) }, t } }).call(e, function () { return this }()) }, function (e, t) { "use strict"; function a(e) { e && e.forEach(function (e) { var t = Array.prototype.slice.call(e.addedNodes), e = Array.prototype.slice.call(e.removedNodes); t.concat(e).filter(function (e) { return e.hasAttribute && e.hasAttribute("data-aos") }).length && i() }) } Object.defineProperty(t, "__esModule", { value: !0 }); var i = function () { }; t.default = function (e, t) { var r = window.document, o = new (window.MutationObserver || window.WebKitMutationObserver || window.MozMutationObserver)(a); i = t, o.observe(r.documentElement, { childList: !0, subtree: !0, removedNodes: !0 }) } }, function (e, t) { "use strict"; function r() { return navigator.userAgent || navigator.vendor || window.opera || "" } Object.defineProperty(t, "__esModule", { value: !0 }); var o = /(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino/i, a = /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i, i = /(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i, n = /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i, s = (function (e, t, r) { return t && u(e.prototype, t), r && u(e, r), e }(l, [{ key: "phone", value: function () { var e = r(); return !(!o.test(e) && !a.test(e.substr(0, 4))) } }, { key: "mobile", value: function () { var e = r(); return !(!i.test(e) && !n.test(e.substr(0, 4))) } }, { key: "tablet", value: function () { return this.mobile() && !this.phone() } }]), l); function l() { !function (e) { if (!(e instanceof l)) throw new TypeError("Cannot call a class as a function") }(this) } function u(e, t) { for (var r = 0; r < t.length; r++) { var o = t[r]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, o.key, o) } } t.default = new s }, function (e, t) { "use strict"; Object.defineProperty(t, "__esModule", { value: !0 }); t.default = function (e, i) { var n = window.pageYOffset, s = window.innerHeight; e.forEach(function (e, t) { var r, o, a; o = s + n, a = i, e = (r = e).node.getAttribute("data-aos-once"), o > r.position ? r.node.classList.add("aos-animate") : void 0 === e || "false" !== e && (a || "true" === e) || r.node.classList.remove("aos-animate") }) } }, function (e, t, r) { "use strict"; Object.defineProperty(t, "__esModule", { value: !0 }); var o, a = r(12), i = (o = a) && o.__esModule ? o : { default: o }; t.default = function (e, r) { return e.forEach(function (e, t) { e.node.classList.add("aos-init"), e.position = (0, i.default)(e.node, r.offset) }), e } }, function (e, t, r) { "use strict"; Object.defineProperty(t, "__esModule", { value: !0 }); var o, a = r(13), n = (o = a) && o.__esModule ? o : { default: o }; t.default = function (e, t) { var r = 0, o = 0, a = window.innerHeight, i = { offset: e.getAttribute("data-aos-offset"), anchor: e.getAttribute("data-aos-anchor"), anchorPlacement: e.getAttribute("data-aos-anchor-placement") }; switch (i.offset && !isNaN(i.offset) && (o = parseInt(i.offset)), i.anchor && document.querySelectorAll(i.anchor) && (e = document.querySelectorAll(i.anchor)[0]), r = (0, n.default)(e).top, i.anchorPlacement) { case "top-bottom": break; case "center-bottom": r += e.offsetHeight / 2; break; case "bottom-bottom": r += e.offsetHeight; break; case "top-center": r += a / 2; break; case "bottom-center": r += a / 2 + e.offsetHeight; break; case "center-center": r += a / 2 + e.offsetHeight / 2; break; case "top-top": r += a; break; case "bottom-top": r += e.offsetHeight + a; break; case "center-top": r += e.offsetHeight / 2 + a }return i.anchorPlacement || i.offset || isNaN(t) || (o = t), r + o } }, function (e, t) { "use strict"; Object.defineProperty(t, "__esModule", { value: !0 }); t.default = function (e) { for (var t = 0, r = 0; e && !isNaN(e.offsetLeft) && !isNaN(e.offsetTop);)t += e.offsetLeft - ("BODY" != e.tagName ? e.scrollLeft : 0), r += e.offsetTop - ("BODY" != e.tagName ? e.scrollTop : 0), e = e.offsetParent; return { top: r, left: t } } }, function (e, t) { "use strict"; Object.defineProperty(t, "__esModule", { value: !0 }); t.default = function (e) { return e = e || document.querySelectorAll("[data-aos]"), Array.prototype.map.call(e, function (e) { return { node: e } }) } }], r.c = a, r.p = "dist/", r(0); function r(e) { if (a[e]) return a[e].exports; var t = a[e] = { exports: {}, id: e, loaded: !1 }; return o[e].call(t.exports, t, t.exports, r), t.loaded = !0, t.exports } var o, a }), function () { var t, r, P = [].indexOf || function (e) { for (var t = 0, r = this.length; t < r; t++)if (t in this && this[t] === e) return t; return -1 }, T = [].slice; t = this, r = function (l, i) { var t, a, n, s, r, u, c, o, d, p, y, f, m, g, h, v; function e(e) { var t = this; this.$element = e, this.element = e[0], this.didResize = !1, this.didScroll = !1, this.id = "context" + r++, this.oldScroll = { x: e.scrollLeft(), y: e.scrollTop() }, this.waypoints = { horizontal: {}, vertical: {} }, e.data(u, this.id), c[this.id] = this, e.bind(f, function () { var e; if (!t.didScroll && !o) return t.didScroll = !0, e = function () { return t.doScroll(), t.didScroll = !1 }, i.setTimeout(e, l[v].settings.scrollThrottle) }), e.bind(y, function () { var e; if (!t.didResize) return t.didResize = !0, e = function () { return l[v]("refresh"), t.didResize = !1 }, i.setTimeout(e, l[v].settings.resizeThrottle) }) } function b(e, t, r) { "bottom-in-view" === (r = l.extend({}, l.fn[h].defaults, r)).offset && (r.offset = function () { var e = l[v]("viewportHeight"); return l.isWindow(t.element) || (e = t.$element.height()), e - l(this).outerHeight() }), this.$element = e, this.element = e[0], this.axis = r.horizontal ? "horizontal" : "vertical", this.callback = r.handler, this.context = t, this.enabled = r.enabled, this.id = "waypoints" + m++, this.offset = null, this.options = r, t.waypoints[this.axis][this.id] = this, s[this.axis][this.id] = this, (r = null != (r = e.data(g)) ? r : []).push(this.id), e.data(g, r) } return t = l(i), o = 0 <= P.call(i, "ontouchstart"), s = { horizontal: {}, vertical: {} }, c = {}, u = "waypoints-context-id", y = "resize.waypoints", f = "scroll.waypoints", m = r = 1, g = "waypoints-waypoint-ids", h = "waypoint", v = "waypoints", e.prototype.doScroll = function () { var i = this, e = { horizontal: { newScroll: this.$element.scrollLeft(), oldScroll: this.oldScroll.x, forward: "right", backward: "left" }, vertical: { newScroll: this.$element.scrollTop(), oldScroll: this.oldScroll.y, forward: "down", backward: "up" } }; return !o || e.vertical.oldScroll && e.vertical.newScroll || l[v]("refresh"), l.each(e, function (e, o) { var a = [], t = o.newScroll > o.oldScroll, r = t ? o.forward : o.backward; return l.each(i.waypoints[e], function (e, t) { var r; return o.oldScroll < (r = t.offset) && r <= o.newScroll || o.newScroll < (r = t.offset) && r <= o.oldScroll ? a.push(t) : void 0 }), a.sort(function (e, t) { return e.offset - t.offset }), t || a.reverse(), l.each(a, function (e, t) { if (t.options.continuous || e === a.length - 1) return t.trigger([r]) }) }), this.oldScroll = { x: e.horizontal.newScroll, y: e.vertical.newScroll } }, e.prototype.refresh = function () { var t = this, e = l.isWindow(this.element), r = this.$element.offset(); return this.doScroll(), e = { horizontal: { contextOffset: e ? 0 : r.left, contextScroll: e ? 0 : this.oldScroll.x, contextDimension: this.$element.width(), oldScroll: this.oldScroll.x, forward: "right", backward: "left", offsetProp: "left" }, vertical: { contextOffset: e ? 0 : r.top, contextScroll: e ? 0 : this.oldScroll.y, contextDimension: e ? l[v]("viewportHeight") : this.$element.height(), oldScroll: this.oldScroll.y, forward: "down", backward: "up", offsetProp: "top" } }, l.each(e, function (e, s) { return l.each(t.waypoints[e], function (e, t) { var r, o, a = t.options.offset, i = t.offset, n = l.isWindow(t.element) ? 0 : t.$element.offset()[s.offsetProp]; if (l.isFunction(a) ? a = a.apply(t.element) : "string" == typeof a && (a = parseFloat(a), -1 < t.options.offset.indexOf("%") && (a = Math.ceil(s.contextDimension * a / 100))), t.offset = n - s.contextOffset + s.contextScroll - a, (!t.options.onlyOnScroll || null == i) && t.enabled) return null !== i && i < (r = s.oldScroll) && r <= t.offset ? t.trigger([s.backward]) : null !== i && i > (o = s.oldScroll) && o >= t.offset || null === i && s.oldScroll >= t.offset ? t.trigger([s.forward]) : void 0 }) }) }, e.prototype.checkEmpty = function () { if (l.isEmptyObject(this.waypoints.horizontal) && l.isEmptyObject(this.waypoints.vertical)) return this.$element.unbind([y, f].join(" ")), delete c[this.id] }, a = e, b.prototype.trigger = function (e) { if (this.enabled) return null != this.callback && this.callback.apply(this.element, e), this.options.triggerOnce ? this.destroy() : void 0 }, b.prototype.disable = function () { return this.enabled = !1 }, b.prototype.enable = function () { return this.context.refresh(), this.enabled = !0 }, b.prototype.destroy = function () { return delete s[this.axis][this.id], delete this.context.waypoints[this.axis][this.id], this.context.checkEmpty() }, b.getWaypointsByElement = function (e) { var t, e = l(e).data(g); return e ? (t = l.extend({}, s.horizontal, s.vertical), l.map(e, function (e) { return t[e] })) : [] }, n = b, p = { init: function (e, o) { return null == o && (o = {}), null == o.handler && (o.handler = e), this.each(function () { var e, t = l(this), r = null != (e = o.context) ? e : l.fn[h].defaults.context; return l.isWindow(r) || (r = t.closest(r)), r = l(r), e = (e = c[r.data(u)]) || new a(r), new n(t, e, o) }), l[v]("refresh"), this }, disable: function () { return p._invoke(this, "disable") }, enable: function () { return p._invoke(this, "enable") }, destroy: function () { return p._invoke(this, "destroy") }, prev: function (e, t) { return p._traverse.call(this, e, t, function (e, t, r) { if (0 < t) return e.push(r[t - 1]) }) }, next: function (e, t) { return p._traverse.call(this, e, t, function (e, t, r) { if (t < r.length - 1) return e.push(r[t + 1]) }) }, _traverse: function (t, e, r) { var o, a; return null == t && (t = "vertical"), null == e && (e = i), a = d.aggregate(e), o = [], this.each(function () { var e = l.inArray(this, a[t]); return r(o, e, a[t]) }), this.pushStack(o) }, _invoke: function (e, r) { return e.each(function () { var e = n.getWaypointsByElement(this); return l.each(e, function (e, t) { return t[r](), !0 }) }), this } }, l.fn[h] = function () { var e = arguments[0], t = 2 <= arguments.length ? T.call(arguments, 1) : []; return p[e] ? p[e].apply(this, t) : l.isFunction(e) ? p.init.apply(this, arguments) : l.isPlainObject(e) ? p.init.apply(this, [null, e]) : e ? l.error("The " + e + " method does not exist in jQuery Waypoints.") : l.error("jQuery Waypoints needs a callback function or handler option.") }, l.fn[h].defaults = { context: i, continuous: !0, enabled: !0, horizontal: !1, offset: 0, triggerOnce: !1 }, d = { refresh: function () { return l.each(c, function (e, t) { return t.refresh() }) }, viewportHeight: function () { var e; return null != (e = i.innerHeight) ? e : t.height() }, aggregate: function (e) { var t, o = s; return e && (o = null != (e = c[l(e).data(u)]) ? e.waypoints : void 0), o ? (t = { horizontal: [], vertical: [] }, l.each(t, function (e, r) { return l.each(o[e], function (e, t) { return r.push(t) }), r.sort(function (e, t) { return e.offset - t.offset }), t[e] = l.map(r, function (e) { return e.element }), t[e] = l.unique(t[e]) }), t) : [] }, above: function (e) { return null == e && (e = i), d._filter(e, "vertical", function (e, t) { return t.offset <= e.oldScroll.y }) }, below: function (e) { return null == e && (e = i), d._filter(e, "vertical", function (e, t) { return t.offset > e.oldScroll.y }) }, left: function (e) { return null == e && (e = i), d._filter(e, "horizontal", function (e, t) { return t.offset <= e.oldScroll.x }) }, right: function (e) { return null == e && (e = i), d._filter(e, "horizontal", function (e, t) { return t.offset > e.oldScroll.x }) }, enable: function () { return d._invoke("enable") }, disable: function () { return d._invoke("disable") }, destroy: function () { return d._invoke("destroy") }, extendFn: function (e, t) { return p[e] = t }, _invoke: function (r) { var e = l.extend({}, s.vertical, s.horizontal); return l.each(e, function (e, t) { return t[r](), !0 }) }, _filter: function (e, t, r) { var o, a = c[l(e).data(u)]; return a ? (o = [], l.each(a.waypoints[t], function (e, t) { if (r(a, t)) return o.push(t) }), o.sort(function (e, t) { return e.offset - t.offset }), l.map(o, function (e) { return e.element })) : [] } }, l[v] = function () { var e = arguments[0], t = 2 <= arguments.length ? T.call(arguments, 1) : []; return d[e] ? d[e].apply(null, t) : d.aggregate.call(null, e) }, l[v].settings = { resizeThrottle: 100, scrollThrottle: 30 }, t.load(function () { return l[v]("refresh") }) }, "function" == typeof define && define.amd ? define("waypoints", ["jquery"], function (e) { return r(e, t) }) : r(t.jQuery, t) }.call(this), function (r) { "use strict"; r.fn.counterUp = function (e) { var t = r.extend({ time: 400, delay: 10 }, e); return this.each(function () { var l = r(this), u = t; l.waypoint(function () { for (var e = [], t = u.time / u.delay, r = l.text(), o = /[0-9]+,[0-9]+/.test(r), r = r.replace(/,/g, ""), a = (/^[0-9]+$/.test(r), /^[0-9]+\.[0-9]+$/.test(r)), i = a ? (r.split(".")[1] || []).length : 0, n = t; 1 <= n; n--) { var s = parseInt(r / t * n); if (a && (s = parseFloat(r / t * n).toFixed(i)), o) for (; /(\d+)(\d{3})/.test(s.toString());)s = s.toString().replace(/(\d+)(\d{3})/, "$1,$2"); e.unshift(s) } l.data("counterup-nums", e), l.text("0"); l.data("counterup-func", function () { l.text(l.data("counterup-nums").shift()), l.data("counterup-nums").length ? setTimeout(l.data("counterup-func"), u.delay) : (l.data("counterup-nums"), l.data("counterup-nums", null), l.data("counterup-func", null)) }), setTimeout(l.data("counterup-func"), u.delay) }, { offset: "100%", triggerOnce: !0 }) }) } }(jQuery); var businessRoy = businessRoy || {}; function businessRoyDomReady(e) { if ("function" == typeof e) return "interactive" === document.readyState || "complete" === document.readyState ? e() : void document.addEventListener("DOMContentLoaded", e, !1) } function businessRoyToggleAttribute(e, t, r, o) { void 0 === r && (r = !0), void 0 === o && (o = !1), e.getAttribute(t) !== r ? e.setAttribute(t, r) : e.setAttribute(t, o) } function businessRoyMenuToggle(r, o) { var a, i, e, t, n, s = [], l = []; r && (e = r.closest(".menu-wrapper"), (t = e.querySelectorAll(".menu-item")).forEach(function (e, t) { s[t] = { x: e.offsetLeft, y: e.offsetTop } }), a = r.parentElement.offsetHeight, r.classList.add("toggling-target"), r.classList.toggle("active"), t.forEach(function (e, t) { l[t] = { x: e.offsetLeft, y: e.offsetTop } }), i = r.parentElement.offsetHeight, r.classList.toggle("active"), e.classList.add("is-toggling"), r.classList.toggle("active"), t.forEach(function (e, t) { t = s[t]; 0 === t.y && e.parentElement === r && (t.y = a) }), requestAnimationFrame(function () { requestAnimationFrame(function () { e.classList.add("is-animating"), t.forEach(function (e, t) { t = l[t]; 0 === t.y && e.parentElement === r && (t.y = i), void 0 !== o && (e.style.transitionDuration = o + "ms") }), void 0 !== o && (r.style.transitionDuration = o + "ms") }), n = function () { e.classList.remove("is-animating"), e.classList.remove("is-toggling"), r.classList.remove("toggling-target"), t.forEach(function (e) { e.style.transform = "", e.style.transitionDuration = "" }), r.style.transitionDuration = "", r.removeEventListener("transitionend", n) }, r.addEventListener("transitionend", n) })) } function businessRoyFindParents(e, r) { var o = []; return function e(t) { t = t.parentNode; t instanceof HTMLElement && (t.matches(r) && o.push(t), e(t)) }(e), o } businessRoy.scrolled = 0, businessRoy.createEvent = function (e) { var t; return "function" == typeof window.Event ? t = new Event(e) : (t = document.createEvent("Event")).initEvent(e, !0, !1), t }, businessRoy.coverModals = { init: function () { document.querySelector(".cover-modal") && (this.onToggle(), this.outsideUntoggle(), this.closeOnEscape(), this.hideAndShowModals()) }, onToggle: function () { document.querySelectorAll(".cover-modal").forEach(function (e) { e.addEventListener("toggled", function (e) { var e = e.target, t = document.body; e.classList.contains("active") ? t.classList.add("showing-modal") : (t.classList.remove("showing-modal"), t.classList.add("hiding-modal"), setTimeout(function () { t.classList.remove("hiding-modal") }, 500)) }) }) }, outsideUntoggle: function () { document.addEventListener("click", function (e) { e = e.target; e === document.querySelector(".cover-modal.active") && this.untoggleModal(e) }.bind(this)) }, closeOnEscape: function () { document.addEventListener("keydown", function (e) { 27 === e.keyCode && (e.preventDefault(), document.querySelectorAll(".cover-modal.active").forEach(function (e) { this.untoggleModal(e) }.bind(this))) }.bind(this)) }, hideAndShowModals: function () { var n = document, s = window, e = n.querySelectorAll(".cover-modal"), l = n.documentElement.style, u = n.querySelector("#wpadminbar"); function c(e) { var t, r = s.pageYOffset; return u ? (t = r + u.getBoundingClientRect().height, e ? -t : t) : 0 === r ? 0 : -r } function d() { return { "overflow-y": s.innerHeight > n.documentElement.getBoundingClientRect().height ? "hidden" : "scroll", position: "fixed", width: "100%", top: c(!0) + "px", left: 0 } } e.forEach(function (i) { i.addEventListener("toggle-target-before-inactive", function (e) { var t = d(), r = s.pageYOffset, o = Math.abs(c()) - r + "px", a = s.matchMedia("(max-width: 600px)"); e.target === i && (Object.keys(t).forEach(function (e) { l.setProperty(e, t[e]) }), s.businessRoy.scrolled = parseInt(t.top, 10), u && (n.body.style.setProperty("padding-top", o), a.matches && (r >= c() ? i.style.setProperty("top", 0) : i.style.setProperty("top", c() - r + "px"))), i.classList.add("show-modal")) }), i.addEventListener("toggle-target-after-inactive", function (e) { e.target === i && setTimeout(function () { var e = businessRoy.toggles.clickedEl; i.classList.remove("show-modal"), Object.keys(d()).forEach(function (e) { l.removeProperty(e) }), u && (n.body.style.removeProperty("padding-top"), i.style.removeProperty("top")), !1 !== e && (e.focus(), e = !1), s.scrollTo(0, Math.abs(s.businessRoy.scrolled + c())), s.businessRoy.scrolled = 0 }, 500) }) }) }, untoggleModal: function (e) { var t, r = !1; e.dataset.modalTargetString && (t = e.dataset.modalTargetString, r = document.querySelector('*[data-toggle-target="' + t + '"]')), r ? r.click() : e.classList.remove("active") } }, businessRoy.modalMenu = { init: function () { this.expandLevel(), this.keepFocusInModal() }, expandLevel: function () { document.querySelectorAll(".modal-menu").forEach(function (e) { e = e.querySelector(".current-menu-item"); e && businessRoyFindParents(e, "li").forEach(function (e) { e = e.querySelector(".sub-menu-toggle"); e && businessRoy.toggles.performToggle(e, !0) }) }) }, keepFocusInModal: function () { var l = document; l.addEventListener("keydown", function (e) { var t, r, o, a, i, n, s = businessRoy.toggles.clickedEl; s && l.body.classList.contains("showing-modal") && (o = s.dataset.toggleTarget, n = "input, a, button", (a = l.querySelector(o)) && (t = a.querySelectorAll(n), t = Array.prototype.slice.call(t), ".menu-modal" === o && (r = window.matchMedia("(min-width: 1000px)").matches ? ".expanded-menu" : ".mobile-menu", (t = t.filter(function (e) { return null !== e.closest(r) && null !== e.offsetParent })).unshift(l.querySelector(".close-nav-toggle")), (i = l.querySelector(".menu-bottom > nav")) && i.querySelectorAll(n).forEach(function (e) { t.push(e) })), s = t[t.length - 1], a = t[0], o = l.activeElement, i = 9 === e.keyCode, !(n = e.shiftKey) && i && s === o && (e.preventDefault(), a.focus()), n && i && a === o && (e.preventDefault(), s.focus()))) }) } }, businessRoy.primaryMenu = { init: function () { this.focusMenuWithChildren() }, focusMenuWithChildren: function () { var e, t, r, o = document.querySelector(".box-header-nav"); if (!o) return !1; for (t = 0, r = (e = o.getElementsByTagName("a")).length; t < r; t++)e[t].addEventListener("focus", a, !0), e[t].addEventListener("blur", a, !0); function a() { for (var e = this; -1 === e.className.indexOf("main-menu");)"li" === e.tagName.toLowerCase() && (-1 !== e.className.indexOf("focus") ? e.className = e.className.replace(" focus", "") : e.className += " focus"), e = e.parentElement } } }, businessRoy.categoryMenu = { init: function () { this.focusMenuWithChildren() }, focusMenuWithChildren: function () { var e, t, r, o = document.querySelector(".verticalmenu-content.menu-category"); if (!o) return !1; for (t = 0, r = (e = o.getElementsByTagName("a")).length; t < r; t++)e[t].addEventListener("focus", a, !0), e[t].addEventListener("blur", a, !0); function a() { for (var e = this; -1 === e.className.indexOf("vertical-menu");)"li" === e.tagName.toLowerCase() && (-1 !== e.className.indexOf("focus") ? e.className = e.className.replace(" focus", "") : e.className += " focus"), e = e.parentElement } } }, businessRoy.toggles = { clickedEl: !1, init: function () { this.toggle(), this.resizeCheck(), this.untoggleOnEscapeKeyPress() }, performToggle: function (e, o) { var a, i, n = this, s = document, l = e, u = l.dataset.toggleTarget, c = "active"; s.querySelectorAll(".show-modal").length || (n.clickedEl = s.activeElement), (a = "next" === u ? l.nextSibling : s.querySelector(u)).classList.contains(c) ? a.dispatchEvent(businessRoy.createEvent("toggle-target-before-active")) : a.dispatchEvent(businessRoy.createEvent("toggle-target-before-inactive")), i = l.dataset.classToToggle || c, e = 0, a.classList.contains("cover-modal") && (e = 10), setTimeout(function () { var e, t = a.classList.contains("sub-menu") ? l.closest(".menu-item").querySelector(".sub-menu") : a, r = l.dataset.toggleDuration; "slidetoggle" !== l.dataset.toggleType || o || "0" === r ? t.classList.toggle(i) : businessRoyMenuToggle(t, r), ("next" === u || a.classList.contains("sub-menu") ? l : s.querySelector('*[data-toggle-target="' + u + '"]')).classList.toggle(c), businessRoyToggleAttribute(l, "aria-expanded", "true", "false"), n.clickedEl && -1 !== l.getAttribute("class").indexOf("close-") && businessRoyToggleAttribute(n.clickedEl, "aria-expanded", "true", "false"), l.dataset.toggleBodyClass && s.body.classList.toggle(l.dataset.toggleBodyClass), l.dataset.setFocus && (e = s.querySelector(l.dataset.setFocus)) && (a.classList.contains(c) ? e.focus() : e.blur()), a.dispatchEvent(businessRoy.createEvent("toggled")), a.classList.contains(c) ? a.dispatchEvent(businessRoy.createEvent("toggle-target-after-active")) : a.dispatchEvent(businessRoy.createEvent("toggle-target-after-inactive")) }, e) }, toggle: function () { var r = this; document.querySelectorAll("*[data-toggle-target]").forEach(function (t) { t.addEventListener("click", function (e) { e.preventDefault(), r.performToggle(t) }) }) }, resizeCheck: function () { document.querySelectorAll("*[data-untoggle-above], *[data-untoggle-below], *[data-toggle-above], *[data-toggle-below]").length && window.addEventListener("resize", function () { var i = window.innerWidth; document.querySelectorAll(".toggle").forEach(function (e) { var t = e.dataset.untoggleAbove, r = e.dataset.untoggleBelow, o = e.dataset.toggleAbove, a = e.dataset.toggleBelow; (t || r || o || a) && ((t && t < i || r && i < r) && e.classList.contains("active") || (o && o < i || a && i < a) && !e.classList.contains("active")) && e.click() }) }) }, untoggleOnEscapeKeyPress: function () { document.addEventListener("keyup", function (e) { "Escape" === e.key && document.querySelectorAll("*[data-untoggle-on-escape].active").forEach(function (e) { e.classList.contains("active") && e.click() }) }) } }, businessRoyDomReady(function () { businessRoy.toggles.init(), businessRoy.coverModals.init(), businessRoy.modalMenu.init(), businessRoy.categoryMenu.init() }), /(trident|msie)/i.test(navigator.userAgent) && document.getElementById && window.addEventListener && window.addEventListener("hashchange", function () { var e, t = location.hash.substring(1); /^[A-z0-9_-]+$/.test(t) && (e = document.getElementById(t)) && (/^(?:a|select|input|button|textarea)$/i.test(e.tagName) || (e.tabIndex = -1), e.focus()) }, !1), jQuery(document).ready(function (o) { var e; businessRoy.primaryMenu.init(), e = !!o("body").hasClass("rtl"), o(".menu-item-search a").click(function () { o(this).hasClass("layout_two") && o(this).parents(".nav-menu").find(".main-menu, .nav-buttons").hide(), o(".full-search-wrapper").addClass("search-triggered"), setTimeout(function () { o(".full-search-wrapper .search-field").focus() }, 1e3) }), o(".full-search-wrapper .close-icon").click(function () { o(".full-search-wrapper").removeClass("search-triggered"), o(this).hasClass("search-layout-two") && o(this).parents(".nav-menu").find(".main-menu, .nav-buttons").show() }); var t = o(".features-slider"); t.owlCarousel({ animateOut: "fadeOut", animateIn: "fadeIn", autoplayTimeout: parseInt(t.data("pause")) || 5e3, smartSpeed: parseInt(t.data("speed")) || 2e3, autoplay: 1 == parseInt(t.data("autoplay")), loop: 1 == parseInt(t.data("loop")), transitionStyle: "fade", margin: 0, nav: 1 == parseInt(t.data("controls")), dots: 1 == parseInt(t.data("pager")), autoHeight: !1, mouseDrag: 1 == parseInt(t.data("drag")), autoplayHoverPause: !0, items: 1, rtl: e }), o(".owl-item.active .supertitle").addClass("animated fadeInUp delay-1"), o(".owl-item.active .maintitle").addClass("animated fadeInUp delay-2"), o(".owl-item.active .maincontent").addClass("animated fadeInUp delay-3"), o(".owl-item.active .btn-area").addClass("animated fadeInUp delay-4"), t.on("change.owl.carousel", function (e) { e = e.item.index - 1; o(".supertitle").removeClass("animated fadeInUp delay-1"), o(".maintitle").removeClass("animated fadeInUp delay-2"), o(".maincontent").removeClass("animated fadeInUp delay-3"), o(".btn-area").removeClass("animated fadeInUp delay-4"), o(".owl-item").not(".cloned").eq(e).find(".supertitle").addClass("animated fadeInUp delay-1"), o(".owl-item").not(".cloned").eq(e).find(".maintitle").addClass("animated fadeInUp delay-2"), o(".owl-item").not(".cloned").eq(e).find(".maincontent").addClass("animated fadeInUp delay-3"), o(".owl-item").not(".cloned").eq(e).find(".btn-area").addClass("animated fadeInUp delay-4") }); var t = document.querySelectorAll(".features-slider .owl-dots .owl-dot"), r = 1; t.forEach(e => { e.innerHTML = r, r++ }), o(".testimonial_slid").owlCarousel({ loop: !0, margin: 10, nav: !1, autoplay: !0, smartSpeed: 2500, dots: !0, items: 1 }), o(".client-logo-slider").owlCarousel({ loop: !0, dots: !0, nav: !1, autoplay: !0, smartSpeed: 3e3, autoplayTimeout: 5e3, rtl: e, responsive: { 0: { items: 2 }, 600: { items: 3 }, 1e3: { items: 3 }, 1024: { items: 5 } } }), o(".portfolio-slider").owlCarousel({ loop: !0, margin: 0, nav: !1, dots: !0, autoplay: !0, smartSpeed: 2500, center: !0, responsive: { 0: { items: 1 }, 480: { items: 1 }, 769: { items: 3 }, 1024: { items: 5 } } }), o(window).scroll(function () { 300 < o(window).scrollTop() ? o("#back-to-top").addClass("show") : o("#back-to-top").removeClass("show") }), o("#back-to-top").click(function (e) { e.preventDefault(), o("html,body").animate({ scrollTop: 0 }, 800) }); try { var a = document.querySelector(".progress path"), i = a.getTotalLength(); a.style.transition = a.style.WebkitTransition = "none", a.style.strokeDasharray = i + " " + i, a.style.strokeDashoffset = i, a.getBoundingClientRect(), a.style.transition = a.style.WebkitTransition = "stroke-dashoffset 300ms linear"; function n() { var e = o(window).scrollTop(), t = o(document).height() - o(window).height(), r = Math.round(100 * e / t), t = i - e * i / t; a.style.strokeDashoffset = t, o(".percent").text(r + "%") } n(), o(window).scroll(n) } catch (e) { } o("body").on("click", ".contact-detail-toggle.open", function () { o(this).next(".contact-content").addClass("box-hidden"), o(this).addClass("closed").removeClass("open") }), o("body").on("click", ".contact-detail-toggle.closed", function () { o(this).next(".contact-content").removeClass("box-hidden"), o(this).removeClass("closed").addClass("open") }), o("a[rel^='portfolio[work]']").prettyPhoto({ theme: "light_rounded", slideshow: 5e3, autoplay_slideshow: !1, keyboard_shortcuts: !0, deeplinking: !1, default_width: 500, default_height: 344, social_tools: !1 }), o("a[rel^='prettyVideo[iframe]']").prettyPhoto({ social_tools: !1 }), o(".achivement").counterUp(), o(".search_main_menu a").click(function () { o(".ss-content").addClass("ss-content-act") }), o(".ss-close").click(function () { o(".ss-content").removeClass("ss-content-act") }); try { o(".section[data-property]").YTPlayer({ showControls: !1, containment: "self", mute: !0, addRaster: !1, useOnMobile: !1, playOnlyIfVisible: !0, anchor: "center,center", showYTLogo: !1, loop: !0, optimizeDisplay: !0, quality: "hd720" }) } catch (e) { console.log(e) } o("body").click(function (e) { var t; o(e.target).closest(".cover-modal.active").length || o("body").hasClass("showing-menu-modal") && (t = document.body, o(".cover-modal.active").removeClass("active"), t.classList.remove("showing-modal"), t.classList.add("hiding-modal"), t.classList.remove("showing-menu-modal"), t.classList.remove("show-modal"), document.documentElement.removeAttribute("style"), document.body.style.removeProperty("padding-top"), setTimeout(function () { t.classList.remove("hiding-modal") }, 500)) }), AOS.init({ disable: !1, startEvent: "DOMContentLoaded", initClassName: "aos-init", animatedClassName: "aos-animate", useClassNames: !1, disableMutationObserver: !1, debounceDelay: 50, throttleDelay: 99, offset: 120, delay: 0, duration: 400, easing: "ease", once: !1, mirror: !1, anchorPlacement: "top-bottom" }) });